<schema xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
        xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
		xmlns:cac-pl="urn:pl:extended:CommonAggregateComponents-2" 
		xmlns:cbc-pl="urn:pl:extended:CommonBasicComponents-2" 
        xmlns:cn="urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2"
        xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"
        queryBinding="xslt2">
  <title>EN16931  model bound to UBL</title>
  <ns prefix="ext" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2"/>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="cbc-pl" uri="urn:pl:extended:CommonBasicComponents-2"/>
  <ns prefix="cac-pl" uri="urn:pl:extended:CommonAggregateComponents-2"/>
  <ns prefix="qdt" uri="urn:oasis:names:specification:ubl:schema:xsd:QualifiedDataTypes-2"/>
  <ns prefix="udt" uri="urn:oasis:names:specification:ubl:schema:xsd:UnqualifiedDataTypes-2"/>
  <ns prefix="cn" uri="urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="u"  uri="utils" />  
  
  <phase id="EN16931model_phase">
      <active pattern="UBL-model"/>
  </phase>
  <phase id="codelist_phase">
      <active pattern="Codesmodel"/>
  </phase>
   
   <let name="supplierCountry"
    value="
      if (/*/cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
        upper-case(normalize-space(/*/cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
      else
        if (/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
          upper-case(normalize-space(/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
        else
          if (/*/cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) then
            upper-case(normalize-space(/*/cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode))
          else
            'XX'"/>
  
 <pattern name="check OriginalInvoiceData"> 

 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine">
		<let name="testposition" value="count(preceding-sibling::cac-pl:InvoiceLine) + 1"/>
		<let name="testdata" value="(exists(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection[cbc-pl:ID=$testposition])) and (exists(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]))"/>
<!--
		<assert id="PL-FV-0a-test"
              test="false()" 
              flag="fatal">[PL-FV-0a-test] Wartości sum
                  	$testposition=<value-of  select="$testposition"/>  -  
					$testdata=<value-of  select="$testdata"/>  -  
					$supplierCountry=<value-of  select="$supplierCountry"/>  -  
					cac-pl:OriginalInvoiceData/cbc-pl:LineExtensionGrossAmount=<value-of  select="xs:decimal(if(cbc-pl:LineExtensionGrossAmount) then cbc-pl:LineExtensionGrossAmount else 0)"/>  - 
					cac-pl:InvoiceLine[$testposition]/cbc-pl:LineExtensionGrossAmount=<value-of  select="xs:decimal(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]/cbc-pl:LineExtensionGrossAmount)"/>  - 
              </assert> 
-->
	<assert id="PL-CI-R-012" test="not(($supplierCountry = 'PL') and ($testdata = true()) and not(xs:decimal(if(cbc-pl:LineExtensionGrossAmount) then cbc-pl:LineExtensionGrossAmount else 0) + xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl_ID=$testposition]/cbc-pl:LineExtensionGrossAmount) then //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cbc-pl:LineExtensionGrossAmount else 0) = xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cbc-pl:LineExtensionGrossAmount) then //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cbc-pl:LineExtensionGrossAmount else 0)))" flag="fatal">[PL-CI-R-012] For Polish suppliers the LineExtensionGrossAmount difference must equals the difference between LineExtensionGrossAmount after correction and LineExtensionGrossAmount before correction.</assert>
<!--		<assert id="PL-CI-R-013" test="not(($supplierCountry = 'PL') and ($testdata = true()) and not(xs:decimal(if(cac-pl:TaxTotal/cbc-pl:TaxAmount) then cac-pl:TaxTotal/cbc-pl:TaxAmount else 0) + xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount) then //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount else 0) = xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount) then //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount else 0)))" flag="fatal">[PL-CI-R-013] For Polish suppliers the total TaxExclusiveAmount must equals the difference between total TaxExclusiveAmount after correction and total TaxExclusiveAmount before correction.</assert>
		<assert id="PL-CI-R-014" test="not(($supplierCountry = 'PL') and ($testdata = true()) and not(xs:decimal(if(cac-pl:Price/cbc-pl:GrossPriceAmount) then cac-pl:Price/cbc-pl:GrossPriceAmount else 0) + xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:Price/cbc-pl:GrossPriceAmount) then //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:Price/cbc-pl:GrossPriceAmount  else 0) = xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:Price/cbc-pl:GrossPriceAmount) then //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:Price/cbc-pl:GrossPriceAmount else 0)))" flag="fatal">[PL-CI-R-014] For Polish suppliers the total GrossPriceAmountt must equals the difference between total GrossPriceAmount after correction and total GrossPriceAmount before correction.</assert>	
-->		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:ChargeIndicator"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:ID"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:Percent"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:Percent"/>
		<rule context="/cac-pl:OriginalInvoiceData//cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:ID"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:LineExtensionGrossAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:AccountingCost"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:SubInvoiceLine"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:ChargeIndicator"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:TaxTotal/cbc-pl:TaxAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Description"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Name"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cbc-pl:GrossPriceAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ChargeIndicator"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:Amount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:BaseAmount"/>
		<rule context="//cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

 
 <rule context="//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine">
			<assert test="not(cbc-pl:UUID)" flag="fatal" id="UBL-CI-515">[UBL-CI-515]-A UBL invoice should not include the InvoiceLine UUID</assert>
			<assert test="not(cbc-pl:TaxPointDate)" flag="fatal" id="UBL-CI-516">[UBL-CI-516]-A UBL invoice should not include the InvoiceLine TaxPointDate</assert>
			<assert test="not(cbc-pl:AccountingCostCode)" flag="fatal" id="UBL-CI-517">[UBL-CI-517]-A UBL invoice should not include the InvoiceLine AccountingCostCode</assert>
			<assert test="not(cbc-pl:PaymentPurposeCode)" flag="fatal" id="UBL-CI-518">[UBL-CI-518]-A UBL invoice should not include the InvoiceLine PaymentPurposeCode</assert>
			<assert test="not(cbc-pl:FreeOfChargeIndicator)" flag="fatal" id="UBL-CI-519">[UBL-CI-519]-A UBL invoice should not include the InvoiceLine FreeOfChargeIndicator</assert>
			<assert test="not(cac-pl:InvoicePeriod/cbc-pl:StartTime)" flag="fatal" id="UBL-CI-520">[UBL-CI-520]-A UBL invoice should not include the InvoiceLine InvoicePeriod StartTime</assert>
			<assert test="not(cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)" flag="fatal" id="UBL-CI-525">[UBL-CI-525]-A UBL invoice should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
			<assert test="not(cac-pl:DespatchLineReference)" flag="fatal" id="UBL-CI-529">[UBL-CI-529]-A UBL invoice should not include the InvoiceLine DespatchLineReference</assert>
			<assert test="not(cac-pl:ReceiptLineReference)" flag="fatal" id="UBL-CI-530">[UBL-CI-530]-A UBL invoice should not include the InvoiceLine ReceiptLineReference</assert>
			<assert test="not(cac-pl:BillingReference)" flag="fatal" id="UBL-CI-531">[UBL-CI-531]-A UBL invoice should not include the InvoiceLine BillingReference</assert>
			<assert test="not(cac-pl:DocumentReference/cbc-pl:CopyIndicator)" flag="fatal" id="UBL-CI-532">[UBL-CI-532]-A UBL invoice should not include the InvoiceLine DocumentReference CopyIndicator</assert>
			<assert test="not(cac-pl:PricingReference)" flag="fatal" id="UBL-CI-548">[UBL-CI-548]-A UBL invoice should not include the InvoiceLine PricingReference</assert>
			<assert test="not(cac-pl:OriginatorParty)" flag="fatal" id="UBL-CI-549">[UBL-CI-549]-A UBL invoice should not include the InvoiceLine OriginatorParty</assert>
			<assert test="not(cac-pl:Delivery)" flag="fatal" id="UBL-CI-550">[UBL-CI-550]-A UBL invoice should not include the InvoiceLine Delivery</assert>
			<assert test="not(cac-pl:PaymentTerms)" flag="fatal" id="UBL-CI-551">[UBL-CI-551]-A UBL invoice should not include the InvoiceLine PaymentTerms</assert>
			<assert test="not(cac-pl:AllowanceCharge/cbc-pl:ID)" flag="fatal" id="UBL-CI-552">[UBL-CI-552]-A UBL invoice should not include the InvoiceLine AllowanceCharge ID</assert>
			<assert test="not(cac-pl:WithholdingTaxTotal)" flag="fatal" id="UBL-CI-562">[UBL-CI-562]-A UBL invoice should not include the InvoiceLine WithholdingTaxTotal</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackQuantity)" flag="fatal" id="UBL-CI-563">[UBL-CI-563]-A UBL invoice should not include the InvoiceLine Item PackQuantity</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackSizeNumeric)" flag="fatal" id="UBL-CI-564">[UBL-CI-564]-A UBL invoice should not include the InvoiceLine Item PackSizeNumeric</assert>
			<assert test="not(cac-pl:Item/cbc-pl:CatalogueIndicator)" flag="fatal" id="UBL-CI-565">[UBL-CI-565]-A UBL invoice should not include the InvoiceLine Item CatalogueIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:HazardousRiskIndicator)" flag="fatal" id="UBL-CI-566">[UBL-CI-566]-A UBL invoice should not include the InvoiceLine Item HazardousRiskIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:AdditionalInformation)" flag="fatal" id="UBL-CI-567">[UBL-CI-567]-A UBL invoice should not include the InvoiceLine Item AdditionalInformation</assert>
			<assert test="not(cac-pl:Item/cbc-pl:Keyword)" flag="fatal" id="UBL-CI-568">[UBL-CI-568]-A UBL invoice should not include the InvoiceLine Item Keyword</assert>
			<assert test="not(cac-pl:Item/cbc-pl:BrandName)" flag="fatal" id="UBL-CI-569">[UBL-CI-569]-A UBL invoice should not include the InvoiceLine Item BrandName</assert>
			<assert test="not(cac-pl:Item/cbc-pl:ModelName)" flag="fatal" id="UBL-CI-570">[UBL-CI-570]-A UBL invoice should not include the InvoiceLine Item ModelName</assert>
			<assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification)" flag="fatal" id="UBL-CI-571">[UBL-CI-571]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification)" flag="fatal" id="UBL-CI-576">[UBL-CI-576]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturersItemIdentification)" flag="fatal" id="UBL-CI-581">[UBL-CI-581]-A UBL invoice should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification)" flag="fatal" id="UBL-CI-582">[UBL-CI-582]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueItemIdentification)" flag="fatal" id="UBL-CI-587">[UBL-CI-587]-A UBL invoice should not include the InvoiceLine Item CatalogueItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemIdentification)" flag="fatal" id="UBL-CI-588">[UBL-CI-588]-A UBL invoice should not include the InvoiceLine Item AdditionalItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueDocumentReference)" flag="fatal" id="UBL-CI-589">[UBL-CI-589]-A UBL invoice should not include the InvoiceLine Item CatalogueDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)" flag="fatal" id="UBL-CI-590">[UBL-CI-590]-A UBL invoice should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginCountry)" flag="fatal" id="UBL-CI-591">[UBL-CI-591]-A UBL invoice should not include the InvoiceLine Item OriginCountry </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)" flag="fatal" id="UBL-CI-592">[UBL-CI-592]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)" flag="fatal" id="UBL-CI-593">[UBL-CI-593]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)" flag="fatal" id="UBL-CI-594">[UBL-CI-594]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:TransactionConditions)" flag="fatal" id="UBL-CI-595">[UBL-CI-595]-A UBL invoice should not include the InvoiceLine Item TransactionConditions</assert>
			<assert test="not(cac-pl:Item/cac-pl:HazardousItem)" flag="fatal" id="UBL-CI-596">[UBL-CI-596]-A UBL invoice should not include the InvoiceLine Item HazardousItem</assert>
			<assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory)" flag="fatal" id="UBL-CI-597">[UBL-CI-597]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory </assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty)" flag="fatal" id="UBL-CI-608">[UBL-CI-608]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty</assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturerParty)" flag="fatal" id="UBL-CI-619">[UBL-CI-619]-A UBL invoice should not include the InvoiceLine Item ManufacturerParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:InformationContentProviderParty)" flag="fatal" id="UBL-CI-620">[UBL-CI-620]-A UBL invoice should not include the InvoiceLine Item InformationContentProviderParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginAddress)" flag="fatal" id="UBL-CI-621">[UBL-CI-621]-A UBL invoice should not include the InvoiceLine Item OriginAddress</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemInstance)" flag="fatal" id="UBL-CI-622">[UBL-CI-622]-A UBL invoice should not include the InvoiceLine Item ItemInstance</assert>
			<assert test="not(cac-pl:Item/cac-pl:Certificate)" flag="fatal" id="UBL-CI-623">[UBL-CI-623]-A UBL invoice should not include the InvoiceLine Item Certificate</assert>
			<assert test="not(cac-pl:Item/cac-pl:Dimension)" flag="fatal" id="UBL-CI-624">[UBL-CI-624]-A UBL invoice should not include the InvoiceLine Item Dimension</assert>
			<assert test="not(cac-pl:Item/cac-pl:Price)" flag="fatal" id="UBL-CI-625">[UBL-CI-625]-A UBL invoice should not include the InvoiceLine Item Price </assert>
			<assert test="not(cac-pl:DeliveryTerms)" flag="fatal" id="UBL-CI-645">[UBL-CI-645]-A UBL invoice should not include the InvoiceLine DeliveryTerms</assert>
			<assert test="not(cac-pl:SubInvoiceLine)" flag="fatal" id="UBL-CI-646">[UBL-CI-646]-A UBL invoice should not include the InvoiceLine SubInvoiceLine</assert>
			<assert test="not(cac-pl:ItemPriceExtension)" flag="fatal" id="UBL-CI-647">[UBL-CI-647]-A UBL invoice should not include the InvoiceLine ItemPriceExtension</assert>
		</rule>
		
    </pattern>
    	
 <pattern name="check InvoiceCorrection"> 

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:ChargeIndicator"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:ID"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:Percent"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxAmount"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:Percent"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:ID"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:LineExtensionGrossAmount"/>
		<rule context="//cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	 
		 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine">
			<assert test="not(cbc-pl:UUID)" flag="fatal" id="UBL-CI-515">[UBL-CI-515]-A UBL invoice should not include the InvoiceLine UUID</assert>
			<assert test="not(cbc-pl:TaxPointDate)" flag="fatal" id="UBL-CI-516">[UBL-CI-516]-A UBL invoice should not include the InvoiceLine TaxPointDate</assert>
			<assert test="not(cbc-pl:AccountingCostCode)" flag="fatal" id="UBL-CI-517">[UBL-CI-517]-A UBL invoice should not include the InvoiceLine AccountingCostCode</assert>
			<assert test="not(cbc-pl:PaymentPurposeCode)" flag="fatal" id="UBL-CI-518">[UBL-CI-518]-A UBL invoice should not include the InvoiceLine PaymentPurposeCode</assert>
			<assert test="not(cbc-pl:FreeOfChargeIndicator)" flag="fatal" id="UBL-CI-519">[UBL-CI-519]-A UBL invoice should not include the InvoiceLine FreeOfChargeIndicator</assert>
			<assert test="not(cac-pl:InvoicePeriod/cbc-pl:StartTime)" flag="fatal" id="UBL-CI-520">[UBL-CI-520]-A UBL invoice should not include the InvoiceLine InvoicePeriod StartTime</assert>
			<assert test="not(cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)" flag="fatal" id="UBL-CI-525">[UBL-CI-525]-A UBL invoice should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
			<assert test="not(cac-pl:DespatchLineReference)" flag="fatal" id="UBL-CI-529">[UBL-CI-529]-A UBL invoice should not include the InvoiceLine DespatchLineReference</assert>
			<assert test="not(cac-pl:ReceiptLineReference)" flag="fatal" id="UBL-CI-530">[UBL-CI-530]-A UBL invoice should not include the InvoiceLine ReceiptLineReference</assert>
			<assert test="not(cac-pl:BillingReference)" flag="fatal" id="UBL-CI-531">[UBL-CI-531]-A UBL invoice should not include the InvoiceLine BillingReference</assert>
			<assert test="not(cac-pl:DocumentReference/cbc-pl:CopyIndicator)" flag="fatal" id="UBL-CI-532">[UBL-CI-532]-A UBL invoice should not include the InvoiceLine DocumentReference CopyIndicator</assert>
			<assert test="not(cac-pl:PricingReference)" flag="fatal" id="UBL-CI-548">[UBL-CI-548]-A UBL invoice should not include the InvoiceLine PricingReference</assert>
			<assert test="not(cac-pl:OriginatorParty)" flag="fatal" id="UBL-CI-549">[UBL-CI-549]-A UBL invoice should not include the InvoiceLine OriginatorParty</assert>
			<assert test="not(cac-pl:Delivery)" flag="fatal" id="UBL-CI-550">[UBL-CI-550]-A UBL invoice should not include the InvoiceLine Delivery</assert>
			<assert test="not(cac-pl:PaymentTerms)" flag="fatal" id="UBL-CI-551">[UBL-CI-551]-A UBL invoice should not include the InvoiceLine PaymentTerms</assert>
			<assert test="not(cac-pl:AllowanceCharge/cbc-pl:ID)" flag="fatal" id="UBL-CI-552">[UBL-CI-552]-A UBL invoice should not include the InvoiceLine AllowanceCharge ID</assert>
			<assert test="not(cac-pl:WithholdingTaxTotal)" flag="fatal" id="UBL-CI-562">[UBL-CI-562]-A UBL invoice should not include the InvoiceLine WithholdingTaxTotal</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackQuantity)" flag="fatal" id="UBL-CI-563">[UBL-CI-563]-A UBL invoice should not include the InvoiceLine Item PackQuantity</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackSizeNumeric)" flag="fatal" id="UBL-CI-564">[UBL-CI-564]-A UBL invoice should not include the InvoiceLine Item PackSizeNumeric</assert>
			<assert test="not(cac-pl:Item/cbc-pl:CatalogueIndicator)" flag="fatal" id="UBL-CI-565">[UBL-CI-565]-A UBL invoice should not include the InvoiceLine Item CatalogueIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:HazardousRiskIndicator)" flag="fatal" id="UBL-CI-566">[UBL-CI-566]-A UBL invoice should not include the InvoiceLine Item HazardousRiskIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:AdditionalInformation)" flag="fatal" id="UBL-CI-567">[UBL-CI-567]-A UBL invoice should not include the InvoiceLine Item AdditionalInformation</assert>
			<assert test="not(cac-pl:Item/cbc-pl:Keyword)" flag="fatal" id="UBL-CI-568">[UBL-CI-568]-A UBL invoice should not include the InvoiceLine Item Keyword</assert>
			<assert test="not(cac-pl:Item/cbc-pl:BrandName)" flag="fatal" id="UBL-CI-569">[UBL-CI-569]-A UBL invoice should not include the InvoiceLine Item BrandName</assert>
			<assert test="not(cac-pl:Item/cbc-pl:ModelName)" flag="fatal" id="UBL-CI-570">[UBL-CI-570]-A UBL invoice should not include the InvoiceLine Item ModelName</assert>
			<assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification)" flag="fatal" id="UBL-CI-571">[UBL-CI-571]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification)" flag="fatal" id="UBL-CI-576">[UBL-CI-576]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturersItemIdentification)" flag="fatal" id="UBL-CI-581">[UBL-CI-581]-A UBL invoice should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification)" flag="fatal" id="UBL-CI-582">[UBL-CI-582]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueItemIdentification)" flag="fatal" id="UBL-CI-587">[UBL-CI-587]-A UBL invoice should not include the InvoiceLine Item CatalogueItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemIdentification)" flag="fatal" id="UBL-CI-588">[UBL-CI-588]-A UBL invoice should not include the InvoiceLine Item AdditionalItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueDocumentReference)" flag="fatal" id="UBL-CI-589">[UBL-CI-589]-A UBL invoice should not include the InvoiceLine Item CatalogueDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)" flag="fatal" id="UBL-CI-590">[UBL-CI-590]-A UBL invoice should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginCountry)" flag="fatal" id="UBL-CI-591">[UBL-CI-591]-A UBL invoice should not include the InvoiceLine Item OriginCountry </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)" flag="fatal" id="UBL-CI-592">[UBL-CI-592]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)" flag="fatal" id="UBL-CI-593">[UBL-CI-593]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)" flag="fatal" id="UBL-CI-594">[UBL-CI-594]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:TransactionConditions)" flag="fatal" id="UBL-CI-595">[UBL-CI-595]-A UBL invoice should not include the InvoiceLine Item TransactionConditions</assert>
			<assert test="not(cac-pl:Item/cac-pl:HazardousItem)" flag="fatal" id="UBL-CI-596">[UBL-CI-596]-A UBL invoice should not include the InvoiceLine Item HazardousItem</assert>
			<assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory)" flag="fatal" id="UBL-CI-597">[UBL-CI-597]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory </assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty)" flag="fatal" id="UBL-CI-608">[UBL-CI-608]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty</assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturerParty)" flag="fatal" id="UBL-CI-619">[UBL-CI-619]-A UBL invoice should not include the InvoiceLine Item ManufacturerParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:InformationContentProviderParty)" flag="fatal" id="UBL-CI-620">[UBL-CI-620]-A UBL invoice should not include the InvoiceLine Item InformationContentProviderParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginAddress)" flag="fatal" id="UBL-CI-621">[UBL-CI-621]-A UBL invoice should not include the InvoiceLine Item OriginAddress</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemInstance)" flag="fatal" id="UBL-CI-622">[UBL-CI-622]-A UBL invoice should not include the InvoiceLine Item ItemInstance</assert>
			<assert test="not(cac-pl:Item/cac-pl:Certificate)" flag="fatal" id="UBL-CI-623">[UBL-CI-623]-A UBL invoice should not include the InvoiceLine Item Certificate</assert>
			<assert test="not(cac-pl:Item/cac-pl:Dimension)" flag="fatal" id="UBL-CI-624">[UBL-CI-624]-A UBL invoice should not include the InvoiceLine Item Dimension</assert>
			<assert test="not(cac-pl:Item/cac-pl:Price)" flag="fatal" id="UBL-CI-625">[UBL-CI-625]-A UBL invoice should not include the InvoiceLine Item Price </assert>
			<assert test="not(cac-pl:DeliveryTerms)" flag="fatal" id="UBL-CI-645">[UBL-CI-645]-A UBL invoice should not include the InvoiceLine DeliveryTerms</assert>
			<assert test="not(cac-pl:SubInvoiceLine)" flag="fatal" id="UBL-CI-646">[UBL-CI-646]-A UBL invoice should not include the InvoiceLine SubInvoiceLine</assert>
			<assert test="not(cac-pl:ItemPriceExtension)" flag="fatal" id="UBL-CI-647">[UBL-CI-647]-A UBL invoice should not include the InvoiceLine ItemPriceExtension</assert>
		</rule>
		
    </pattern>
    
 <pattern name="check AdditionalInvoiceGrossData"> 

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cbc-pl:CalculationMethod"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:ChargeIndicator"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:ID"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:Percent"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:Percent"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:ID"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:LineExtensionGrossAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cbc-pl:AccountingCost"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:ChargeIndicator"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:TaxTotal/cbc-pl:TaxAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:TaxTotal/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Description"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Name"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Item/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cbc-pl:GrossPriceAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>

		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ChargeIndicator"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:Amount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:BaseAmount"/>
		<rule context="//cac-pl:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:Price/cac-pl:AllowanceCharge/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine">
			<assert test="not(cbc-pl:UUID)" flag="fatal" id="UBL-CI-515">[UBL-CI-515]-A UBL invoice should not include the InvoiceLine UUID</assert>
			<assert test="not(cbc-pl:TaxPointDate)" flag="fatal" id="UBL-CI-516">[UBL-CI-516]-A UBL invoice should not include the InvoiceLine TaxPointDate</assert>
			<assert test="not(cbc-pl:AccountingCostCode)" flag="fatal" id="UBL-CI-517">[UBL-CI-517]-A UBL invoice should not include the InvoiceLine AccountingCostCode</assert>
			<assert test="not(cbc-pl:PaymentPurposeCode)" flag="fatal" id="UBL-CI-518">[UBL-CI-518]-A UBL invoice should not include the InvoiceLine PaymentPurposeCode</assert>
			<assert test="not(cbc-pl:FreeOfChargeIndicator)" flag="fatal" id="UBL-CI-519">[UBL-CI-519]-A UBL invoice should not include the InvoiceLine FreeOfChargeIndicator</assert>
			<assert test="not(cac-pl:InvoicePeriod/cbc-pl:StartTime)" flag="fatal" id="UBL-CI-520">[UBL-CI-520]-A UBL invoice should not include the InvoiceLine InvoicePeriod StartTime</assert>
			<assert test="not(cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)" flag="fatal" id="UBL-CI-525">[UBL-CI-525]-A UBL invoice should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
			<assert test="not(cac-pl:DespatchLineReference)" flag="fatal" id="UBL-CI-529">[UBL-CI-529]-A UBL invoice should not include the InvoiceLine DespatchLineReference</assert>
			<assert test="not(cac-pl:ReceiptLineReference)" flag="fatal" id="UBL-CI-530">[UBL-CI-530]-A UBL invoice should not include the InvoiceLine ReceiptLineReference</assert>
			<assert test="not(cac-pl:BillingReference)" flag="fatal" id="UBL-CI-531">[UBL-CI-531]-A UBL invoice should not include the InvoiceLine BillingReference</assert>
			<assert test="not(cac-pl:DocumentReference/cbc-pl:CopyIndicator)" flag="fatal" id="UBL-CI-532">[UBL-CI-532]-A UBL invoice should not include the InvoiceLine DocumentReference CopyIndicator</assert>
			<assert test="not(cac-pl:PricingReference)" flag="fatal" id="UBL-CI-548">[UBL-CI-548]-A UBL invoice should not include the InvoiceLine PricingReference</assert>
			<assert test="not(cac-pl:OriginatorParty)" flag="fatal" id="UBL-CI-549">[UBL-CI-549]-A UBL invoice should not include the InvoiceLine OriginatorParty</assert>
			<assert test="not(cac-pl:Delivery)" flag="fatal" id="UBL-CI-550">[UBL-CI-550]-A UBL invoice should not include the InvoiceLine Delivery</assert>
			<assert test="not(cac-pl:PaymentTerms)" flag="fatal" id="UBL-CI-551">[UBL-CI-551]-A UBL invoice should not include the InvoiceLine PaymentTerms</assert>
			<assert test="not(cac-pl:AllowanceCharge/cbc-pl:ID)" flag="fatal" id="UBL-CI-552">[UBL-CI-552]-A UBL invoice should not include the InvoiceLine AllowanceCharge ID</assert>
			<assert test="not(cac-pl:WithholdingTaxTotal)" flag="fatal" id="UBL-CI-562">[UBL-CI-562]-A UBL invoice should not include the InvoiceLine WithholdingTaxTotal</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackQuantity)" flag="fatal" id="UBL-CI-563">[UBL-CI-563]-A UBL invoice should not include the InvoiceLine Item PackQuantity</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackSizeNumeric)" flag="fatal" id="UBL-CI-564">[UBL-CI-564]-A UBL invoice should not include the InvoiceLine Item PackSizeNumeric</assert>
			<assert test="not(cac-pl:Item/cbc-pl:CatalogueIndicator)" flag="fatal" id="UBL-CI-565">[UBL-CI-565]-A UBL invoice should not include the InvoiceLine Item CatalogueIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:HazardousRiskIndicator)" flag="fatal" id="UBL-CI-566">[UBL-CI-566]-A UBL invoice should not include the InvoiceLine Item HazardousRiskIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:AdditionalInformation)" flag="fatal" id="UBL-CI-567">[UBL-CI-567]-A UBL invoice should not include the InvoiceLine Item AdditionalInformation</assert>
			<assert test="not(cac-pl:Item/cbc-pl:Keyword)" flag="fatal" id="UBL-CI-568">[UBL-CI-568]-A UBL invoice should not include the InvoiceLine Item Keyword</assert>
			<assert test="not(cac-pl:Item/cbc-pl:BrandName)" flag="fatal" id="UBL-CI-569">[UBL-CI-569]-A UBL invoice should not include the InvoiceLine Item BrandName</assert>
			<assert test="not(cac-pl:Item/cbc-pl:ModelName)" flag="fatal" id="UBL-CI-570">[UBL-CI-570]-A UBL invoice should not include the InvoiceLine Item ModelName</assert>
			<assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification)" flag="fatal" id="UBL-CI-571">[UBL-CI-571]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification)" flag="fatal" id="UBL-CI-576">[UBL-CI-576]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturersItemIdentification)" flag="fatal" id="UBL-CI-581">[UBL-CI-581]-A UBL invoice should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification)" flag="fatal" id="UBL-CI-582">[UBL-CI-582]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueItemIdentification)" flag="fatal" id="UBL-CI-587">[UBL-CI-587]-A UBL invoice should not include the InvoiceLine Item CatalogueItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemIdentification)" flag="fatal" id="UBL-CI-588">[UBL-CI-588]-A UBL invoice should not include the InvoiceLine Item AdditionalItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueDocumentReference)" flag="fatal" id="UBL-CI-589">[UBL-CI-589]-A UBL invoice should not include the InvoiceLine Item CatalogueDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)" flag="fatal" id="UBL-CI-590">[UBL-CI-590]-A UBL invoice should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginCountry)" flag="fatal" id="UBL-CI-591">[UBL-CI-591]-A UBL invoice should not include the InvoiceLine Item OriginCountry </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)" flag="fatal" id="UBL-CI-592">[UBL-CI-592]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)" flag="fatal" id="UBL-CI-593">[UBL-CI-593]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)" flag="fatal" id="UBL-CI-594">[UBL-CI-594]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:TransactionConditions)" flag="fatal" id="UBL-CI-595">[UBL-CI-595]-A UBL invoice should not include the InvoiceLine Item TransactionConditions</assert>
			<assert test="not(cac-pl:Item/cac-pl:HazardousItem)" flag="fatal" id="UBL-CI-596">[UBL-CI-596]-A UBL invoice should not include the InvoiceLine Item HazardousItem</assert>
			<assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory)" flag="fatal" id="UBL-CI-597">[UBL-CI-597]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory </assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty)" flag="fatal" id="UBL-CI-608">[UBL-CI-608]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty</assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturerParty)" flag="fatal" id="UBL-CI-619">[UBL-CI-619]-A UBL invoice should not include the InvoiceLine Item ManufacturerParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:InformationContentProviderParty)" flag="fatal" id="UBL-CI-620">[UBL-CI-620]-A UBL invoice should not include the InvoiceLine Item InformationContentProviderParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginAddress)" flag="fatal" id="UBL-CI-621">[UBL-CI-621]-A UBL invoice should not include the InvoiceLine Item OriginAddress</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemInstance)" flag="fatal" id="UBL-CI-622">[UBL-CI-622]-A UBL invoice should not include the InvoiceLine Item ItemInstance</assert>
			<assert test="not(cac-pl:Item/cac-pl:Certificate)" flag="fatal" id="UBL-CI-623">[UBL-CI-623]-A UBL invoice should not include the InvoiceLine Item Certificate</assert>
			<assert test="not(cac-pl:Item/cac-pl:Dimension)" flag="fatal" id="UBL-CI-624">[UBL-CI-624]-A UBL invoice should not include the InvoiceLine Item Dimension</assert>
			<assert test="not(cac-pl:Item/cac-pl:Price)" flag="fatal" id="UBL-CI-625">[UBL-CI-625]-A UBL invoice should not include the InvoiceLine Item Price </assert>
			<assert test="not(cac-pl:DeliveryTerms)" flag="fatal" id="UBL-CI-645">[UBL-CI-645]-A UBL invoice should not include the InvoiceLine DeliveryTerms</assert>
			<assert test="not(cac-pl:SubInvoiceLine)" flag="fatal" id="UBL-CI-646">[UBL-CI-646]-A UBL invoice should not include the InvoiceLine SubInvoiceLine</assert>
			<assert test="not(cac-pl:ItemPriceExtension)" flag="fatal" id="UBL-CI-647">[UBL-CI-647]-A UBL invoice should not include the InvoiceLine ItemPriceExtension</assert>
		</rule>

		
    </pattern>
  
	<pattern>
		<rule context="cac:CreditNoteLine">
			<let name="testposition1" value="count(preceding-sibling::cac-pl:InvoiceLine) + 1"/>
			<assert id="PL-CI-02" test="if (cbc:ID = //cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition1]/cbc-pl:ID) 
              then (if (cbc:LineExtensionAmount + //cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition1]/cac-pl:TaxTotal/cbc-pl:TaxAmount = //cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition1]/cbc-pl:LineExtensionGrossAmount) 
              then true() else false())  else true()" flag="fatal">[PL-CI-02] Niezgodna wartość pozycji brutto.</assert>
			<assert id="PL-CI-03" test="if (cbc:ID = //cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition1]/cbc-pl:ID) 
              then (if (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition1]/cac-pl:TaxTotal/cbc-pl:TaxAmount - (cbc:LineExtensionAmount *(cac:Item/cac:ClassifiedTaxCategory/cbc:Percent * 0.01)) &lt; 0.1) 
              then true() else false())  else true()" flag="fatal">[PL-CI-03] Niezgodna wartość podatku.</assert>
			<assert id="PL-CI-04" test="if (cbc:ID = //cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition1]/cbc-pl:ID) 
              then (if (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition1]/cac-pl:Price/cbc-pl:GrossPriceAmount - (cac:Price/cbc:PriceAmount * ( 1 + (cac:Item/cac:ClassifiedTaxCategory/cbc:Percent * 0.01))) &lt; 0.1)
              then true() else false())  else true()" flag="fatal">[PL-CI-04] Niezgodna wartość ceny brutto.</assert>
		</rule>
		
	<rule context="cac:CreditNoteLine">
			  <let name="testposition" value="cbc:ID"/>
			  <let name="Amount1" value="xs:decimal(cbc:LineExtensionAmount)"/>
			  <let name="Amount2" value="xs:decimal(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount)"/>
			  <let name="Amount3" value="xs:decimal(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]/cbc-pl:LineExtensionGrossAmount)"/>
<!--		  
		<assert id="PL-FV-0a-test"
              test="false()" 
              flag="fatal">[PL-FV-0a-test] Wartości sum
					cbc:ID=<value-of  select="cbc:ID"/>  -  
                  	$testposition=<value-of  select="$testposition"/>  -  
					$Amount1=<value-of  select="$Amount1"/>  -  
					$Amount2=<value-of  select="$Amount2"/>  -  
					$Amount3=<value-of  select="$Amount3"/>  -  
 					Wartość=<value-of  select="$Amount1 + $Amount2 - $Amount3"/>  -  
              </assert> 
-->			  
     	      <assert id="PL-FV-02"
              test="if (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]) 
              then (if ($Amount1 + $Amount2 = $Amount3) then true() else false())  else true()"
              flag="fatal">[PL-FV-02] Niezgodna wartość pozycji brutto.</assert>  
     	      <assert id="PL-FV-03"
              test="if (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]) 
              then (if (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount - (cbc:LineExtensionAmount *(cac:Item/cac:ClassifiedTaxCategory/cbc:Percent * 0.01)) &lt; 0.1) 
              then true() else false())  else true()"
              flag="fatal">[PL-FV-03] Niezgodna wartość podatku.</assert>
      	      <assert id="PL-FV-04"
              test="if (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]) 
              then (if (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]/cac-pl:Price/cbc-pl:GrossPriceAmount - (cac:Price/cbc:PriceAmount * ( 1 + (cac:Item/cac:ClassifiedTaxCategory/cbc:Percent * 0.01))) &lt; 0.1)
              then true() else false())  else true()"
              flag="fatal">[PL-FV-04] Niezgodna wartość ceny brutto.</assert> 
     	      <assert id="PL-FV-04a"
              test="if (cbc:ID = //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]) 
              then (if (round(((//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$testposition]/cac-pl:Price/cbc-pl:GrossPriceAmount) div (cac:Item/cac:ClassifiedTaxCategory/cbc:Percent +100) *100) - cac:Price/cbc:PriceAmount) = 0)
              then true() else false())  else true()"
              flag="warning">[PL-FV-04a] Niezgodna wartość ceny netto.</assert>  
              
    </rule>  

    	<rule context="//cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID &gt; count(//cac:CreditNoteLine)]">
    	
		<assert id="PL-FV-0ka"
              test="if (cbc-pl:Note or cac-pl:AllowanceCharge or cac-pl:TaxTotal or cac-pl:Item/cac-pl:ClassifiedTaxCategory or cac-pl:Price or cac-pl:SubInvoiceLine) then false() else true()"
              flag="fatal">[PL-FV-0ka] Document MUST NOT contain elements not part of the data model.
        </assert>	
		
    </rule>  
    
     <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData">
         <assert test="if((cac-pl:InvoiceLine/cbc-pl:ID = //cac:InvoiceLine/cbc:ID) and cac-pl:InvoiceLine/cbc-pl:InvoicedQuantity) then false() else  true()"
                 flag="fatal"
                 id="PL-CI-020a">[PL-CI-020a]-A GrossData should not consists of InvoicedQuantity</assert>
         <assert test="if((cac-pl:InvoiceLine/cbc-pl:ID = //cac:InvoiceLine/cbc:ID) and cac-pl:InvoiceLine/cac-pl:TaxTotal/cac-pl:TaxSubtotal) then false() else  true()"
                 flag="fatal"
                 id="PL-CI-020b">[PL-CI-020b]-A GrossData should not consists of TaxTotal/TaxSubtotal</assert>
         <assert test="if((cac-pl:InvoiceLine/cbc-pl:ID = //cac:InvoiceLine/cbc:ID) and cac-pl:InvoiceLine/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:TaxAmount) then false() else  true()"
                 flag="fatal"
                 id="PL-CI-020c">[PL-CI-020c]-A GrossData should not consists of TaxTotal/TaxSubtotal/TaxAmount</assert>
         <assert test="if((cac-pl:InvoiceLine/cbc-pl:ID = //cac:InvoiceLine/cbc:ID) and cac-pl:InvoiceLine/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount) then false() else  true()"
                 flag="fatal"
                 id="PL-CI-020d">[PL-CI-020d]-A GrossData should not consists of TaxTotal/TaxInclusiveAmount</assert>
    </rule>  
    
    </pattern>	
    
	<pattern name="check AdditionalAddressData">
	
      <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalAddressData/cac-pl:SellerSupplierParty">
<!--        <assert test="cac-pl:Party/cac-pl:PartyName/cbc-pl:Name != ''"
                 flag="warning"
                 id="PL-IN-2-003">[PL-IN-2-003] Faktura powinna zawierać nazwę wystawcy faktury. An Invoice shall contain the Seller name (BT-27).</assert>
 -->         <assert test="cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName != ''"
                 flag="warning"
                 id="PL-IN-2-003a">[PL-IN-2-003] Faktura powinna zawierać nazwę wystawcy faktury. An Invoice shall contain the Seller registration name.</assert>
         <assert test="cac-pl:Party/cac-pl:PostalAddress != ''"
                 flag="warning"
                 id="PL-IN-2-005">[PL-IN-2-005] Faktura powinna zawierać adres pocztowy wystawcy faktury. An Invoice shall contain the Seller postal address.</assert>                 
         <assert test="cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode != ''"
                 flag="warning"
                 id="PL-IN-2-006">[PL-IN-2-006] Faktura powinna zawierać kod kraju wystawcy faktury. The Seller postal address (BG-5) shall contain a Seller country code (BT-40).</assert>
      </rule>
      
      <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalAddressData/cac-pl:ReceiverParty">
<!--         <assert test="cac-pl:Party/cac-pl:PartyName/cbc-pl:Name != ''"
                 flag="warning"
                 id="PL-IN-2-004a">[PL-IN-2-004] Faktura powinna zawierać nazwę adresata. An Invoice shall contain the Buyer name (BT-44).</assert>
-->         <assert test="cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName != ''"
                 flag="warning"
                 id="PL-IN-2-004">[PL-IN-2-004] Faktura powinna zawierać nazwę adresata. An Invoice shall contain the Buyer registration  name.</assert>
         <assert test="cac-pl:Party/cac-pl:PostalAddress != ''"
                 flag="warning"
                 id="PL-IN-2-007">[PL-IN-2-007] Faktura powinna zawierać adres adresata faktury. An Invoice shall contain the Buyer postal address (BG-8).</assert>
         <assert test="cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode != ''"
                 flag="warning"
                 id="PL-IN-2-008">[PL-IN-2-008] Faktura powinna zawierać kod kraju adresata faktury. The Buyer postal address shall contain a Buyer country code (BT-55).</assert>  
      </rule>   
       
	</pattern>
  
  
  
  <!--Suppressed abstract pattern model was here-->
  <!--Suppressed abstract pattern syntax was here-->
  
  
  <!--Start pattern based on abstract model-->
  
  <pattern id="UBL-model">

      <rule context="//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'false']">
         <assert test="exists(cbc-pl:Amount) " flag="fatal" id="BR-31">[BR-31]-Each Document level allowance (BG-20) shall have a Document level allowance amount (BT-92).</assert>
         <assert test="exists(cac-pl:TaxCategory/cbc-pl:ID)" flag="fatal" id="BR-32">[BR-32]-Each Document level allowance (BG-20) shall have a Document level allowance VAT category code (BT-95).</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="BR-33">[BR-33]-Each Document level allowance (BG-20) shall have a Document level allowance reason (BT-97) or a Document level allowance reason code (BT-98).</assert>
         <assert test="true()" flag="fatal" id="BR-CO-05">[BR-CO-05]-Document level allowance reason code (BT-98) and Document level allowance reason (BT-97) shall indicate the same type of allowance.</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="BR-CO-21">[BR-CO-21]-Each Document level allowance (BG-20) shall contain a Document level allowance reason (BT-97) or a Document level allowance reason code (BT-98), or both.</assert>
         <assert test="string-length(substring-after(cbc-pl:Amount,'.'))&lt;=2"
                 flag="fatal"
                 id="BR-DEC-01">[BR-DEC-01]-The allowed maximum number of decimals for the Document level allowance amount (BT-92) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:BaseAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="BR-DEC-02">[BR-DEC-02]-The allowed maximum number of decimals for the Document level allowance base amount (BT-93) is 2.    </assert>
      </rule>
      <rule context="//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'true']">
         <assert test="exists(cbc-pl:Amount)" flag="fatal" id="BR-36">[BR-36]-Each Document level charge (BG-21) shall have a Document level charge amount (BT-99).</assert>
         <assert test="exists(cac-pl:TaxCategory/cbc-pl:ID)" flag="fatal" id="BR-37">[BR-37]-Each Document level charge (BG-21) shall have a Document level charge VAT category code (BT-102).</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="BR-38">[BR-38]-Each Document level charge (BG-21) shall have a Document level charge reason (BT-104) or a Document level charge reason code (BT-105).    </assert>
         <assert test="true()" flag="fatal" id="BR-CO-06">[BR-CO-06]-Document level charge reason code (BT-105) and Document level charge reason (BT-104) shall indicate the same type of charge.</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="BR-CO-22">[BR-CO-22]-Each Document level charge (BG-21) shall contain a Document level charge reason (BT-104) or a Document level charge reason code (BT-105), or both.</assert>
         <assert test="string-length(substring-after(cbc-pl:Amount,'.'))&lt;=2"
                 flag="fatal"
                 id="BR-DEC-05">[BR-DEC-05]-The allowed maximum number of decimals for the Document level charge amount (BT-99) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:BaseAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="BR-DEC-06">[BR-DEC-06]-The allowed maximum number of decimals for the Document level charge base amount (BT-100) is 2.    </assert>
      </rule>
      <rule context="//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal">
         <assert test="exists(cbc-pl:LineExtensionAmount)" flag="fatal" id="PL-CI-003">[PL-CI-003]-An Invoice shall have the Sum of Invoice line net amount (BT-106).</assert>
         <assert test="exists(cbc-pl:TaxExclusiveAmount)" flag="fatal" id="PL-CI-004">[PL-CI-004]-An Invoice shall have the Invoice total amount without VAT (BT-109).</assert>
         <assert test="exists(cbc-pl:TaxInclusiveAmount)" flag="fatal" id="PL-CI-005">[PL-CI-005]-An Invoice shall have the Invoice total amount with VAT (BT-112).</assert>
         <assert test="exists(cbc-pl:PayableAmount)" flag="fatal" id="PL-CI-006">[PL-CI-006]-An Invoice shall have the Amount due for payment (BT-115).</assert>
         <assert test="(xs:decimal(cbc-pl:LineExtensionAmount) = (round(sum(//cac-pl:InvoiceLine/xs:decimal(cbc-pl:LineExtensionAmount)) * 10 * 10) div 100)) or (xs:decimal(cbc-pl:LineExtensionAmount) = (round(sum(//cac-pl:CreditNoteLine/xs:decimal(cbc-pl:LineExtensionAmount)) * 10 * 10) div 100))"
                 flag="fatal"
                 id="PL-CI-007">[PL-CI-007]-Sum of Invoice line net amount (BT-106) = Σ Invoice line net amount (BT-131).</assert>
         <assert test="xs:decimal(cbc-pl:AllowanceTotalAmount) = (round(sum(../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/xs:decimal(cbc-pl:Amount)) * 10 * 10) div 100) or not(cbc-pl:AllowanceTotalAmount)"
                 flag="fatal"
                 id="PL-CI-008">[PL-CI-008]-Sum of allowances on document level (BT-107) = Σ Document level allowance amount (BT-92).</assert>
         <assert test="xs:decimal(cbc-pl:ChargeTotalAmount) = (round(sum(../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/xs:decimal(cbc-pl:Amount)) * 10 * 10) div 100) or not(cbc-pl:ChargeTotalAmount)"
                 flag="fatal"
                 id="PL-CI-009">[PL-CI-009]-Sum of charges on document level (BT-108) = Σ Document level charge amount (BT-99).</assert>
         <assert test="((cbc-pl:ChargeTotalAmount) and (cbc-pl:AllowanceTotalAmount) and (xs:decimal(cbc-pl:TaxExclusiveAmount) = round((xs:decimal(cbc-pl:LineExtensionAmount) + xs:decimal(cbc-pl:ChargeTotalAmount) - xs:decimal(cbc-pl:AllowanceTotalAmount)) * 10 * 10) div 100 ))  or (not(cbc-pl:ChargeTotalAmount) and (cbc-pl:AllowanceTotalAmount) and (xs:decimal(cbc-pl:TaxExclusiveAmount) = round((xs:decimal(cbc-pl:LineExtensionAmount) - xs:decimal(cbc-pl:AllowanceTotalAmount)) * 10 * 10 ) div 100)) or ((cbc-pl:ChargeTotalAmount) and not(cbc-pl:AllowanceTotalAmount) and (xs:decimal(cbc-pl:TaxExclusiveAmount) = round((xs:decimal(cbc-pl:LineExtensionAmount) + xs:decimal(cbc-pl:ChargeTotalAmount)) * 10 * 10 ) div 100)) or (not(cbc-pl:ChargeTotalAmount) and not(cbc-pl:AllowanceTotalAmount) and (xs:decimal(cbc-pl:TaxExclusiveAmount) = xs:decimal(cbc-pl:LineExtensionAmount)))"
                 flag="fatal"
                 id="PL-CI-010">[PL-CI-010]-Invoice total amount without VAT (BT-109) = Σ Invoice line net amount (BT-131) - Sum of allowances on document level (BT-107) + Sum of charges on document level (BT-108).</assert>
 <!--        <assert test="(xs:decimal(cbc-pl:PrepaidAmount) and not(xs:decimal(cbc-pl:PayableRoundingAmount)) and (xs:decimal(cbc-pl:PayableAmount) = (round((xs:decimal(cbc-pl:TaxInclusiveAmount) - xs:decimal(cbc-pl:PrepaidAmount)) * 10 * 10) div 100))) or (not(xs:decimal(cbc-pl:PrepaidAmount)) and not(xs:decimal(cbc-pl:PayableRoundingAmount)) and xs:decimal(cbc-pl:PayableAmount) = xs:decimal(cbc-pl:TaxInclusiveAmount)) or (xs:decimal(cbc-pl:PrepaidAmount) and xs:decimal(cbc-pl:PayableRoundingAmount) and ((round((xs:decimal(cbc-pl:PayableAmount) - xs:decimal(cbc-pl:PayableRoundingAmount)) * 10 * 10) div 100) = (round((xs:decimal(cbc-pl:TaxInclusiveAmount) - xs:decimal(cbc-pl:PrepaidAmount)) * 10 * 10) div 100))) or (not(xs:decimal(cbc-pl:PrepaidAmount)) and xs:decimal(cbc-pl:PayableRoundingAmount) and ((round((xs:decimal(cbc-pl:PayableAmount) - xs:decimal(cbc-pl:PayableRoundingAmount)) * 10 * 10) div 100) = xs:decimal(cbc-pl:TaxInclusiveAmount))) "
                 flag="fatal"
                 id="PL-CI-011">[PL-CI-011]-Amount due for payment (BT-115) = Invoice total amount with VAT (BT-112) -Paid amount (BT-113) +Rounding amount (BT-114).</assert>
 -->        <assert test="string-length(substring-after(cbc-pl:LineExtensionAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-012">[PL-CI-012]-The allowed maximum number of decimals for the Sum of Invoice line net amount (BT-106) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:AllowanceTotalAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-013">[PL-CI-013]-The allowed maximum number of decimals for the Sum of allowanced on document level (BT-107) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:ChargeTotalAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-014">[PL-CI-014]-The allowed maximum number of decimals for the Sum of charges on document level (BT-108) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:TaxExclusiveAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-015">[PL-CI-015]-The allowed maximum number of decimals for the Invoice total amount without VAT (BT-109) is 2.    </assert>
         <assert test="string-length(substring-after(cbc-pl:TaxInclusiveAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-016">[PL-CI-016]-The allowed maximum number of decimals for the Invoice total amount with VAT (BT-112) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:PrepaidAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-017">[PL-CI-017]-The allowed maximum number of decimals for the Paid amount (BT-113) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:PayableRoundingAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-018">[PL-CI-018]-The allowed maximum number of decimals for the Rounding amount (BT-114) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:PayableAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-019">[PL-CI-019]-The allowed maximum number of decimals for the Amount due for payment (BT-115) is 2.  </assert>
      </rule>
      
		<rule context="//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData">
			<assert test="exists(cac-pl:InvoiceLine)" flag="fatal" id="PL-CI-020">[PL-CI-020]-An Invoice shall have at least one Invoice line (BG-25)</assert>
			<assert test="((exists(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'AE']) or exists(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'AE'])) and (count(//cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID) = 1) and (count(//cac-pl:TaxCategory/cbc-pl:ID[. != 'AE']) = 0 and count(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) != 'AE'])=0)) or (count(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'AE']) = 0 and count(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'AE'])=0)" flag="fatal" id="PL-CI-021">[PL-CI-021]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “Reverse charge” shall contain in the VATBReakdown (BG-23) exactly one VAT category code (BT-118) equal with "VAT reverse charge".</assert>
			<assert test="every $Currency in cbc-pl:DocumentCurrencyCode satisfies cac-pl:LegalMonetaryTotal/xs:decimal(cbc-pl:TaxInclusiveAmount) = round( (cac-pl:LegalMonetaryTotal/xs:decimal(cbc-pl:TaxExclusiveAmount) + cac-pl:TaxTotal/xs:decimal(cbc-pl:TaxAmount[@currencyID=$Currency])) * 10 * 10) div 100" flag="fatal" id="PL-CI-022">[PL-CI-022]-Invoice total amount with VAT (BT-112) = Invoice total amount without VAT (BT-109) + Invoice total VAT amount (BT-110).</assert>
			<assert test="exists(cac-pl:TaxTotal/cac-pl:TaxSubtotal)" flag="fatal" id="PL-CI-023">[PL-CI-023]-An Invoice shall at least have one VATBReakdown group (BG-23).</assert>
			<assert test="(//cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID = cbc-pl:DocumentCurrencyCode] and (string-length(substring-after(//cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID = cbc-pl:DocumentCurrencyCode],'.'))&lt;=2)) or (not(//cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID = cbc-pl:DocumentCurrencyCode]))" flag="fatal" id="PL-CI-024">[PL-CI-024]-The allowed maximum number of decimals for the Invoice total VAT amount (BT-110) is 2.</assert>
			<assert test="(//cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID = cbc-pl:TaxCurrencyCode] and (string-length(substring-after(//cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID = cbc-pl:TaxCurrencyCode],'.'))&lt;=2)) or (not(//cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID = cbc-pl:TaxCurrencyCode]))" flag="fatal" id="PL-CI-025">[PL-CI-025]-The allowed maximum number of decimals for the Invoice total VAT amount in accounting currency (BT-111) is 2.</assert>
			<assert test="((exists(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'E']) or exists(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'E'])) and (count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'E']) = 1)) or (not(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'E']) and not(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'E']))" flag="fatal" id="PL-CI-026">[PL-CI-026]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “Exempt from VAT” shall contain exactly one VATBReakdown (BG-23) with the VAT category code (BT-118) equal to "Exempt from VAT".</assert>
			<assert test="((exists(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'G']) or exists(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'G'])) and (count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'G']) = 1)) or (not(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'G']) and not(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'G']))" flag="fatal" id="PL-CI-030">[PL-CI-030]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “Export outside the EU” shall contain in the VATBReakdown (BG-23) exactly one VAT category code (BT-118) equal with "Export outside the EU".</assert>
			<assert test="((exists(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'K']) or exists(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'K'])) and (count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'K']) = 1)) or (not(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'K']) and not(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'K']))" flag="fatal" id="PL-CI-031">[PL-CI-031]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “Intra-community supply” shall contain in the VATBReakdown (BG-23) exactly one VAT category code (BT-118) equal with "Intra-community supply".</assert>
			<assert test="((count(//cac-pl:AllowanceCharge/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'L']) + count(//cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'L'])) &gt; 0 and count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[cbc-pl:ID = 'L']) &gt; 0) or ((count(//cac-pl:AllowanceCharge/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'L']) + count(//cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'L'])) = 0 and count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'L']) = 0)" flag="fatal" id="PL-CI-037">[PL-CI-037]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “IGIC” shall contain in the VATBReakdown (BG-23) at least one VAT category code (BT-118) equal with "IGIC".</assert>
			<assert test="((count(//cac-pl:AllowanceCharge/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'M']) + count(//cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'M'])) &gt; 0 and count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[cbc-pl:ID = 'M']) &gt; 0) or ((count(//cac-pl:AllowanceCharge/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'M']) + count(//cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'M'])) = 0 and count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'M']) = 0)" flag="fatal" id="PL-CI-041">[PL-CI-041]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “IPSI” shall contain in the VATBReakdown (BG-23) at least one VAT category code (BT-118) equal with "IPSI".</assert>
			<assert test="((exists(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O']) or exists(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'O'])) and (count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O']) = 1)) or (not(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O']) and not(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'O']))" flag="fatal" id="PL-CI-045">[PL-CI-045]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “Not subject to VAT” shall contain exactly one VATBReakdown group (BG-23) with the VAT category code (BT-118) equal to "Not subject to VAT".</assert>
			<assert test="(exists(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O']) and count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) != 'O']) = 0) or not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O'])" flag="fatal" id="PL-CI-046">[PL-CI-046]-An Invoice that contains a VATBReakdown group (BG-23) with a VAT category code (BT-118) "Not subject to VAT" shall not contain other VATBReakdown groups (BG-23).    </assert>
			<assert test="(exists(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O']) and count(//cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) != 'O']) = 0) or not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O'])" flag="fatal" id="PL-CI-047">[PL-CI-047]-An Invoice that contains a VATBReakdown group (BG-23) with a VAT category code (BT-118) "Not subject to VAT" shall not contain an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is not "Not subject to VAT".</assert>
			<assert test="(exists(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O']) and count(//cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) != 'O']) = 0) or not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O'])" flag="fatal" id="PL-CI-048">[PL-CI-048]-An Invoice that contains a VATBReakdown group (BG-23) with a VAT category code (BT-118) "Not subject to VAT" shall not contain Document level allowances (BG-20) where Document level allowance VAT category code (BT-95) is not "Not subject to VAT".</assert>
			<assert test="(exists(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O']) and count(//cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) != 'O']) = 0) or not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'O'])" flag="fatal" id="PL-CI-049">[PL-CI-049]-An Invoice that contains a VATBReakdown group (BG-23) with a VAT category code (BT-118) "Not subject to VAT" shall not contain Document level charges (BG-21) where Document level charge VAT category code (BT-102) is not "Not subject to VAT".</assert>
			<assert test="((count(//cac-pl:AllowanceCharge/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'S']) + count(//cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'S'])) &gt; 0 and count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'S']) &gt; 0) or ((count(//cac-pl:AllowanceCharge/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'S']) + count(//cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'S'])) = 0 and count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'S']) = 0)" flag="fatal" id="PL-CI-050">[PL-CI-050]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “Standard rated” shall contain in the VATBReakdown (BG-23) at least one VAT category code (BT-118) equal with "Standard rated".</assert>
			<assert test="((exists(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'Z']) or exists(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'Z'])) and (count(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'Z']) = 1)) or (not(//cac-pl:TaxCategory/cbc-pl:ID[normalize-space(.) = 'Z']) and not(//cac-pl:ClassifiedTaxCategory/cbc-pl:ID[normalize-space(.) = 'Z']))" flag="fatal" id="PL-CI-051">[PL-CI-051]-An Invoice that contains an Invoice line (BG-25), a Document level allowance (BG-20) or a Document level charge (BG-21) where the VAT category code (BT-151, BT-95 or BT-102) is “Zero rated” shall contain in the VATBReakdown (BG-23) exactly one VAT category code (BT-118) equal with "Zero rated".    </assert>
		</rule>
		
		<rule context="//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine">
         <assert test="(cbc-pl:ID) != ''" flag="fatal" id="PL-CI-055">[PL-CI-055]-Each Invoice line (BG-25) shall have an Invoice line identifier (BT-126).</assert>
         <assert test="exists(cbc-pl:InvoicedQuantity) or exists(cbc-pl:CreditedQuantity)"
                 flag="fatal"
                 id="PL-CI-056">[PL-CI-056]-Each Invoice line (BG-25) shall have an Invoiced quantity (BT-129).</assert>
         <assert test="exists(cbc-pl:InvoicedQuantity/@unitCode) or exists(cbc-pl:CreditedQuantity/@unitCode)"
                 flag="fatal"
                 id="PL-CI-057">[PL-CI-057]-An Invoice line (BG-25) shall have an Invoiced quantity unit of measure code (BT-130).</assert>
         <assert test="exists(cbc-pl:LineExtensionAmount)" flag="fatal" id="PL-CI-058">[PL-CI-058]-Each Invoice line (BG-25) shall have an Invoice line net amount (BT-131).</assert>
         <assert test="(cac-pl:Item/cbc-pl:Name) != ''" flag="fatal" id="PL-CI-059">[PL-CI-059]-Each Invoice line (BG-25) shall contain the Item name (BT-153).</assert>
         <assert test="exists(cac-pl:Price/cbc-pl:PriceAmount)" flag="fatal" id="PL-CI-060">[PL-CI-060]-Each Invoice line (BG-25) shall contain the Item net price (BT-146).</assert>
         <assert test="(cac-pl:Price/cbc-pl:PriceAmount) &gt;= 0" flag="fatal" id="PL-CI-061">[PL-CI-061]-The Item net price (BT-146) shall NOT be negative.</assert>
         <assert test="(cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:BaseAmount) &gt;= 0 or not(exists(cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:BaseAmount))"
                 flag="fatal"
                 id="PL-CI-062">[PL-CI-062]-The Item gross price (BT-148) shall NOT be negative.</assert>
         <assert test="(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)"
                 flag="fatal"
                 id="PL-CI-063">[PL-CI-063]-Each Invoice line (BG-25) shall be categorized with an Invoiced item VAT category code (BT-151).</assert>
         <assert test="string-length(substring-after(cbc-pl:LineExtensionAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-064">[PL-CI-064]-The allowed maximum number of decimals for the Invoice line net amount (BT-131) is 2.    </assert>
      </rule>
      <rule context="//cac-pl:InvoiceLine/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'false']">
         <assert test="exists(cbc-pl:Amount)" flag="fatal" id="PL-CI-065">[PL-CI-065]-Each Invoice line allowance (BG-27) shall have an Invoice line allowance amount (BT-136).</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="PL-CI-066">[PL-CI-066]-Each Invoice line allowance (BG-27) shall have an Invoice line allowance reason (BT-139) or an Invoice line allowance reason code (BT-140).</assert>
         <assert test="true()" flag="fatal" id="PL-CI-067">[PL-CI-067]-Invoice line allowance reason code (BT-140) and Invoice line allowance reason (BT-139) shall indicate the same type of allowance reason.</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="PL-CI-068">[PL-CI-068]-Each Invoice line allowance (BG-27) shall contain an Invoice line allowance reason (BT-139) or an Invoice line allowance reason code (BT-140), or both.</assert>
         <assert test="string-length(substring-after(cbc-pl:Amount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-069">[PL-CI-069]-The allowed maximum number of decimals for the Invoice line allowance amount (BT-136) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:BaseAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-070">[PL-CI-070]-The allowed maximum number of decimals for the Invoice line allowance base amount (BT-137) is 2.    </assert>
      </rule>
      <rule context="//cac-pl:InvoiceLine/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'true']">
         <assert test="exists(cbc-pl:Amount)" flag="fatal" id="PL-CI-071">[PL-CI-071]-Each Invoice line charge (BG-28) shall have an Invoice line charge amount (BT-141).</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="PL-CI-072">[PL-CI-072]-Each Invoice line charge shall have an Invoice line charge reason or an invoice line allowance reason code. </assert>
         <assert test="true()" flag="fatal" id="PL-CI-073">[PL-CI-073]-Invoice line charge reason code (BT-145) and Invoice line charge reason (BT144) shall indicate the same type of charge reason.</assert>
         <assert test="exists(cbc-pl:AllowanceChargeReason) or exists(cbc-pl:AllowanceChargeReasonCode)"
                 flag="fatal"
                 id="PL-CI-074">[PL-CI-074]-Each Invoice line charge (BG-28) shall contain an Invoice line charge reason (BT-144) or an Invoice line charge reason code (BT-145), or both.</assert>
         <assert test="string-length(substring-after(cbc-pl:Amount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-075">[PL-CI-075]-The allowed maximum number of decimals for the Invoice line charge amount (BT-141) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:BaseAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-076">[PL-CI-076]-The allowed maximum number of decimals for the Invoice line charge base amount (BT-142) is 2.    </assert>
      </rule>
      <rule context="//cac-pl:AdditionalItemProperty">
         <assert test="exists(cbc-pl:Name) and exists(cbc-pl:Value)"
                 flag="fatal"
                 id="PL-CI-077">[PL-CI-077]-Each Item attribute (BG-32) shall contain an Item attribute name (BT-160) and an Item attribute value (BT-161).</assert>
      </rule>
      <rule context="cac-pl:InvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:ItemClassificationCode">
         <assert test="exists(@listID)" flag="fatal" id="PL-CI-078">[PL-CI-078]-The Item classification identifier (BT-158) shall have a Scheme identifier.</assert>
      </rule>
      <rule context="cac-pl:InvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID">
         <assert test="exists(@schemeID)" flag="fatal" id="PL-CI-079">[PL-CI-079]-The Item standard identifier (BT-157) shall have a Scheme identifier.</assert>
      </rule>

      <rule context="//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:TaxTotal">
         <assert test="(xs:decimal(child::cbc-pl:TaxAmount)= round((sum(cac-pl:TaxSubtotal/xs:decimal(cbc-pl:TaxAmount)) * 10 * 10)) div 100) or not(cac-pl:TaxSubtotal)"
                 flag="fatal"
                 id="PL-CI-080">[PL-CI-080]-Invoice total VAT amount (BT-110) = Σ VAT category tax amount (BT-117).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal">
         <assert test="exists(cbc-pl:TaxableAmount)" flag="fatal" id="PL-CI-081">[PL-CI-081]-Each VATBReakdown (BG-23) shall have a VAT category taxable amount (BT-116).</assert>
         <assert test="exists(cbc-pl:TaxAmount)" flag="fatal" id="PL-CI-082">[PL-CI-082]-Each VATBReakdown (BG-23) shall have a VAT category tax amount (BT-117).</assert>
         <assert test="exists(cac-pl:TaxCategory/cbc-pl:ID)" flag="fatal" id="PL-CI-083">[PL-CI-083]-Each VATBReakdown (BG-23) shall be defined through a VAT category code (BT-118).</assert>
         <assert test="exists(cac-pl:TaxCategory/cbc-pl:Percent) or (normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='O')"
                 flag="fatal"
                 id="PL-CI-084">[PL-CI-084]-Each VATBReakdown (BG-23) shall have a VAT category rate (BT-119), except if the Invoice is not subject to VAT.</assert>
<!--         <assert test="(round(cac-pl:TaxCategory/xs:decimal(cbc-pl:Percent)) = 0 and (round(xs:decimal(cbc-pl:TaxAmount)) = 0)) or 
				(round(cac-pl:TaxCategory/xs:decimal(cbc-pl:Percent)) != 0 and (xs:decimal(cbc-pl:TaxAmount) = round(xs:decimal(cbc-pl:TaxableAmount) * (cac-pl:TaxCategory/xs:decimal(cbc-pl:Percent) div 100) * 10 * 10) div 100 )) or 
				(round(cac-pl:TaxCategory/xs:decimal(cbc-pl:Percent)) != 0 and (xs:decimal(cbc-pl:TaxAmount) = round(xs:decimal(cbc-pl:TaxableAmount) * (cac-pl:TaxCategory/xs:decimal(cbc-pl:Percent) div (100+ (cac-pl:TaxCategory/xs:decimal(cbc-pl:Percent)))) * 10 * 10) div 100 )) or 
				(not(exists(cac-pl:TaxCategory/xs:decimal(cbc-pl:Percent))) and (round(xs:decimal(cbc-pl:TaxAmount)) = 0))"
                 flag="fatal"
                 id="PL-CI-085">[PL-CI-085]-VAT category tax amount (BT-117) = VAT category taxable amount (BT-116) x (VAT category rate (BT-119) / 100), rounded to two decimals.</assert>
-->		 <assert test="string-length(substring-after(cbc-pl:TaxableAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-086">[PL-CI-086]-The allowed maximum number of decimals for the VAT category taxable amount (BT-116) is 2.</assert>
         <assert test="string-length(substring-after(cbc-pl:TaxAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-087">[PL-CI-087]-The allowed maximum number of decimals for the VAT category tax amount (BT-117) is 2.    </assert>
      </rule>
      <rule context="//cac-pl:PartyTaxScheme[cac-pl:TaxScheme/cbc-pl:ID='VAT']">
         <assert test="( contains( ' 1A AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH EL ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS XI YE YT ZA ZM ZW ',substring(cbc-pl:CompanyID,1,2) ) )"
                 flag="fatal"
                 id="PL-CI-088">[PL-CI-088]-The Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) shall have a prefix in accordance with ISO code ISO 3166-1 alpha-2 by which the country of issue may be identified. Nevertheless, Greece may use the prefix ‘EL’.</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'AE']">
         <assert test="(exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='AE']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='AE']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='AE']/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='AE']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='AE']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='AE']/xs:decimal(cbc-pl:Amount)))))"
                 flag="fatal"
                 id="PL-CI-089">[PL-CI-089]-In a VATBReakdown (BG-23) where the VAT category code (BT-118) is "Reverse charge" the VAT category taxable amount (BT-116) shall equal the sum of Invoice line net amounts (BT-131) minus the sum of Document level allowance amounts (BT-92) plus the sum of Document level charge amounts (BT-99) where the VAT category codes (BT-151, BT-95, BT-102) are “Reverse charge".</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'AE']">
         <assert test="../cbc-pl:TaxAmount = 0" flag="fatal" id="BR-AE-09">[BR-AE-09]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where the VAT category code (BT-118) is “Reverse charge” shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='AE']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-091">[PL-CI-091]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Reverse charge" the Document level allowance VAT rate (BT-96) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='AE']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-092">[PL-CI-092]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Reverse charge" the Document level charge VAT rate (BT-103) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'AE'] | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'AE']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-093">[PL-CI-093]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Reverse charge" the Invoiced item VAT rate (BT-152) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'E']">
         <assert test="(exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='E']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='E']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='E']/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='E']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='E']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='E']/xs:decimal(cbc-pl:Amount)))))"
                 flag="fatal"
                 id="PL-CI-094">[PL-CI-094]-In a VATBReakdown (BG-23) where the VAT category code (BT-118) is "Exempt from VAT" the VAT category taxable amount (BT-116) shall equal the sum of Invoice line net amounts (BT-131) minus the sum of Document level allowance amounts (BT-92) plus the sum of Document level charge amounts (BT-99) where the VAT category codes (BT-151, BT-95, BT-102) are “Exempt from VAT".</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'E']">
         <assert test="../cbc-pl:TaxAmount = 0" flag="fatal" id="PL-CI-095">[PL-CI-095]-The VAT category tax amount (BT-117) In a VATBReakdown (BG-23) where the VAT category code (BT-118) equals "Exempt from VAT" shall equal 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='E']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-097">[PL-CI-097]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Exempt from VAT", the Document level allowance VAT rate (BT-96) shall be 0 (zero).    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='E']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-098">[PL-CI-098]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Exempt from VAT", the Document level charge VAT rate (BT-103) shall be 0 (zero).    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'E'] | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'E']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-099">[PL-CI-099]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Exempt from VAT", the Invoiced item VAT rate (BT-152) shall be 0 (zero).    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'G']">
         <assert test="(exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='G']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='G']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='G']/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='G']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='G']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='G']/xs:decimal(cbc-pl:Amount)))))"
                 flag="fatal"
                 id="PL-CI-100">[PL-CI-100]-In a VATBReakdown (BG-23) where the VAT category code (BT-118) is "Export outside the EU" the VAT category taxable amount (BT-116) shall equal the sum of Invoice line net amounts (BT-131) minus the sum of Document level allowance amounts (BT-92) plus the sum of Document level charge amounts (BT-99) where the VAT category codes (BT-151, BT-95, BT-102) are “Export outside the EU".</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'G']">
         <assert test="../cbc-pl:TaxAmount = 0" flag="fatal" id="PL-CI-101">[PL-CI-101]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where the VAT category code (BT-118) is “Export outside the EU” shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='G']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-103">[PL-CI-103]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Export outside the EU" the Document level allowance VAT rate (BT-96) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='G']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-104">[PL-CI-104]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Export outside the EU" the Document level charge VAT rate (BT-103) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'G'] | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'G']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-105">[PL-CI-105]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Export outside the EU" the Invoiced item VAT rate (BT-152) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'K']">
         <assert test="(exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='K']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='K']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='K']/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='K']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='K']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='K']/xs:decimal(cbc-pl:Amount)))))"
                 flag="fatal"
                 id="PL-CI-106">[PL-CI-106]-In a VATBReakdown (BG-23) where the VAT category code (BT-118) is "Intra-community supply" the VAT category taxable amount (BT-116) shall equal the sum of Invoice line net amounts (BT-131) minus the sum of Document level allowance amounts (BT-92) plus the sum of Document level charge amounts (BT-99) where the VAT category codes (BT-151, BT-95, BT-102) are “Intra-community supply".</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'K']">
         <assert test="../cbc-pl:TaxAmount = 0" flag="fatal" id="PL-CI-107">[PL-CI-107]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where the VAT category code (BT-118) is “Intra-community supply” shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='K']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-108">[PL-CI-108]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Intra-community supply" the Document level allowance VAT rate (BT-96) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='K']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-109">[PL-CI-109]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Intra-community supply" the Document level charge VAT rate (BT-103) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'K'] | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'K']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-110">[PL-CI-110]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Intracommunity supply" the Invoiced item VAT rate (BT-152) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'L']">
         <assert test="every $rate in xs:decimal(cbc-pl:Percent) satisfies ((exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='L'][cac-pl:Item/cac-pl:ClassifiedTaxCategory/round(cbc-pl:Percent) =$rate]/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='L'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='L'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='L'][cac-pl:Item/cac-pl:ClassifiedTaxCategory/round(cbc-pl:Percent) =$rate]/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='L'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='L'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount))))))"
                 flag="fatal"
                 id="PL-CI-111">[PL-CI-111]-For each different value of VAT category rate (BT-119) where the VAT category code (BT-118) is "IGIC", the VAT category taxable amount (BT-116) in a VATBReakdown (BG-23) shall equal the sum of Invoice line net amounts (BT-131) plus the sum of document level charge amounts (BT-99) minus the sum of document level allowance amounts (BT-92) where the VAT category code (BT-151, BT-102, BT-95) is “IGIC” and the VAT rate (BT-152, BT-103, BT-96) equals the VAT category rate (BT-119).</assert>
      </rule> 
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'L']">
         <assert test="xs:decimal(../cbc-pl:TaxAmount) = round((xs:decimal(../cbc-pl:TaxableAmount) * (xs:decimal(cbc-pl:Percent) div 100)) * 10 * 10) div 100 "
                 flag="fatal"
                 id="PL-CI-112">[PL-CI-112]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where VAT category code (BT-118) is "IGIC" shall equal the VAT category taxable amount (BT-116) multiplied by the VAT category rate (BT-119).</assert>
         <assert test="not(cbc-pl:TaxExemptionReason) and not(cbc-pl:TaxExemptionReasonCode)"
                 flag="fatal"
                 id="PL-CI-113">[PL-CI-113]-A VATBReakdown (BG-23) with VAT Category code (BT-118) "IGIC" shall not have a VAT exemption reason code (BT-121) or VAT exemption reason text (BT-120).    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='L']">
         <assert test="(cbc-pl:Percent) &gt;= 0" flag="fatal" id="PL-CI-114">[PL-CI-114]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "IGIC" the Document level allowance VAT rate (BT-96) shall be 0 (zero) or greater than zero.      </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='L']">
         <assert test="(cbc-pl:Percent) &gt;= 0" flag="fatal" id="PL-CI-115">[PL-CI-115]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "IGIC" the Document level charge VAT rate (BT-103) shall be 0 (zero) or greater than zero.</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'L']| cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'L']">
         <assert test="(cbc-pl:Percent) &gt;= 0" flag="fatal" id="PL-CI-116">[PL-CI-116]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "IGIC" the invoiced item VAT rate (BT-152) shall be 0 (zero) or greater than zero.    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'M']">
         <assert test="every $rate in xs:decimal(cbc-pl:Percent) satisfies ((exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='M'][cac-pl:Item/cac-pl:ClassifiedTaxCategory/round(cbc-pl:Percent) =$rate]/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='M'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='M'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='M'][cac-pl:Item/cac-pl:ClassifiedTaxCategory/round(cbc-pl:Percent) =$rate]/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='M'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='M'][cac-pl:TaxCategory/round(cbc-pl:Percent) = $rate]/xs:decimal(cbc-pl:Amount))))))"
                 flag="fatal"
                 id="PL-CI-117">[PL-CI-117]-For each different value of VAT category rate (BT-119) where the VAT category code (BT-118) is "IPSI", the VAT category taxable amount (BT-116) in a VATBReakdown (BG-23) shall equal the sum of Invoice line net amounts (BT-131) plus the sum of document level charge amounts (BT-99) minus the sum of document level allowance amounts (BT-92) where the VAT category code (BT-151, BT-102, BT-95) is “IPSI” and the VAT rate (BT-152, BT-103, BT-96) equals the VAT category rate (BT-119).</assert>
      </rule>    
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'M']">
         <assert test="xs:decimal(../cbc-pl:TaxAmount) = round((xs:decimal(../cbc-pl:TaxableAmount) * (xs:decimal(cbc-pl:Percent) div 100)) * 10 * 10) div 100 "
                 flag="fatal"
                 id="PL-CI-118">[PL-CI-118]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where VAT category code (BT-118) is "IPSI" shall equal the VAT category taxable amount (BT-116) multiplied by the VAT category rate (BT-119).</assert>
         <assert test="not(cbc-pl:TaxExemptionReason) and not(cbc-pl:TaxExemptionReasonCode)"
                 flag="fatal"
                 id="PL-CI-119">[PL-CI-119]-A VATBReakdown (BG-23) with VAT Category code (BT-118) "IPSI" shall not have a VAT exemption reason code (BT-121) or VAT exemption reason text (BT-120).     </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='M']">
         <assert test="(cbc-pl:Percent) &gt;= 0" flag="fatal" id="PL-CI-120">[PL-CI-120]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "IPSI" the Document level allowance VAT rate (BT-96) shall be 0 (zero) or greater than zero.      </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='M']">
         <assert test="(cbc-pl:Percent) &gt;= 0" flag="fatal" id="PL-CI-121">[PL-CI-121]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "IPSI" the Document level charge VAT rate (BT-103) shall be 0 (zero) or greater than zero.</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'M']| cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'M']">
         <assert test="(cbc-pl:Percent) &gt;= 0" flag="fatal" id="PL-CI-122">[PL-CI-122]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "IPSI" the Invoiced item VAT rate (BT-152) shall be 0 (zero) or greater than zero.    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'O']">
         <assert test="(exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='O']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='O']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='O']/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='O']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='O']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='O']/xs:decimal(cbc-pl:Amount)))))"
                 flag="fatal"
                 id="PL-CI-123">[PL-CI-123]-In a VATBReakdown (BG-23) where the VAT category code (BT-118) is " Not subject to VAT" the VAT category taxable amount (BT-116) shall equal the sum of Invoice line net amounts (BT-131) minus the sum of Document level allowance amounts (BT-92) plus the sum of Document level charge amounts (BT-99) where the VAT category codes (BT-151, BT-95, BT-102) are “Not subject to VAT".</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'O']">
         <assert test="../cbc-pl:TaxAmount = 0" flag="fatal" id="PL-CI-124">[PL-CI-124]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where the VAT category code (BT-118) is “Not subject to VAT” shall be 0 (zero).</assert>
       </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='O']">
         <assert test="not(cbc-pl:Percent)" flag="fatal" id="PL-CI-126">[PL-CI-126]-A Document level allowance (BG-20) where VAT category code (BT-95) is "Not subject to VAT" shall not contain a Document level allowance VAT rate (BT-96).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='O']">
         <assert test="not(cbc-pl:Percent)" flag="fatal" id="PL-CI-127">[PL-CI-127]-A Document level charge (BG-21) where the VAT category code (BT-102) is "Not subject to VAT" shall not contain a Document level charge VAT rate (BT-103).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'O'] | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'O']">
         <assert test="not(cbc-pl:Percent)" flag="fatal" id="PL-CI-128">[PL-CI-128]-An Invoice line (BG-25) where the VAT category code (BT-151) is "Not subject to VAT" shall not contain an Invoiced item VAT rate (BT-152).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'S']">
<!--         <assert test="(xs:decimal(../cbc-pl:TaxAmount) = round((xs:decimal(../cbc-pl:TaxableAmount) * (xs:decimal(cbc-pl:Percent) div 100)) * 10 * 10) div 100) or
         (xs:decimal(../cbc-pl:TaxAmount) = round((xs:decimal(../cbc-pl:TaxableAmount) * (xs:decimal(cbc-pl:Percent) div (100 +  (xs:decimal(cbc-pl:Percent))))) * 10 * 10) div 100)"
                 flag="fatal"
                 id="PL-CI-129">[PL-CI-129]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where VAT category code (BT-118) is "Standard rated" shall equal the VAT category taxable amount (BT-116) multiplied by the VAT category rate (BT-119).</assert>
 -->        <assert test="not(cbc-pl:TaxExemptionReason) and not(cbc-pl:TaxExemptionReasonCode)"
                 flag="fatal"
                 id="PL-CI-130">[PL-CI-130]-A VATBReakdown (BG-23) with VAT Category code (BT-118) "Standard rate" shall not have a VAT exemption reason code (BT-121) or VAT exemption reason text (BT-120).    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='S']">
         <assert test="(cbc-pl:Percent) &gt; 0" flag="fatal" id="PL-CI-131">[PL-CI-131]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Standard rated" the Document level allowance VAT rate (BT-96) shall be greater than zero.</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='S']">
         <assert test="(cbc-pl:Percent) &gt; 0" flag="fatal" id="PL-CI-132">[PL-CI-132]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Standard rated" the Document level charge VAT rate (BT-103) shall be greater than zero.  </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'S'] | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'S']">
         <assert test="(cbc-pl:Percent) &gt; 0" flag="fatal" id="PL-CI-133">[PL-CI-133]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Standard rated" the Invoiced item VAT rate (BT-152) shall be greater than zero.    </assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'Z']">
         <assert test="(exists(//cac-pl:InvoiceLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:InvoiceLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='Z']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='Z']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='Z']/xs:decimal(cbc-pl:Amount))))) or (exists(//cac-pl:CreditNoteLine) and (xs:decimal(../cbc-pl:TaxableAmount) = (sum(../../../cac-pl:CreditNoteLine[normalize-space(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)='Z']/xs:decimal(cbc-pl:LineExtensionAmount)) + sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='Z']/xs:decimal(cbc-pl:Amount)) - sum(../../../cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false'][normalize-space(cac-pl:TaxCategory/cbc-pl:ID)='Z']/xs:decimal(cbc-pl:Amount)))))"
                 flag="fatal"
                 id="PL-CI-134">[PL-CI-134]-In a VATBReakdown (BG-23) where VAT category code (BT-118) is "Zero rated" the VAT category taxable amount (BT-116) shall equal the sum of Invoice line net amount (BT-131) minus the sum of Document level allowance amounts (BT-92) plus the sum of Document level charge amounts (BT-99) where the VAT category codes (BT-151, BT-95, BT-102) are “Zero rated".</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory[normalize-space(cbc-pl:ID) = 'Z']">
         <assert test="../cbc-pl:TaxAmount = 0" flag="fatal" id="PL-CI-135">[PL-CI-135]-The VAT category tax amount (BT-117) in a VATBReakdown (BG-23) where VAT category code (BT-118) is "Zero rated" shall equal 0 (zero).</assert>
         <assert test="not((cbc-pl:TaxExemptionReason) or (cbc-pl:TaxExemptionReasonCode))"
                 flag="fatal"
                 id="PL-CI-136">[PL-CI-136]-A VATBReakdown (BG-23) with VAT Category code (BT-118) "Zero rated" shall not have a VAT exemption reason code (BT-121) or VAT exemption reason text (BT-120).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='false']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='Z']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-137">[PL-CI-137]-In a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Zero rated" the Document level allowance VAT rate (BT-96) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator='true']/cac-pl:TaxCategory[normalize-space(cbc-pl:ID)='Z']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-138">[PL-CI-138]-In a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Zero rated" the Document level charge VAT rate (BT-103) shall be 0 (zero).</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'Z'] | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory[normalize-space(cbc-pl:ID) = 'Z']">
         <assert test="(cbc-pl:Percent = 0)" flag="fatal" id="PL-CI-139">[PL-CI-139]-In an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Zero rated" the Invoiced item VAT rate (BT-152) shall be 0 (zero).    </assert>
      </rule>
      
      <rule context="//*[ends-with(name(), 'Amount') and not(ends-with(name(),'PriceAmount')) and not(ancestor::cac-pl:Price/cac-pl:AllowanceCharge)]">
         <assert test="string-length(substring-after(.,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-140">[PL-CI-140]-Amounts shall be decimal up to two fraction digits</assert>
      </rule>

      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'false']">
         <assert test="(count(cbc-pl:AllowanceChargeReason) &lt;= 1)"
                 flag="warning"
                 id="PL-CI-141">[PL-CI-141]-Document level allowance reason shall occur maximum once</assert>
      </rule>
      <rule context="cac-pl:OriginalInvoiceData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'true']">
         <assert test="(count(cbc-pl:AllowanceChargeReason) &lt;= 1)"
                 flag="warning"
                 id="PL-CI-142">[PL-CI-142]-Document level charge reason shall occur maximum once</assert>
      </rule>
	  <rule context="//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData">
         <assert test="not(cbc-pl:ProfileExecutionID)" flag="warning" id="UBL-CI-003">[UBL-CI-003]-A UBL invoice should not include the ProfileExecutionID </assert>
         <assert test="not(cbc-pl:CopyIndicator)" flag="warning" id="UBL-CI-004">[UBL-CI-004]-A UBL invoice should not include the CopyIndicator </assert>
         <assert test="not(cbc-pl:UUID)" flag="warning" id="UBL-CI-005">[UBL-CI-005]-A UBL invoice should not include the UUID </assert>
         <assert test="not(cbc-pl:IssueTime)" flag="warning" id="UBL-CI-006">[UBL-CI-006]-A UBL invoice should not include the IssueTime </assert>
         <assert test="not(cbc-pl:PricingCurrencyCode)" flag="warning" id="UBL-CI-007">[UBL-CI-007]-A UBL invoice should not include the PricingCurrencyCode</assert>
         <assert test="not(cbc-pl:PaymentCurrencyCode)" flag="warning" id="UBL-CI-008">[UBL-CI-008]-A UBL invoice should not include the PaymentCurrencyCode</assert>
         <assert test="not(cbc-pl:PaymentAlternativeCurrencyCode)"
                 flag="warning"
                 id="UBL-CI-009">[UBL-CI-009]-A UBL invoice should not include the PaymentAlternativeCurrencyCode</assert>
         <assert test="not(cbc-pl:AccountingCostCode)" flag="warning" id="UBL-CI-010">[UBL-CI-010]-A UBL invoice should not include the AccountingCostCode</assert>
         <assert test="not(cbc-pl:LineCountNumeric)" flag="warning" id="UBL-CI-011">[UBL-CI-011]-A UBL invoice should not include the LineCountNumeric</assert>
         <assert test="not(cac-pl:InvoicePeriod/cbc-pl:StartTime)"
                 flag="warning"
                 id="UBL-CI-012">[UBL-CI-012]-A UBL invoice should not include the InvoicePeriod StartTime</assert>
         <assert test="not(cac-pl:InvoicePeriod/cbc-pl:EndTime)"
                 flag="warning"
                 id="UBL-CI-013">[UBL-CI-013]-A UBL invoice should not include the InvoicePeriod EndTime</assert>
         <assert test="not(cac-pl:InvoicePeriod/cbc-pl:DurationMeasure)"
                 flag="warning"
                 id="UBL-CI-014">[UBL-CI-014]-A UBL invoice should not include the InvoicePeriod DurationMeasure</assert>
         <assert test="not(cac-pl:InvoicePeriod/cbc-pl:Description)"
                 flag="warning"
                 id="UBL-CI-015">[UBL-CI-015]-A UBL invoice should not include the InvoicePeriod Description</assert>
         <assert test="not(cac-pl:OrderReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-016">[UBL-CI-016]-A UBL invoice should not include the OrderReference CopyIndicator</assert>
         <assert test="not(cac-pl:OrderReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-017">[UBL-CI-017]-A UBL invoice should not include the OrderReference UUID</assert>
         <assert test="not(cac-pl:OrderReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-018">[UBL-CI-018]-A UBL invoice should not include the OrderReference IssueDate</assert>
         <assert test="not(cac-pl:OrderReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-019">[UBL-CI-019]-A UBL invoice should not include the OrderReference IssueTime</assert>
         <assert test="not(cac-pl:OrderReference/cbc-pl:CustomerReference)"
                 flag="warning"
                 id="UBL-CI-020">[UBL-CI-020]-A UBL invoice should not include the OrderReference CustomerReference</assert>
         <assert test="not(cac-pl:OrderReference/cbc-pl:OrderTypeCode)"
                 flag="warning"
                 id="UBL-CI-021">[UBL-CI-021]-A UBL invoice should not include the OrderReference OrderTypeCode</assert>
         <assert test="not(cac-pl:OrderReference/cbc-pl:DocumentReference)"
                 flag="warning"
                 id="UBL-CI-022">[UBL-CI-022]-A UBL invoice should not include the OrderReference DocumentReference</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-023">[UBL-CI-023]-A UBL invoice should not include the BillingReference CopyIndicator</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-024">[UBL-CI-024]-A UBL invoice should not include the BillingReference UUID</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-025">[UBL-CI-025]-A UBL invoice should not include the BillingReference IssueTime</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:DocumentTypeCode)"
                 flag="warning"
                 id="UBL-CI-026">[UBL-CI-026]-A UBL invoice should not include the BillingReference DocumentTypeCode</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-CI-027">[UBL-CI-027]-A UBL invoice should not include the BillingReference DocumentType</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-CI-028">[UBL-CI-028]-A UBL invoice should not include the BillingReference Xpath</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-CI-029">[UBL-CI-029]-A UBL invoice should not include the BillingReference LanguageID</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-CI-030">[UBL-CI-030]-A UBL invoice should not include the BillingReference LocaleCode</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-CI-031">[UBL-CI-031]-A UBL invoice should not include the BillingReference VersionID</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-CI-032">[UBL-CI-032]-A UBL invoice should not include the BillingReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-CI-033">[UBL-CI-033]-A UBL invoice should not include the BillingReference DocumenDescription</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-CI-034">[UBL-CI-034]-A UBL invoice should not include the BillingReference Attachment</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-035">[UBL-CI-035]-A UBL invoice should not include the BillingReference ValidityPeriod</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-036">[UBL-CI-036]-A UBL invoice should not include the BillingReference IssuerParty</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:InvoiceDocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-CI-037">[UBL-CI-037]-A UBL invoice should not include the BillingReference ResultOfVerification</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:SelfBilledInvoiceDocumentReference)"
                 flag="warning"
                 id="UBL-CI-038">[UBL-CI-038]-A UBL invoice should not include the BillingReference SelfBilledInvoiceDocumentReference</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:CreditNoteDocumentReference)"
                 flag="warning"
                 id="UBL-CI-039">[UBL-CI-039]-A UBL invoice should not include the BillingReference CreditNoteDocumentReference</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:SelfBilledCreditNoteDocumentReference)"
                 flag="warning"
                 id="UBL-CI-040">[UBL-CI-040]-A UBL invoice should not include the BillingReference SelfBilledCreditNoteDocumentReference</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:DebitNoteDocumentReference)"
                 flag="warning"
                 id="UBL-CI-041">[UBL-CI-041]-A UBL invoice should not include the BillingReference DebitNoteDocumentReference</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:ReminderDocumentReference)"
                 flag="warning"
                 id="UBL-CI-042">[UBL-CI-042]-A UBL invoice should not include the BillingReference ReminderDocumentReference</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:AdditionalDocumentReference)"
                 flag="warning"
                 id="UBL-CI-043">[UBL-CI-043]-A UBL invoice should not include the BillingReference AdditionalDocumentReference</assert>
         <assert test="not(cac-pl:BillingReference/cac-pl:BillingReferenceLine)"
                 flag="warning"
                 id="UBL-CI-044">[UBL-CI-044]-A UBL invoice should not include the BillingReference BillingReferenceLine</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-045">[UBL-CI-045]-A UBL invoice should not include the DespatchDocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-046">[UBL-CI-046]-A UBL invoice should not include the DespatchDocumentReference UUID</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-047">[UBL-CI-047]-A UBL invoice should not include the DespatchDocumentReference IssueDate</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-048">[UBL-CI-048]-A UBL invoice should not include the DespatchDocumentReference IssueTime</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:DocumentTypeCode)"
                 flag="warning"
                 id="UBL-CI-049">[UBL-CI-049]-A UBL invoice should not include the DespatchDocumentReference DocumentTypeCode</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-CI-050">[UBL-CI-050]-A UBL invoice should not include the DespatchDocumentReference DocumentType</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-CI-051">[UBL-CI-051]-A UBL invoice should not include the DespatchDocumentReference Xpath</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-CI-052">[UBL-CI-052]-A UBL invoice should not include the DespatchDocumentReference LanguageID</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-CI-053">[UBL-CI-053]-A UBL invoice should not include the DespatchDocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-CI-054">[UBL-CI-054]-A UBL invoice should not include the DespatchDocumentReference VersionID</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-CI-055">[UBL-CI-055]-A UBL invoice should not include the DespatchDocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-CI-056">[UBL-CI-056]-A UBL invoice should not include the DespatchDocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-CI-057">[UBL-CI-057]-A UBL invoice should not include the DespatchDocumentReference Attachment</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-058">[UBL-CI-058]-A UBL invoice should not include the DespatchDocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-059">[UBL-CI-059]-A UBL invoice should not include the DespatchDocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:DespatchDocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-CI-060">[UBL-CI-060]-A UBL invoice should not include the DespatchDocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-061">[UBL-CI-061]-A UBL invoice should not include the ReceiptDocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-062">[UBL-CI-062]-A UBL invoice should not include the ReceiptDocumentReference UUID</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-063">[UBL-CI-063]-A UBL invoice should not include the ReceiptDocumentReference IssueDate</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-064">[UBL-CI-064]-A UBL invoice should not include the ReceiptDocumentReference IssueTime</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:DocumentTypeCode)"
                 flag="warning"
                 id="UBL-CI-065">[UBL-CI-065]-A UBL invoice should not include the ReceiptDocumentReference DocumentTypeCode</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-CI-066">[UBL-CI-066]-A UBL invoice should not include the ReceiptDocumentReference DocumentType</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-CI-067">[UBL-CI-067]-A UBL invoice should not include the ReceiptDocumentReference Xpath</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-CI-068">[UBL-CI-068]-A UBL invoice should not include the ReceiptDocumentReference LanguageID</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-CI-069">[UBL-CI-069]-A UBL invoice should not include the ReceiptDocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-CI-070">[UBL-CI-070]-A UBL invoice should not include the ReceiptDocumentReference VersionID</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-CI-071">[UBL-CI-071]-A UBL invoice should not include the ReceiptDocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-CI-072">[UBL-CI-072]-A UBL invoice should not include the ReceiptDocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-CI-073">[UBL-CI-073]-A UBL invoice should not include the ReceiptDocumentReference Attachment</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-074">[UBL-CI-074]-A UBL invoice should not include the ReceiptDocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-075">[UBL-CI-075]-A UBL invoice should not include the ReceiptDocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:ReceiptDocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-CI-076">[UBL-CI-076]-A UBL invoice should not include the ReceiptDocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:StatementDocumentReference)"
                 flag="warning"
                 id="UBL-CI-077">[UBL-CI-077]-A UBL invoice should not include the StatementDocumentReference</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-078">[UBL-CI-078]-A UBL invoice should not include the OriginatorDocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-079">[UBL-CI-079]-A UBL invoice should not include the OriginatorDocumentReference UUID</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-080">[UBL-CI-080]-A UBL invoice should not include the OriginatorDocumentReference IssueDate</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-081">[UBL-CI-081]-A UBL invoice should not include the OriginatorDocumentReference IssueTime</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:DocumentTypeCode)"
                 flag="warning"
                 id="UBL-CI-082">[UBL-CI-082]-A UBL invoice should not include the OriginatorDocumentReference DocumentTypeCode</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-CI-083">[UBL-CI-083]-A UBL invoice should not include the OriginatorDocumentReference DocumentType</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-CI-084">[UBL-CI-084]-A UBL invoice should not include the OriginatorDocumentReference Xpath</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-CI-085">[UBL-CI-085]-A UBL invoice should not include the OriginatorDocumentReference LanguageID</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-CI-086">[UBL-CI-086]-A UBL invoice should not include the OriginatorDocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-CI-087">[UBL-CI-087]-A UBL invoice should not include the OriginatorDocumentReference VersionID</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-CI-088">[UBL-CI-088]-A UBL invoice should not include the OriginatorDocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-CI-089">[UBL-CI-089]-A UBL invoice should not include the OriginatorDocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-CI-090">[UBL-CI-090]-A UBL invoice should not include the OriginatorDocumentReference Attachment</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-091">[UBL-CI-091]-A UBL invoice should not include the OriginatorDocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-092">[UBL-CI-092]-A UBL invoice should not include the OriginatorDocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:OriginatorDocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-CI-093">[UBL-CI-093]-A UBL invoice should not include the OriginatorDocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-094">[UBL-CI-094]-A UBL invoice should not include the ContractDocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-095">[UBL-CI-095]-A UBL invoice should not include the ContractDocumentReference UUID</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-096">[UBL-CI-096]-A UBL invoice should not include the ContractDocumentReference IssueDate</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-097">[UBL-CI-097]-A UBL invoice should not include the ContractDocumentReference IssueTime</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:DocumentTypeCode)"
                 flag="warning"
                 id="UBL-CI-098">[UBL-CI-098]-A UBL invoice should not include the ContractDocumentReference DocumentTypeCode</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-CI-099">[UBL-CI-099]-A UBL invoice should not include the ContractDocumentReference DocumentType</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-CI-100">[UBL-CI-100]-A UBL invoice should not include the ContractDocumentReference Xpath</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-CI-101">[UBL-CI-101]-A UBL invoice should not include the ContractDocumentReference LanguageID</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-CI-102">[UBL-CI-102]-A UBL invoice should not include the ContractDocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-CI-103">[UBL-CI-103]-A UBL invoice should not include the ContractDocumentReference VersionID</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-CI-104">[UBL-CI-104]-A UBL invoice should not include the ContractDocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-CI-105">[UBL-CI-105]-A UBL invoice should not include the ContractDocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-CI-106">[UBL-CI-106]-A UBL invoice should not include the ContractDocumentReference Attachment</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-107">[UBL-CI-107]-A UBL invoice should not include the ContractDocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-108">[UBL-CI-108]-A UBL invoice should not include the ContractDocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:ContractDocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-CI-109">[UBL-CI-109]-A UBL invoice should not include the ContractDocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-110">[UBL-CI-110]-A UBL invoice should not include the AdditionalDocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-111">[UBL-CI-111]-A UBL invoice should not include the AdditionalDocumentReference UUID</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-112">[UBL-CI-112]-A UBL invoice should not include the AdditionalDocumentReference IssueDate</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-113">[UBL-CI-113]-A UBL invoice should not include the AdditionalDocumentReference IssueTime</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-CI-114">[UBL-CI-114]-A UBL invoice should not include the AdditionalDocumentReference DocumentType</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-CI-115">[UBL-CI-115]-A UBL invoice should not include the AdditionalDocumentReference Xpath</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-CI-116">[UBL-CI-116]-A UBL invoice should not include the AdditionalDocumentReference LanguageID</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-CI-117">[UBL-CI-117]-A UBL invoice should not include the AdditionalDocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-CI-118">[UBL-CI-118]-A UBL invoice should not include the AdditionalDocumentReference VersionID</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-CI-119">[UBL-CI-119]-A UBL invoice should not include the AdditionalDocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:DocumentHash)"
                 flag="warning"
                 id="UBL-CI-121">[UBL-CI-121]-A UBL invoice should not include the AdditionalDocumentReference Attachment External DocumentHash</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:HashAlgorithmMethod)"
                 flag="warning"
                 id="UBL-CI-122">[UBL-CI-122]-A UBL invoice should not include the AdditionalDocumentReference Attachment External HashAlgorithmMethod</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:ExpiryDate)"
                 flag="warning"
                 id="UBL-CI-123">[UBL-CI-123]-A UBL invoice should not include the AdditionalDocumentReference Attachment External ExpiryDate</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:ExpiryTime)"
                 flag="warning"
                 id="UBL-CI-124">[UBL-CI-124]-A UBL invoice should not include the AdditionalDocumentReference Attachment External ExpiryTime</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:MimeCode)"
                 flag="warning"
                 id="UBL-CI-125">[UBL-CI-125]-A UBL invoice should not include the AdditionalDocumentReference Attachment External MimeCode</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:FormatCode)"
                 flag="warning"
                 id="UBL-CI-126">[UBL-CI-126]-A UBL invoice should not include the AdditionalDocumentReference Attachment External FormatCode</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:EncodingCode)"
                 flag="warning"
                 id="UBL-CI-127">[UBL-CI-127]-A UBL invoice should not include the AdditionalDocumentReference Attachment External EncodingCode</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:CharacterSetCode)"
                 flag="warning"
                 id="UBL-CI-128">[UBL-CI-128]-A UBL invoice should not include the AdditionalDocumentReference Attachment External CharacterSetCode</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:FileName)"
                 flag="warning"
                 id="UBL-CI-129">[UBL-CI-129]-A UBL invoice should not include the AdditionalDocumentReference Attachment External FileName</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:Attachment/cac-pl:ExternalReference/cbc-pl:Description)"
                 flag="warning"
                 id="UBL-CI-130">[UBL-CI-130]-A UBL invoice should not include the AdditionalDocumentReference Attachment External Descriprion</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-131">[UBL-CI-131]-A UBL invoice should not include the AdditionalDocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-132">[UBL-CI-132]-A UBL invoice should not include the AdditionalDocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:AdditionalDocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-CI-133">[UBL-CI-133]-A UBL invoice should not include the AdditionalDocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:ProjectReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-134">[UBL-CI-134]-A UBL invoice should not include the ProjectReference UUID</assert>
         <assert test="not(cac-pl:ProjectReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-135">[UBL-CI-135]-A UBL invoice should not include the ProjectReference IssueDate</assert>
         <assert test="not(cac-pl:ProjectReference/cac-pl:WorkPhaseReference)"
                 flag="warning"
                 id="UBL-CI-136">[UBL-CI-136]-A UBL invoice should not include the ProjectReference WorkPhaseReference</assert>
         <assert test="not(cac-pl:Signature)" flag="warning" id="UBL-CI-137">[UBL-CI-137]-A UBL invoice should not include the Signature</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cbc-pl:CustomerAssignedAccountID)"
                 flag="warning"
                 id="UBL-CI-138">[UBL-CI-138]-A UBL invoice should not include the AccountingSupplierParty CustomerAssignedAccountID</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cbc-pl:AdditionalAccountID)"
                 flag="warning"
                 id="UBL-CI-139">[UBL-CI-139]-A UBL invoice should not include the AccountingSupplierParty AdditionalAccountID</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cbc-pl:DataSendingCapability)"
                 flag="warning"
                 id="UBL-CI-140">[UBL-CI-140]-A UBL invoice should not include the AccountingSupplierParty DataSendingCapability</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cbc-pl:MarkCareIndicator)"
                 flag="warning"
                 id="UBL-CI-141">[UBL-CI-141]-A UBL invoice should not include the AccountingSupplierParty Party MarkCareIndicator</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cbc-pl:MarkAttentionIndicator)"
                 flag="warning"
                 id="UBL-CI-142">[UBL-CI-142]-A UBL invoice should not include the AccountingSupplierParty Party MarkAttentionIndicator</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cbc-pl:WebsiteURI)"
                 flag="warning"
                 id="UBL-CI-143">[UBL-CI-143]-A UBL invoice should not include the AccountingSupplierParty Party WebsiteURI</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cbc-pl:LogoReferenceID)"
                 flag="warning"
                 id="UBL-CI-144">[UBL-CI-144]-A UBL invoice should not include the AccountingSupplierParty Party LogoReferenceID</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cbc-pl:IndustryClassificationCode)"
                 flag="warning"
                 id="UBL-CI-145">[UBL-CI-145]-A UBL invoice should not include the AccountingSupplierParty Party IndustryClassificationCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Language)"
                 flag="warning"
                 id="UBL-CI-146">[UBL-CI-146]-A UBL invoice should not include the AccountingSupplierParty Party Language</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-147">[UBL-CI-147]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress ID</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AddressTypeCode)"
                 flag="warning"
                 id="UBL-CI-148">[UBL-CI-148]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress AddressTypeCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AddressFormatCode)"
                 flag="warning"
                 id="UBL-CI-149">[UBL-CI-149]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress AddressFormatCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Postbox)"
                 flag="warning"
                 id="UBL-CI-150">[UBL-CI-150]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress Postbox</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Floor)"
                 flag="warning"
                 id="UBL-CI-151">[UBL-CI-151]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress Floor</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Room)"
                 flag="warning"
                 id="UBL-CI-152">[UBL-CI-152]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress Room</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:BlockName)"
                 flag="warning"
                 id="UBL-CI-153">[UBL-CI-153]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress BlockName</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:BuildingName)"
                 flag="warning"
                 id="UBL-CI-154">[UBL-CI-154]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress BuildingName</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:BuildingNumber)"
                 flag="warning"
                 id="UBL-CI-155">[UBL-CI-155]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress BuildingNumber</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:InhouseMail)"
                 flag="warning"
                 id="UBL-CI-156">[UBL-CI-156]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress InhouseMail</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Department)"
                 flag="warning"
                 id="UBL-CI-157">[UBL-CI-157]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress Department</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:MarkAttention)"
                 flag="warning"
                 id="UBL-CI-158">[UBL-CI-158]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress MarkAttention</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:MarkCare)"
                 flag="warning"
                 id="UBL-CI-159">[UBL-CI-159]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress MarkCare</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PlotIdentification)"
                 flag="warning"
                 id="UBL-CI-160">[UBL-CI-160]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress PlotIdentification</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CitySubdivisionName)"
                 flag="warning"
                 id="UBL-CI-161">[UBL-CI-161]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress CitySubdivisionName</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CountrySubentityCode)"
                 flag="warning"
                 id="UBL-CI-162">[UBL-CI-162]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress CountrySubentityCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Region)"
                 flag="warning"
                 id="UBL-CI-163">[UBL-CI-163]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress Region</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:District)"
                 flag="warning"
                 id="UBL-CI-164">[UBL-CI-164]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress District</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:TimezoneOffset)"
                 flag="warning"
                 id="UBL-CI-165">[UBL-CI-165]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress TimezoneOffset</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-166">[UBL-CI-166]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress Country Name</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:LocationCoordinate)"
                 flag="warning"
                 id="UBL-CI-167">[UBL-CI-167]-A UBL invoice should not include the AccountingSupplierParty Party PostalAddress LocationCoordinate</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PhysicalLocation)"
                 flag="warning"
                 id="UBL-CI-168">[UBL-CI-168]-A UBL invoice should not include the AccountingSupplierParty Party PhysicalLocation</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:RegistrationName)"
                 flag="warning"
                 id="UBL-CI-169">[UBL-CI-169]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme RegistrationName</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:TaxLevelCode)"
                 flag="warning"
                 id="UBL-CI-170">[UBL-CI-170]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme TaxLevelCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:ExemptionReasonCode)"
                 flag="warning"
                 id="UBL-CI-171">[UBL-CI-171]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme ExemptionReasonCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:ExemptionReason)"
                 flag="warning"
                 id="UBL-CI-172">[UBL-CI-172]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme ExemptionReason</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:RegistrationAddress)"
                 flag="warning"
                 id="UBL-CI-173">[UBL-CI-173]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme RegistrationAddress</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-174">[UBL-CI-174]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme TaxScheme Name</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-CI-175">[UBL-CI-175]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-176">[UBL-CI-176]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cac-pl:JurisdictionRegionAddress)"
                 flag="warning"
                 id="UBL-CI-177">[UBL-CI-177]-A UBL invoice should not include the AccountingSupplierParty Party PartyTaxScheme TaxScheme JurisdictionRegionAddress</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationDate)"
                 flag="warning"
                 id="UBL-CI-178">[UBL-CI-178]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity RegistrationDate</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationExpirationDate)"
                 flag="warning"
                 id="UBL-CI-179">[UBL-CI-179]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity RegistrationExpirationDate</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalFormCode)"
                 flag="warning"
                 id="UBL-CI-180">[UBL-CI-180]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity CompanyLegalFormCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:SoleProprietorshipIndicator)"
                 flag="warning"
                 id="UBL-CI-181">[UBL-CI-181]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity SoleProprietorshipIndicator</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLiquidationStatusCode)"
                 flag="warning"
                 id="UBL-CI-182">[UBL-CI-182]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity CompanyLiquidationStatusCode</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CorporationStockAmount)"
                 flag="warning"
                 id="UBL-CI-183">[UBL-CI-183]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity CorporationStockAmount</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:FullyPaidSharesIndicator)"
                 flag="warning"
                 id="UBL-CI-184">[UBL-CI-184]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity FullyPaidSharesIndicator</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:RegistrationAddress)"
                 flag="warning"
                 id="UBL-CI-185">[UBL-CI-185]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity RegistrationAddress</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:CorporateRegistrationScheme)"
                 flag="warning"
                 id="UBL-CI-186">[UBL-CI-186]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity CorporateRegistrationScheme</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:HeadOfficeParty)"
                 flag="warning"
                 id="UBL-CI-187">[UBL-CI-187]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity HeadOfficeParty</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:ShareholderParty)"
                 flag="warning"
                 id="UBL-CI-188">[UBL-CI-188]-A UBL invoice should not include the AccountingSupplierParty Party PartyLegalEntity ShareholderParty</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-189">[UBL-CI-189]-A UBL invoice should not include the AccountingSupplierParty Party Contact ID</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telefax)"
                 flag="warning"
                 id="UBL-CI-190">[UBL-CI-190]-A UBL invoice should not include the AccountingSupplierParty Party Contact Telefax</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Note)"
                 flag="warning"
                 id="UBL-CI-191">[UBL-CI-191]-A UBL invoice should not include the AccountingSupplierParty Party Contact Note</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cac-pl:OtherCommunication)"
                 flag="warning"
                 id="UBL-CI-192">[UBL-CI-192]-A UBL invoice should not include the AccountingSupplierParty Party Contact OtherCommunication</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Person)"
                 flag="warning"
                 id="UBL-CI-193">[UBL-CI-193]-A UBL invoice should not include the AccountingSupplierParty Party Person</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:AgentParty)"
                 flag="warning"
                 id="UBL-CI-194">[UBL-CI-194]-A UBL invoice should not include the AccountingSupplierParty Party AgentParty</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:ServiceProviderParty)"
                 flag="warning"
                 id="UBL-CI-195">[UBL-CI-195]-A UBL invoice should not include the AccountingSupplierParty Party ServiceProviderParty</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PowerOfAttorney)"
                 flag="warning"
                 id="UBL-CI-196">[UBL-CI-196]-A UBL invoice should not include the AccountingSupplierParty Party PowerOfAttorney</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:FinancialAccount)"
                 flag="warning"
                 id="UBL-CI-197">[UBL-CI-197]-A UBL invoice should not include the AccountingSupplierParty Party FinancialAccount</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:DespatchContact)"
                 flag="warning"
                 id="UBL-CI-198">[UBL-CI-198]-A UBL invoice should not include the AccountingSupplierParty DespatchContact</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:AccountingContact)"
                 flag="warning"
                 id="UBL-CI-199">[UBL-CI-199]-A UBL invoice should not include the AccountingSupplierParty AccountingContact</assert>
         <assert test="not(cac-pl:AccountingSupplierParty/cac-pl:SellerContact)"
                 flag="warning"
                 id="UBL-CI-200">[UBL-CI-200]-A UBL invoice should not include the AccountingSupplierParty SellerContact</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cbc-pl:CustomerAssignedAccountID)"
                 flag="warning"
                 id="UBL-CI-201">[UBL-CI-201]-A UBL invoice should not include the AccountingCustomerParty CustomerAssignedAccountID</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cbc-pl:SupplierAssignedAccountID)"
                 flag="warning"
                 id="UBL-CI-202">[UBL-CI-202]-A UBL invoice should not include the AccountingCustomerParty SupplierAssignedAccountID</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cbc-pl:AdditionalAccountID)"
                 flag="warning"
                 id="UBL-CI-203">[UBL-CI-203]-A UBL invoice should not include the AccountingCustomerParty AdditionalAccountID</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cbc-pl:MarkCareIndicator)"
                 flag="warning"
                 id="UBL-CI-204">[UBL-CI-204]-A UBL invoice should not include the AccountingCustomerParty Party MarkCareIndicator</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cbc-pl:MarkAttentionIndicator)"
                 flag="warning"
                 id="UBL-CI-205">[UBL-CI-205]-A UBL invoice should not include the AccountingCustomerParty Party MarkAttentionIndicator</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cbc-pl:WebsiteURI)"
                 flag="warning"
                 id="UBL-CI-206">[UBL-CI-206]-A UBL invoice should not include the AccountingCustomerParty Party WebsiteURI</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cbc-pl:LogoReferenceID)"
                 flag="warning"
                 id="UBL-CI-207">[UBL-CI-207]-A UBL invoice should not include the AccountingCustomerParty Party LogoReferenceID</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cbc-pl:IndustryClassificationCode)"
                 flag="warning"
                 id="UBL-CI-208">[UBL-CI-208]-A UBL invoice should not include the AccountingCustomerParty Party IndustryClassificationCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Language)"
                 flag="warning"
                 id="UBL-CI-209">[UBL-CI-209]-A UBL invoice should not include the AccountingCustomerParty Party Language</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-210">[UBL-CI-210]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress ID</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AddressTypeCode)"
                 flag="warning"
                 id="UBL-CI-211">[UBL-CI-211]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress AddressTypeCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AddressFormatCode)"
                 flag="warning"
                 id="UBL-CI-212">[UBL-CI-212]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress AddressFormatCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Postbox)"
                 flag="warning"
                 id="UBL-CI-213">[UBL-CI-213]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress Postbox</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Floor)"
                 flag="warning"
                 id="UBL-CI-214">[UBL-CI-214]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress Floor</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Room)"
                 flag="warning"
                 id="UBL-CI-215">[UBL-CI-215]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress Room</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:BlockName)"
                 flag="warning"
                 id="UBL-CI-216">[UBL-CI-216]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress BlockName</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:BuildingName)"
                 flag="warning"
                 id="UBL-CI-217">[UBL-CI-217]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress BuildingName</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:BuildingNumber)"
                 flag="warning"
                 id="UBL-CI-218">[UBL-CI-218]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress BuildingNumber</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:InhouseMail)"
                 flag="warning"
                 id="UBL-CI-219">[UBL-CI-219]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress InhouseMail</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Department)"
                 flag="warning"
                 id="UBL-CI-220">[UBL-CI-220]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress Department</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:MarkAttention)"
                 flag="warning"
                 id="UBL-CI-221">[UBL-CI-221]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress MarkAttention</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:MarkCare)"
                 flag="warning"
                 id="UBL-CI-222">[UBL-CI-222]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress MarkCare</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PlotIdentification)"
                 flag="warning"
                 id="UBL-CI-223">[UBL-CI-223]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress PlotIdentification</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CitySubdivisionName)"
                 flag="warning"
                 id="UBL-CI-224">[UBL-CI-224]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress CitySubdivisionName</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CountrySubentityCode)"
                 flag="warning"
                 id="UBL-CI-225">[UBL-CI-225]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress CountrySubentityCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:Region)"
                 flag="warning"
                 id="UBL-CI-226">[UBL-CI-226]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress Region</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:District)"
                 flag="warning"
                 id="UBL-CI-227">[UBL-CI-227]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress District</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:TimezoneOffset)"
                 flag="warning"
                 id="UBL-CI-228">[UBL-CI-228]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress TimezoneOffset</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-229">[UBL-CI-229]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress Country Name</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:LocationCoordinate)"
                 flag="warning"
                 id="UBL-CI-230">[UBL-CI-230]-A UBL invoice should not include the AccountingCustomerParty Party PostalAddress LocationCoordinate</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PhysicalLocation)"
                 flag="warning"
                 id="UBL-CI-231">[UBL-CI-231]-A UBL invoice should not include the AccountingCustomerParty Party PhysicalLocation</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:RegistrationName)"
                 flag="warning"
                 id="UBL-CI-232">[UBL-CI-232]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme RegistrationName</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:TaxLevelCode)"
                 flag="warning"
                 id="UBL-CI-233">[UBL-CI-233]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme TaxLevelCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:ExemptionReasonCode)"
                 flag="warning"
                 id="UBL-CI-234">[UBL-CI-234]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme ExemptionReasonCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:ExemptionReason)"
                 flag="warning"
                 id="UBL-CI-235">[UBL-CI-235]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme ExemptionReason</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:RegistrationAddress)"
                 flag="warning"
                 id="UBL-CI-236">[UBL-CI-236]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme RegistrationAddress</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-237">[UBL-CI-237]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme TaxScheme Name</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-CI-238">[UBL-CI-238]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-239">[UBL-CI-239]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cac-pl:JurisdictionRegionAddress)"
                 flag="warning"
                 id="UBL-CI-240">[UBL-CI-240]-A UBL invoice should not include the AccountingCustomerParty Party PartyTaxScheme TaxScheme JurisdictionRegionAddress</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationDate)"
                 flag="warning"
                 id="UBL-CI-241">[UBL-CI-241]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity RegistrationDate</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationExpirationDate)"
                 flag="warning"
                 id="UBL-CI-242">[UBL-CI-242]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity RegistrationExpirationDate</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalFormCode)"
                 flag="warning"
                 id="UBL-CI-243">[UBL-CI-243]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity CompanyLegalFormCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalForm)"
                 flag="warning"
                 id="UBL-CI-244">[UBL-CI-244]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity CompanyLegalForm</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:SoleProprietorshipIndicator)"
                 flag="warning"
                 id="UBL-CI-245">[UBL-CI-245]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity SoleProprietorshipIndicator</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLiquidationStatusCode)"
                 flag="warning"
                 id="UBL-CI-246">[UBL-CI-246]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity CompanyLiquidationStatusCode</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CorporationStockAmount)"
                 flag="warning"
                 id="UBL-CI-247">[UBL-CI-247]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity CorporationStockAmount</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:FullyPaidSharesIndicator)"
                 flag="warning"
                 id="UBL-CI-248">[UBL-CI-248]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity FullyPaidSharesIndicator</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:RegistrationAddress)"
                 flag="warning"
                 id="UBL-CI-249">[UBL-CI-249]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity RegistrationAddress</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:CorporateRegistrationScheme)"
                 flag="warning"
                 id="UBL-CI-250">[UBL-CI-250]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity CorporateRegistrationScheme</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:HeadOfficeParty)"
                 flag="warning"
                 id="UBL-CI-251">[UBL-CI-251]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity HeadOfficeParty</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cac-pl:ShareholderParty)"
                 flag="warning"
                 id="UBL-CI-252">[UBL-CI-252]-A UBL invoice should not include the AccountingCustomerParty Party PartyLegalEntity ShareholderParty</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-253">[UBL-CI-253]-A UBL invoice should not include the AccountingCustomerParty Party Contact ID</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telefax)"
                 flag="warning"
                 id="UBL-CI-254">[UBL-CI-254]-A UBL invoice should not include the AccountingCustomerParty Party Contact Telefax</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Note)"
                 flag="warning"
                 id="UBL-CI-255">[UBL-CI-255]-A UBL invoice should not include the AccountingCustomerParty Party Contact Note</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cac-pl:OtherCommunication)"
                 flag="warning"
                 id="UBL-CI-256">[UBL-CI-256]-A UBL invoice should not include the AccountingCustomerParty Party Contact OtherCommunication</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Person)"
                 flag="warning"
                 id="UBL-CI-257">[UBL-CI-257]-A UBL invoice should not include the AccountingCustomerParty Party Person</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:AgentParty)"
                 flag="warning"
                 id="UBL-CI-258">[UBL-CI-258]-A UBL invoice should not include the AccountingCustomerParty Party AgentParty</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:ServiceProviderParty)"
                 flag="warning"
                 id="UBL-CI-259">[UBL-CI-259]-A UBL invoice should not include the AccountingCustomerParty Party ServiceProviderParty</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PowerOfAttorney)"
                 flag="warning"
                 id="UBL-CI-260">[UBL-CI-260]-A UBL invoice should not include the AccountingCustomerParty Party PowerOfAttorney</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:FinancialAccount)"
                 flag="warning"
                 id="UBL-CI-261">[UBL-CI-261]-A UBL invoice should not include the AccountingCustomerParty Party FinancialAccount</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:DeliveryContact)"
                 flag="warning"
                 id="UBL-CI-262">[UBL-CI-262]-A UBL invoice should not include the AccountingCustomerParty DeliveryContact</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:AccountingContact)"
                 flag="warning"
                 id="UBL-CI-263">[UBL-CI-263]-A UBL invoice should not include the AccountingCustomerParty AccountingContact</assert>
         <assert test="not(cac-pl:AccountingCustomerParty/cac-pl:BuyerContact)"
                 flag="warning"
                 id="UBL-CI-264">[UBL-CI-264]-A UBL invoice should not include the AccountingCustomerParty BuyerContact</assert>
         <assert test="not(cac-pl:PayeeParty/cbc-pl:MarkCareIndicator)"
                 flag="warning"
                 id="UBL-CI-265">[UBL-CI-265]-A UBL invoice should not include the PayeeParty MarkCareIndicator</assert>
         <assert test="not(cac-pl:PayeeParty/cbc-pl:MarkAttentionIndicator)"
                 flag="warning"
                 id="UBL-CI-266">[UBL-CI-266]-A UBL invoice should not include the PayeeParty MarkAttentionIndicator</assert>
         <assert test="not(cac-pl:PayeeParty/cbc-pl:WebsiteURI)"
                 flag="warning"
                 id="UBL-CI-267">[UBL-CI-267]-A UBL invoice should not include the PayeeParty WebsiteURI</assert>
         <assert test="not(cac-pl:PayeeParty/cbc-pl:LogoReferenceID)"
                 flag="warning"
                 id="UBL-CI-268">[UBL-CI-268]-A UBL invoice should not include the PayeeParty LogoReferenceID</assert>
         <assert test="not(cac-pl:PayeeParty/cbc-pl:EndpointID)"
                 flag="warning"
                 id="UBL-CI-269">[UBL-CI-269]-A UBL invoice should not include the PayeeParty EndpointID</assert>
         <assert test="not(cac-pl:PayeeParty/cbc-pl:IndustryClassificationCode)"
                 flag="warning"
                 id="UBL-CI-270">[UBL-CI-270]-A UBL invoice should not include the PayeeParty IndustryClassificationCode</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:Language)"
                 flag="warning"
                 id="UBL-CI-271">[UBL-CI-271]-A UBL invoice should not include the PayeeParty Language</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PostalAddress)"
                 flag="warning"
                 id="UBL-CI-272">[UBL-CI-272]-A UBL invoice should not include the PayeeParty PostalAddress</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PhysicalLocation)"
                 flag="warning"
                 id="UBL-CI-273">[UBL-CI-273]-A UBL invoice should not include the PayeeParty PhysicalLocation</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyTaxScheme)"
                 flag="warning"
                 id="UBL-CI-274">[UBL-CI-274]-A UBL invoice should not include the PayeeParty PartyTaxScheme</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName)"
                 flag="warning"
                 id="UBL-CI-275">[UBL-CI-275]-A UBL invoice should not include the PayeeParty PartyLegalEntity RegistrationName</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:RegistrationDate)"
                 flag="warning"
                 id="UBL-CI-276">[UBL-CI-276]-A UBL invoice should not include the PayeeParty PartyLegalEntity RegistrationDate</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:RegistrationExpirationDate)"
                 flag="warning"
                 id="UBL-CI-277">[UBL-CI-277]-A UBL invoice should not include the PayeeParty PartyLegalEntity RegistrationExpirationDate</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalFormCode)"
                 flag="warning"
                 id="UBL-CI-278">[UBL-CI-278]-A UBL invoice should not include the PayeeParty PartyLegalEntity CompanyLegalFormCode</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalForm)"
                 flag="warning"
                 id="UBL-CI-279">[UBL-CI-279]-A UBL invoice should not include the PayeeParty PartyLegalEntity CompanyLegalForm</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:SoleProprietorshipIndicator)"
                 flag="warning"
                 id="UBL-CI-280">[UBL-CI-280]-A UBL invoice should not include the PayeeParty PartyLegalEntity SoleProprietorshipIndicator</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:CompanyLiquidationStatusCode)"
                 flag="warning"
                 id="UBL-CI-281">[UBL-CI-281]-A UBL invoice should not include the PayeeParty PartyLegalEntity CompanyLiquidationStatusCode</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:CorporationStockAmount)"
                 flag="warning"
                 id="UBL-CI-282">[UBL-CI-282]-A UBL invoice should not include the PayeeParty PartyLegalEntity CorporationStockAmount</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cbc-pl:FullyPaidSharesIndicator)"
                 flag="warning"
                 id="UBL-CI-283">[UBL-CI-283]-A UBL invoice should not include the PayeeParty PartyLegalEntity FullyPaidSharesIndicator</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cac-pl:RegistrationAddress)"
                 flag="warning"
                 id="UBL-CI-284">[UBL-CI-284]-A UBL invoice should not include the PayeeParty PartyLegalEntity RegistrationAddress</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cac-pl:CorporateRegistrationScheme)"
                 flag="warning"
                 id="UBL-CI-285">[UBL-CI-285]-A UBL invoice should not include the PayeeParty PartyLegalEntity CorporateRegistrationScheme</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cac-pl:HeadOfficeParty)"
                 flag="warning"
                 id="UBL-CI-286">[UBL-CI-286]-A UBL invoice should not include the PayeeParty PartyLegalEntity HeadOfficeParty</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PartyLegalEntity/cac-pl:ShareholderParty)"
                 flag="warning"
                 id="UBL-CI-287">[UBL-CI-287]-A UBL invoice should not include the PayeeParty PartyLegalEntity ShareholderParty</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:Contact)"
                 flag="warning"
                 id="UBL-CI-288">[UBL-CI-288]-A UBL invoice should not include the PayeeParty Contact</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:Person)"
                 flag="warning"
                 id="UBL-CI-289">[UBL-CI-289]-A UBL invoice should not include the PayeeParty Person</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:AgentParty)"
                 flag="warning"
                 id="UBL-CI-290">[UBL-CI-290]-A UBL invoice should not include the PayeeParty AgentParty</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:ServiceProviderParty)"
                 flag="warning"
                 id="UBL-CI-291">[UBL-CI-291]-A UBL invoice should not include the PayeeParty ServiceProviderParty</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:PowerOfAttorney)"
                 flag="warning"
                 id="UBL-CI-292">[UBL-CI-292]-A UBL invoice should not include the PayeeParty PowerOfAttorney</assert>
         <assert test="not(cac-pl:PayeeParty/cac-pl:FinancialAccount)"
                 flag="warning"
                 id="UBL-CI-293">[UBL-CI-293]-A UBL invoice should not include the PayeeParty FinancialAccount</assert>
         <assert test="not(cac-pl:BuyerCustomerParty)" flag="warning" id="UBL-CI-294">[UBL-CI-294]-A UBL invoice should not include the BuyerCustomerParty</assert>
         <assert test="not(cac-pl:SellerCustomerParty)" flag="warning" id="UBL-CI-295">[UBL-CI-295]-A UBL invoice should not include the SellerCustomerParty</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cbc-pl:MarkCareIndicator)"
                 flag="warning"
                 id="UBL-CI-296">[UBL-CI-296]-A UBL invoice should not include the TaxRepresentativeParty MarkCareIndicator</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cbc-pl:MarkAttentionIndicator)"
                 flag="warning"
                 id="UBL-CI-297">[UBL-CI-297]-A UBL invoice should not include the TaxRepresentativeParty MarkAttentionIndicator</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cbc-pl:WebsiteURI)"
                 flag="warning"
                 id="UBL-CI-298">[UBL-CI-298]-A UBL invoice should not include the TaxRepresentativeParty WebsiteURI</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cbc-pl:LogoReferenceID)"
                 flag="warning"
                 id="UBL-CI-299">[UBL-CI-299]-A UBL invoice should not include the TaxRepresentativeParty LogoReferenceID</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cbc-pl:EndpointID)"
                 flag="warning"
                 id="UBL-CI-300">[UBL-CI-300]-A UBL invoice should not include the TaxRepresentativeParty EndpointID</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cbc-pl:IndustryClassificationCode)"
                 flag="warning"
                 id="UBL-CI-301">[UBL-CI-301]-A UBL invoice should not include the TaxRepresentativeParty IndustryClassificationCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyIdentification)"
                 flag="warning"
                 id="UBL-CI-302">[UBL-CI-302]-A UBL invoice should not include the TaxRepresentativeParty PartyIdentification</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:Language)"
                 flag="warning"
                 id="UBL-CI-303">[UBL-CI-303]-A UBL invoice should not include the TaxRepresentativeParty Language</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-304">[UBL-CI-304]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress ID</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:AddressTypeCode)"
                 flag="warning"
                 id="UBL-CI-305">[UBL-CI-305]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress AddressTypeCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:AddressFormatCode)"
                 flag="warning"
                 id="UBL-CI-306">[UBL-CI-306]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress AddressFormatCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:Postbox)"
                 flag="warning"
                 id="UBL-CI-307">[UBL-CI-307]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress Postbox</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:Floor)"
                 flag="warning"
                 id="UBL-CI-308">[UBL-CI-308]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress Floor</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:Room)"
                 flag="warning"
                 id="UBL-CI-309">[UBL-CI-309]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress Room</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:BlockName)"
                 flag="warning"
                 id="UBL-CI-310">[UBL-CI-310]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress BlockName</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:BuildingName)"
                 flag="warning"
                 id="UBL-CI-311">[UBL-CI-311]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress BuildingName</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:BuildingNumber)"
                 flag="warning"
                 id="UBL-CI-312">[UBL-CI-312]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress BuildingNumber</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:InhouseMail)"
                 flag="warning"
                 id="UBL-CI-313">[UBL-CI-313]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress InhouseMail</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:Department)"
                 flag="warning"
                 id="UBL-CI-314">[UBL-CI-314]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress Department</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:MarkAttention)"
                 flag="warning"
                 id="UBL-CI-315">[UBL-CI-315]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress MarkAttention</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:MarkCare)"
                 flag="warning"
                 id="UBL-CI-316">[UBL-CI-316]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress MarkCare</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:PlotIdentification)"
                 flag="warning"
                 id="UBL-CI-317">[UBL-CI-317]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress PlotIdentification</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:CitySubdivisionName)"
                 flag="warning"
                 id="UBL-CI-318">[UBL-CI-318]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress CitySubdivisionName</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:CountrySubentityCode)"
                 flag="warning"
                 id="UBL-CI-319">[UBL-CI-319]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress CountrySubentityCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:Region)"
                 flag="warning"
                 id="UBL-CI-320">[UBL-CI-320]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress Region</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:District)"
                 flag="warning"
                 id="UBL-CI-321">[UBL-CI-321]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress District</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cbc-pl:TimezoneOffset)"
                 flag="warning"
                 id="UBL-CI-322">[UBL-CI-322]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress TimezoneOffset</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-323">[UBL-CI-323]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress Country Name</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PostalAddress/cac-pl:LocationCoordinate)"
                 flag="warning"
                 id="UBL-CI-324">[UBL-CI-324]-A UBL invoice should not include the TaxRepresentativeParty PostalAddress LocationCoordinate</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PhysicalLocation)"
                 flag="warning"
                 id="UBL-CI-325">[UBL-CI-325]-A UBL invoice should not include the TaxRepresentativeParty PhysicalLocation</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cbc-pl:RegistrationName)"
                 flag="warning"
                 id="UBL-CI-326">[UBL-CI-326]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme RegistrationName</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cbc-pl:TaxLevelCode)"
                 flag="warning"
                 id="UBL-CI-327">[UBL-CI-327]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme TaxLevelCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cbc-pl:ExemptionReasonCode)"
                 flag="warning"
                 id="UBL-CI-328">[UBL-CI-328]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme ExemptionReasonCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cbc-pl:ExemptionReason)"
                 flag="warning"
                 id="UBL-CI-329">[UBL-CI-329]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme ExemptionReason</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cac-pl:RegistrationAddress)"
                 flag="warning"
                 id="UBL-CI-330">[UBL-CI-330]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme RegistrationAddress</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-331">[UBL-CI-331]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme TaxScheme Name</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-CI-332">[UBL-CI-332]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-333">[UBL-CI-333]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cac-pl:JurisdictionRegionAddress)"
                 flag="warning"
                 id="UBL-CI-334">[UBL-CI-334]-A UBL invoice should not include the TaxRepresentativeParty PartyTaxScheme TaxScheme JurisdictionRegionAddress</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PartyLegalEntity)"
                 flag="warning"
                 id="UBL-CI-335">[UBL-CI-335]-A UBL invoice should not include the TaxRepresentativeParty PartyLegalEntity</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:Contact)"
                 flag="warning"
                 id="UBL-CI-336">[UBL-CI-336]-A UBL invoice should not include the TaxRepresentativeParty Contact</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:Person)"
                 flag="warning"
                 id="UBL-CI-337">[UBL-CI-337]-A UBL invoice should not include the TaxRepresentativeParty Person</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:AgentParty)"
                 flag="warning"
                 id="UBL-CI-338">[UBL-CI-338]-A UBL invoice should not include the TaxRepresentativeParty AgentParty</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:ServiceProviderParty)"
                 flag="warning"
                 id="UBL-CI-339">[UBL-CI-339]-A UBL invoice should not include the TaxRepresentativeParty ServiceProviderParty</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:PowerOfAttorney)"
                 flag="warning"
                 id="UBL-CI-340">[UBL-CI-340]-A UBL invoice should not include the TaxRepresentativeParty PowerOfAttorney</assert>
         <assert test="not(cac-pl:TaxRepresentativeParty/cac-pl:FinancialAccount)"
                 flag="warning"
                 id="UBL-CI-341">[UBL-CI-341]-A UBL invoice should not include the TaxRepresentativeParty FinancialAccount</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:ID)" flag="warning" id="UBL-CI-342">[UBL-CI-342]-A UBL invoice should not include the Delivery ID</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:Quantity)"
                 flag="warning"
                 id="UBL-CI-343">[UBL-CI-343]-A UBL invoice should not include the Delivery Quantity</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:MinimumQuantity)"
                 flag="warning"
                 id="UBL-CI-344">[UBL-CI-344]-A UBL invoice should not include the Delivery MinimumQuantity</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:MaximumQuantity)"
                 flag="warning"
                 id="UBL-CI-345">[UBL-CI-345]-A UBL invoice should not include the Delivery MaximumQuantity</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:ActualDeliveryTime)"
                 flag="warning"
                 id="UBL-CI-346">[UBL-CI-346]-A UBL invoice should not include the Delivery ActualDeliveryTime</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:LatestDeliveryDate)"
                 flag="warning"
                 id="UBL-CI-347">[UBL-CI-347]-A UBL invoice should not include the Delivery LatestDeliveryDate</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:LatestDeliveryTime)"
                 flag="warning"
                 id="UBL-CI-348">[UBL-CI-348]-A UBL invoice should not include the Delivery LatestDeliveryTime</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:ReleaseID)"
                 flag="warning"
                 id="UBL-CI-349">[UBL-CI-349]-A UBL invoice should not include the Delivery ReleaseID</assert>
         <assert test="not(cac-pl:Delivery/cbc-pl:TrackingID)"
                 flag="warning"
                 id="UBL-CI-350">[UBL-CI-350]-A UBL invoice should not include the Delivery TrackingID</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cbc-pl:Description)"
                 flag="warning"
                 id="UBL-CI-351">[UBL-CI-351]-A UBL invoice should not include the Delivery DeliveryLocation Description</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cbc-pl:Conditions)"
                 flag="warning"
                 id="UBL-CI-352">[UBL-CI-352]-A UBL invoice should not include the Delivery DeliveryLocation Conditions</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cbc-pl:CountrySubentity)"
                 flag="warning"
                 id="UBL-CI-353">[UBL-CI-353]-A UBL invoice should not include the Delivery DeliveryLocation CountrySubentity</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cbc-pl:CountrySubentityCode)"
                 flag="warning"
                 id="UBL-CI-354">[UBL-CI-354]-A UBL invoice should not include the Delivery DeliveryLocation CountrySubentityCode</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cbc-pl:LocationTypeCode)"
                 flag="warning"
                 id="UBL-CI-355">[UBL-CI-355]-A UBL invoice should not include the Delivery DeliveryLocation LocationTypeCode</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cbc-pl:InformationURI)"
                 flag="warning"
                 id="UBL-CI-356">[UBL-CI-356]-A UBL invoice should not include the Delivery DeliveryLocation InformationURI</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-357">[UBL-CI-357]-A UBL invoice should not include the Delivery DeliveryLocation Name</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:ValidationPeriod)"
                 flag="warning"
                 id="UBL-CI-358">[UBL-CI-358]-A UBL invoice should not include the Delivery DeliveryLocation ValidationPeriod</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-359">[UBL-CI-359]-A UBL invoice should not include the Delivery DeliveryLocation Address ID</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:AddressTypeCode)"
                 flag="warning"
                 id="UBL-CI-360">[UBL-CI-360]-A UBL invoice should not include the Delivery DeliveryLocation Address AddressTypeCode</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:AddressFormatCode)"
                 flag="warning"
                 id="UBL-CI-361">[UBL-CI-361]-A UBL invoice should not include the Delivery DeliveryLocation Address AddressFormatCode</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:Postbox)"
                 flag="warning"
                 id="UBL-CI-362">[UBL-CI-362]-A UBL invoice should not include the Delivery DeliveryLocation Address Postbox</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:Floor)"
                 flag="warning"
                 id="UBL-CI-363">[UBL-CI-363]-A UBL invoice should not include the Delivery DeliveryLocation Address Floor</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:Room)"
                 flag="warning"
                 id="UBL-CI-364">[UBL-CI-364]-A UBL invoice should not include the Delivery DeliveryLocation Address Room</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:BlockName)"
                 flag="warning"
                 id="UBL-CI-365">[UBL-CI-365]-A UBL invoice should not include the Delivery DeliveryLocation Address BlockName</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:BuildingName)"
                 flag="warning"
                 id="UBL-CI-366">[UBL-CI-366]-A UBL invoice should not include the Delivery DeliveryLocation Address BuildingName</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:BuildingNumber)"
                 flag="warning"
                 id="UBL-CI-367">[UBL-CI-367]-A UBL invoice should not include the Delivery DeliveryLocation Address BuildingNumber</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:InhouseMail)"
                 flag="warning"
                 id="UBL-CI-368">[UBL-CI-368]-A UBL invoice should not include the Delivery DeliveryLocation Address InhouseMail</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:Department)"
                 flag="warning"
                 id="UBL-CI-369">[UBL-CI-369]-A UBL invoice should not include the Delivery DeliveryLocation Address Department</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:MarkAttention)"
                 flag="warning"
                 id="UBL-CI-370">[UBL-CI-370]-A UBL invoice should not include the Delivery DeliveryLocation Address MarkAttention</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:MarkCare)"
                 flag="warning"
                 id="UBL-CI-371">[UBL-CI-371]-A UBL invoice should not include the Delivery DeliveryLocation Address MarkCare</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:PlotIdentification)"
                 flag="warning"
                 id="UBL-CI-372">[UBL-CI-372]-A UBL invoice should not include the Delivery DeliveryLocation Address PlotIdentification</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:CitySubdivisionName)"
                 flag="warning"
                 id="UBL-CI-373">[UBL-CI-373]-A UBL invoice should not include the Delivery DeliveryLocation Address CitySubdivisionName</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:CountrySubentityCode)"
                 flag="warning"
                 id="UBL-CI-374">[UBL-CI-374]-A UBL invoice should not include the Delivery DeliveryLocation Address CountrySubentityCode</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:Region)"
                 flag="warning"
                 id="UBL-CI-375">[UBL-CI-375]-A UBL invoice should not include the Delivery DeliveryLocation Address Region</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:District)"
                 flag="warning"
                 id="UBL-CI-376">[UBL-CI-376]-A UBL invoice should not include the Delivery DeliveryLocation Address District</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cbc-pl:TimezoneOffset)"
                 flag="warning"
                 id="UBL-CI-377">[UBL-CI-377]-A UBL invoice should not include the Delivery DeliveryLocation Address TimezoneOffset</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cac-pl:Country/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-378">[UBL-CI-378]-A UBL invoice should not include the Delivery DeliveryLocation Address Country Name</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:Address/cac-pl:LocationCoordinate)"
                 flag="warning"
                 id="UBL-CI-379">[UBL-CI-379]-A UBL invoice should not include the Delivery DeliveryLocation Address LocationCoordinate</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:SubsidiaryLocation)"
                 flag="warning"
                 id="UBL-CI-380">[UBL-CI-380]-A UBL invoice should not include the Delivery DeliveryLocation SubsidiaryLocation</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryLocation/cac-pl:LocationCoordinate)"
                 flag="warning"
                 id="UBL-CI-381">[UBL-CI-381]-A UBL invoice should not include the Delivery DeliveryLocation LocationCoordinate</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:AlternativeDeliveryLocation)"
                 flag="warning"
                 id="UBL-CI-382">[UBL-CI-382]-A UBL invoice should not include the Delivery AlternativeDeliveryLocation</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:RequestedDeliveryPeriod)"
                 flag="warning"
                 id="UBL-CI-383">[UBL-CI-383]-A UBL invoice should not include the Delivery RequestedDeliveryPeriod</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:PromisedDeliveryPeriod)"
                 flag="warning"
                 id="UBL-CI-384">[UBL-CI-384]-A UBL invoice should not include the Delivery PromisedDeliveryPeriod</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:CarrierParty)"
                 flag="warning"
                 id="UBL-CI-385">[UBL-CI-385]-A UBL invoice should not include the Delivery CarrierParty</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cbc-pl:MarkCareIndicator)"
                 flag="warning"
                 id="UBL-CI-386">[UBL-CI-386]-A UBL invoice should not include the DeliveryParty MarkCareIndicator</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cbc-pl:MarkAttentionIndicator)"
                 flag="warning"
                 id="UBL-CI-387">[UBL-CI-387]-A UBL invoice should not include the DeliveryParty MarkAttentionIndicator</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cbc-pl:WebsiteURI)"
                 flag="warning"
                 id="UBL-CI-388">[UBL-CI-388]-A UBL invoice should not include the DeliveryParty WebsiteURI</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cbc-pl:LogoReferenceID)"
                 flag="warning"
                 id="UBL-CI-389">[UBL-CI-389]-A UBL invoice should not include the DeliveryParty LogoReferenceID</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cbc-pl:EndpointID)"
                 flag="warning"
                 id="UBL-CI-390">[UBL-CI-390]-A UBL invoice should not include the DeliveryParty EndpointID</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cbc-pl:IndustryClassificationCode)"
                 flag="warning"
                 id="UBL-CI-391">[UBL-CI-391]-A UBL invoice should not include the DeliveryParty IndustryClassificationCode</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:PartyIdentification)"
                 flag="warning"
                 id="UBL-CI-392">[UBL-CI-392]-A UBL invoice should not include the DeliveryParty PartyIdentification</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:Language)"
                 flag="warning"
                 id="UBL-CI-393">[UBL-CI-393]-A UBL invoice should not include the DeliveryParty Language</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:PostalAddress)"
                 flag="warning"
                 id="UBL-CI-394">[UBL-CI-394]-A UBL invoice should not include the DeliveryParty PostalAddress</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:PhysicalLocation)"
                 flag="warning"
                 id="UBL-CI-395">[UBL-CI-395]-A UBL invoice should not include the DeliveryParty PhysicalLocation</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:PartyTaxScheme)"
                 flag="warning"
                 id="UBL-CI-396">[UBL-CI-396]-A UBL invoice should not include the DeliveryParty PartyTaxScheme</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:PartyLegalEntity)"
                 flag="warning"
                 id="UBL-CI-397">[UBL-CI-397]-A UBL invoice should not include the DeliveryParty PartyLegalEntity</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:Contact)"
                 flag="warning"
                 id="UBL-CI-398">[UBL-CI-398]-A UBL invoice should not include the DeliveryParty Contact</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:Person)"
                 flag="warning"
                 id="UBL-CI-399">[UBL-CI-399]-A UBL invoice should not include the DeliveryParty Person</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:AgentParty)"
                 flag="warning"
                 id="UBL-CI-400">[UBL-CI-400]-A UBL invoice should not include the DeliveryParty AgentParty</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:ServiceProviderParty)"
                 flag="warning"
                 id="UBL-CI-401">[UBL-CI-401]-A UBL invoice should not include the DeliveryParty ServiceProviderParty</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:PowerOfAttorney)"
                 flag="warning"
                 id="UBL-CI-402">[UBL-CI-402]-A UBL invoice should not include the DeliveryParty PowerOfAttorney</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryParty/cac-pl:FinancialAccount)"
                 flag="warning"
                 id="UBL-CI-403">[UBL-CI-403]-A UBL invoice should not include the DeliveryParty FinancialAccount</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:NotifyParty)"
                 flag="warning"
                 id="UBL-CI-404">[UBL-CI-404]-A UBL invoice should not include the Delivery NotifyParty</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:Despatch)"
                 flag="warning"
                 id="UBL-CI-405">[UBL-CI-405]-A UBL invoice should not include the Delivery Despatch</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-CI-406">[UBL-CI-406]-A UBL invoice should not include the Delivery DeliveryTerms</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:MinimumDeliveryUnit)"
                 flag="warning"
                 id="UBL-CI-407">[UBL-CI-407]-A UBL invoice should not include the Delivery MinimumDeliveryUnit</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:MaximumDeliveryUnit)"
                 flag="warning"
                 id="UBL-CI-408">[UBL-CI-408]-A UBL invoice should not include the Delivery MaximumDeliveryUnit</assert>
         <assert test="not(cac-pl:Delivery/cac-pl:Shipment)"
                 flag="warning"
                 id="UBL-CI-409">[UBL-CI-409]-A UBL invoice should not include the Delivery Shipment</assert>
         <assert test="not(cac-pl:DeliveryTerms)" flag="warning" id="UBL-CI-410">[UBL-CI-410]-A UBL invoice should not include the DeliveryTerms</assert>
         <assert test="not(cac-pl:PaymentMeans/cbc-pl:ID)" flag="warning" id="UBL-CI-411">[UBL-CI-411]-A UBL invoice should not include the PaymentMeans ID</assert>
         <assert test="not(cac-pl:PaymentMeans/cbc-pl:PaymentDueDate)"
                 flag="warning"
                 id="UBL-CI-412">[UBL-CI-412]-A UBL invoice should not include the PaymentMeans PaymentDueDate</assert>
         <assert test="not(cac-pl:PaymentMeans/cbc-pl:PaymentChannelCode)"
                 flag="warning"
                 id="UBL-CI-413">[UBL-CI-413]-A UBL invoice should not include the PaymentMeans PaymentChannelCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cbc-pl:InstructionID)"
                 flag="warning"
                 id="UBL-CI-414">[UBL-CI-414]-A UBL invoice should not include the PaymentMeans InstructionID</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:CardTypeCode)"
                 flag="warning"
                 id="UBL-CI-415">[UBL-CI-415]-A UBL invoice should not include the PaymentMeans CardAccount CardTypeCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:ValidityStartDate)"
                 flag="warning"
                 id="UBL-CI-416">[UBL-CI-416]-A UBL invoice should not include the PaymentMeans CardAccount ValidityStartDate</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:ExpiryDate)"
                 flag="warning"
                 id="UBL-CI-417">[UBL-CI-417]-A UBL invoice should not include the PaymentMeans CardAccount ExpiryDate</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:IssuerID)"
                 flag="warning"
                 id="UBL-CI-418">[UBL-CI-418]-A UBL invoice should not include the PaymentMeans CardAccount IssuerID</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:IssuerNumberID)"
                 flag="warning"
                 id="UBL-CI-419">[UBL-CI-419]-A UBL invoice should not include the PaymentMeans CardAccount IssuerNumberID</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:CV2ID)"
                 flag="warning"
                 id="UBL-CI-420">[UBL-CI-420]-A UBL invoice should not include the PaymentMeans CardAccount CV2ID</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:CardChipCode)"
                 flag="warning"
                 id="UBL-CI-421">[UBL-CI-421]-A UBL invoice should not include the PaymentMeans CardAccount CardChipCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CardAccount/cbc-pl:ChipApplicationID)"
                 flag="warning"
                 id="UBL-CI-422">[UBL-CI-422]-A UBL invoice should not include the PaymentMeans CardAccount ChipApplicationID</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayerFinancialAccount)"
                 flag="warning"
                 id="UBL-CI-423">[UBL-CI-423]-A UBL invoice should not include the PaymentMeans PayerFinancialAccount</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cbc-pl:AliasName)"
                 flag="warning"
                 id="UBL-CI-424">[UBL-CI-424]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount AliasName</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cbc-pl:AccountTypeCode)"
                 flag="warning"
                 id="UBL-CI-425">[UBL-CI-425]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount AccountTypeCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cbc-pl:AccountFormatCode)"
                 flag="warning"
                 id="UBL-CI-426">[UBL-CI-426]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount AccountFormatCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-427">[UBL-CI-427]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount CurrencyCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cbc-pl:PaymentNote)"
                 flag="warning"
                 id="UBL-CI-428">[UBL-CI-428]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount PaymentNote</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cac-pl:FinancialInstitutionBranch/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-429">[UBL-CI-429]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount FinancialInstitutionBranch Name</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cac-pl:FinancialInstitutionBranch/cac-pl:FinancialInstitution/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-430">[UBL-CI-430]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount FinancialInstitutionBranch FinancialInstitution Name</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cac-pl:FinancialInstitutionBranch/cac-pl:FinancialInstitution/cac-pl:Address)"
                 flag="warning"
                 id="UBL-CI-431">[UBL-CI-431]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount FinancialInstitutionBranch FinancialInstitution Address</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cac-pl:FinancialInstitutionBranch/cac-pl:Address)"
                 flag="warning"
                 id="UBL-CI-432">[UBL-CI-432]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount FinancialInstitutionBranch Address</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PayeeFinancialAccount/cac-pl:Country)"
                 flag="warning"
                 id="UBL-CI-433">[UBL-CI-433]-A UBL invoice should not include the PaymentMeans PayeeFinancialAccount Country</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:CreditAccount)"
                 flag="warning"
                 id="UBL-CI-434">[UBL-CI-434]-A UBL invoice should not include the PaymentMeans CreditAccount</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cbc-pl:MandateTypeCode)"
                 flag="warning"
                 id="UBL-CI-435">[UBL-CI-435]-A UBL invoice should not include the PaymentMeans PaymentMandate MandateTypeCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cbc-pl:MaximumPaymentInstructionsNumeric)"
                 flag="warning"
                 id="UBL-CI-436">[UBL-CI-436]-A UBL invoice should not include the PaymentMeans PaymentMandate MaximumPaymentInstructionsNumeric</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cbc-pl:MaximumPaidAmount)"
                 flag="warning"
                 id="UBL-CI-437">[UBL-CI-437]-A UBL invoice should not include the PaymentMeans PaymentMandate MaximumPaidAmount</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cbc-pl:SignatureID)"
                 flag="warning"
                 id="UBL-CI-438">[UBL-CI-438]-A UBL invoice should not include the PaymentMeans PaymentMandate SignatureID</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerParty)"
                 flag="warning"
                 id="UBL-CI-439">[UBL-CI-439]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerParty</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-440">[UBL-CI-440]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount Name</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cbc-pl:AliasName)"
                 flag="warning"
                 id="UBL-CI-441">[UBL-CI-441]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount AliasName</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cbc-pl:AccountTypeCode)"
                 flag="warning"
                 id="UBL-CI-442">[UBL-CI-442]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount AccountTypeCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cbc-pl:AccountFormatCode)"
                 flag="warning"
                 id="UBL-CI-443">[UBL-CI-443]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount AccountFormatCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-444">[UBL-CI-444]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount CurrencyCode</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cbc-pl:PaymentNote)"
                 flag="warning"
                 id="UBL-CI-445">[UBL-CI-445]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount PaymentNote</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cac-pl:FinancialInstitutionBranch)"
                 flag="warning"
                 id="UBL-CI-446">[UBL-CI-446]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount FinancialInstitutionBranch</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PayerFinancialAccount/cac-pl:Country)"
                 flag="warning"
                 id="UBL-CI-447">[UBL-CI-447]-A UBL invoice should not include the PaymentMeans PaymentMandate PayerFinancialAccount Country</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-448">[UBL-CI-448]-A UBL invoice should not include the PaymentMeans PaymentMandate ValidityPeriod</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:PaymentReversalPeriod)"
                 flag="warning"
                 id="UBL-CI-449">[UBL-CI-449]-A UBL invoice should not include the PaymentMeans PaymentMandate PaymentReversalPeriod</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:PaymentMandate/cac-pl:Clause)"
                 flag="warning"
                 id="UBL-CI-450">[UBL-CI-450]-A UBL invoice should not include the PaymentMeans PaymentMandate Clause</assert>
         <assert test="not(cac-pl:PaymentMeans/cac-pl:TradeFinancing)"
                 flag="warning"
                 id="UBL-CI-451">[UBL-CI-451]-A UBL invoice should not include the PaymentMeans TradeFinancing</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:ID)" flag="warning" id="UBL-CI-452">[UBL-CI-452]-A UBL invoice should not include the PaymentTerms ID</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:PaymentMeansID)"
                 flag="warning"
                 id="UBL-CI-453">[UBL-CI-453]-A UBL invoice should not include the PaymentTerms PaymentMeansID</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:PrepaidPaymentReferenceID)"
                 flag="warning"
                 id="UBL-CI-454">[UBL-CI-454]-A UBL invoice should not include the PaymentTerms PrepaidPaymentReferenceID</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:ReferenceEventCode)"
                 flag="warning"
                 id="UBL-CI-455">[UBL-CI-455]-A UBL invoice should not include the PaymentTerms ReferenceEventCode</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:SettlementDiscountPercent)"
                 flag="warning"
                 id="UBL-CI-456">[UBL-CI-456]-A UBL invoice should not include the PaymentTerms SettlementDiscountPercent</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:PenaltySurchargePercent)"
                 flag="warning"
                 id="UBL-CI-457">[UBL-CI-457]-A UBL invoice should not include the PaymentTerms PenaltySurchargePercent</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:PaymentPercent)"
                 flag="warning"
                 id="UBL-CI-458">[UBL-CI-458]-A UBL invoice should not include the PaymentTerms PaymentPercent</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:Amount)"
                 flag="warning"
                 id="UBL-CI-459">[UBL-CI-459]-A UBL invoice should not include the PaymentTerms Amount</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:SettlementDiscountAmount)"
                 flag="warning"
                 id="UBL-CI-460">[UBL-CI-460]-A UBL invoice should not include the PaymentTerms SettlementDiscountAmount</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:PenaltyAmount)"
                 flag="warning"
                 id="UBL-CI-461">[UBL-CI-461]-A UBL invoice should not include the PaymentTerms PenaltyAmount</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:PaymentTermsDetailsURI)"
                 flag="warning"
                 id="UBL-CI-462">[UBL-CI-462]-A UBL invoice should not include the PaymentTerms PaymentTermsDetailsURI</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:PaymentDueDate)"
                 flag="warning"
                 id="UBL-CI-463">[UBL-CI-463]-A UBL invoice should not include the PaymentTerms PaymentDueDate</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:InstallmentDueDate)"
                 flag="warning"
                 id="UBL-CI-464">[UBL-CI-464]-A UBL invoice should not include the PaymentTerms InstallmentDueDate</assert>
         <assert test="not(cac-pl:PaymentTerms/cbc-pl:InvoicingPartyReference)"
                 flag="warning"
                 id="UBL-CI-465">[UBL-CI-465]-A UBL invoice should not include the PaymentTerms InvoicingPartyReference</assert>
         <assert test="not(cac-pl:PaymentTerms/cac-pl:SettlementPeriod)"
                 flag="warning"
                 id="UBL-CI-466">[UBL-CI-466]-A UBL invoice should not include the PaymentTerms SettlementPeriod</assert>
         <assert test="not(cac-pl:PaymentTerms/cac-pl:PenaltyPeriod)"
                 flag="warning"
                 id="UBL-CI-467">[UBL-CI-467]-A UBL invoice should not include the PaymentTerms PenaltyPeriod</assert>
         <assert test="not(cac-pl:PaymentTerms/cac-pl:ExchangeRate)"
                 flag="warning"
                 id="UBL-CI-468">[UBL-CI-468]-A UBL invoice should not include the PaymentTerms ExchangeRate</assert>
         <assert test="not(cac-pl:PaymentTerms/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-469">[UBL-CI-469]-A UBL invoice should not include the PaymentTerms ValidityPeriod</assert>
         <assert test="not(cac-pl:PrepaidPayment)" flag="warning" id="UBL-CI-470">[UBL-CI-470]-A UBL invoice should not include the PrepaidPayment</assert>
         <assert test="not(cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-471">[UBL-CI-471]-A UBL invoice should not include the AllowanceCharge ID</assert>
         <assert test="not(cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-CI-472">[UBL-CI-472]-A UBL invoice should not include the AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-CI-473">[UBL-CI-473]-A UBL invoice should not include the AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-CI-474">[UBL-CI-474]-A UBL invoice should not include the AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-CI-475">[UBL-CI-475]-A UBL invoice should not include the AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-CI-476">[UBL-CI-476]-A UBL invoice should not include the AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-477">[UBL-CI-477]-A UBL invoice should not include the AllowanceCharge TaxCategory Name</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-CI-478">[UBL-CI-478]-A UBL invoice should not include the AllowanceCharge TaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-CI-479">[UBL-CI-479]-A UBL invoice should not include the AllowanceCharge TaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-CI-480">[UBL-CI-480]-A UBL invoice should not include the AllowanceCharge TaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-CI-481">[UBL-CI-481]-A UBL invoice should not include the AllowanceCharge TaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-CI-482">[UBL-CI-482]-A UBL invoice should not include the AllowanceCharge TaxCategory TierRange</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-CI-483">[UBL-CI-483]-A UBL invoice should not include the AllowanceCharge TaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-484">[UBL-CI-484]-A UBL invoice should not include the AllowanceCharge TaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-CI-485">[UBL-CI-485]-A UBL invoice should not include the AllowanceCharge TaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-486">[UBL-CI-486]-A UBL invoice should not include the AllowanceCharge TaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-CI-487">[UBL-CI-487]-A UBL invoice should not include the AllowanceCharge TaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-CI-488">[UBL-CI-488]-A UBL invoice should not include the AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-CI-489">[UBL-CI-489]-A UBL invoice should not include the AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:TaxExchangeRate)" flag="warning" id="UBL-CI-490">[UBL-CI-490]-A UBL invoice should not include the TaxExchangeRate</assert>
         <assert test="not(cac-pl:PricingExchangeRate)" flag="warning" id="UBL-CI-491">[UBL-CI-491]-A UBL invoice should not include the PricingExchangeRate</assert>
         <assert test="not(cac-pl:PaymentExchangeRate)" flag="warning" id="UBL-CI-492">[UBL-CI-492]-A UBL invoice should not include the PaymentExchangeRate</assert>
         <assert test="not(cac-pl:PaymentAlternativeExchangeRate)"
                 flag="warning"
                 id="UBL-CI-493">[UBL-CI-493]-A UBL invoice should not include the PaymentAlternativeExchangeRate</assert>
         <assert test="not(cac-pl:TaxTotal/cbc-pl:RoundingAmount)"
                 flag="warning"
                 id="UBL-CI-494">[UBL-CI-494]-A UBL invoice should not include the TaxTotal RoundingAmount</assert>
         <assert test="not(cac-pl:TaxTotal/cbc-pl:TaxEvidenceIndicator)"
                 flag="warning"
                 id="UBL-CI-495">[UBL-CI-495]-A UBL invoice should not include the TaxTotal TaxEvidenceIndicator</assert>
         <assert test="not(cac-pl:TaxTotal/cbc-pl:TaxIncludedIndicator)"
                 flag="warning"
                 id="UBL-CI-496">[UBL-CI-496]-A UBL invoice should not include the TaxTotal TaxIncludedIndicator</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:CalculationSequenceNumeric)"
                 flag="warning"
                 id="UBL-CI-497">[UBL-CI-497]-A UBL invoice should not include the TaxTotal TaxSubtotal CalulationSequenceNumeric</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:TransactionCurrencyTaxAmount)"
                 flag="warning"
                 id="UBL-CI-498">[UBL-CI-498]-A UBL invoice should not include the TaxTotal TaxSubtotal TransactionCurrencyTaxAmount</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:Percent)"
                 flag="warning"
                 id="UBL-CI-499">[UBL-CI-499]-A UBL invoice should not include the TaxTotal TaxSubtotal Percent</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-CI-500">[UBL-CI-500]-A UBL invoice should not include the TaxTotal TaxSubtotal BaseUnitMeasure</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-CI-501">[UBL-CI-501]-A UBL invoice should not include the TaxTotal TaxSubtotal PerUnitAmount</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-CI-502">[UBL-CI-502]-A UBL invoice should not include the TaxTotal TaxSubtotal TierRange</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-CI-503">[UBL-CI-503]-A UBL invoice should not include the TaxTotal TaxSubtotal TierRatePercent</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-504">[UBL-CI-504]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory Name</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-CI-505">[UBL-CI-505]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-CI-506">[UBL-CI-506]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-CI-507">[UBL-CI-507]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory TierRange</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-CI-508">[UBL-CI-508]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-509">[UBL-CI-509]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-CI-510">[UBL-CI-510]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-511">[UBL-CI-511]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:TaxTotal/cac-pl:TaxSubtotal/cac-pl:TaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-CI-512">[UBL-CI-512]-A UBL invoice should not include the TaxTotal TaxSubtotal TaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:WithholdingTaxTotal)" flag="warning" id="UBL-CI-513">[UBL-CI-513]-A UBL invoice should not include the WithholdingTaxTotal</assert>
         <assert test="not(cac-pl:LegalMonetaryTotal/cbc-pl:PayableAlternativeAmount)"
                 flag="warning"
                 id="UBL-CI-514">[UBL-CI-514]-A UBL invoice should not include the LegalMonetaryTotal PayableAlternativeAmount</assert>
         <assert test="not(cac-pl:InvoiceLine/cbc-pl:UUID)" flag="warning" id="UBL-CI-515">[UBL-CI-515]-A UBL invoice should not include the InvoiceLine UUID</assert>
         <assert test="not(cac-pl:InvoiceLine/cbc-pl:TaxPointDate)"
                 flag="warning"
                 id="UBL-CI-516">[UBL-CI-516]-A UBL invoice should not include the InvoiceLine TaxPointDate</assert>
         <assert test="not(cac-pl:InvoiceLine/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-CI-517">[UBL-CI-517]-A UBL invoice should not include the InvoiceLine AccountingCostCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-CI-518">[UBL-CI-518]-A UBL invoice should not include the InvoiceLine PaymentPurposeCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cbc-pl:FreeOfChargeIndicator)"
                 flag="warning"
                 id="UBL-CI-519">[UBL-CI-519]-A UBL invoice should not include the InvoiceLine FreeOfChargeIndicator</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:StartTime)"
                 flag="warning"
                 id="UBL-CI-520">[UBL-CI-520]-A UBL invoice should not include the InvoiceLine InvoicePeriod StartTime</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:EndTime)"
                 flag="warning"
                 id="UBL-CI-521">[UBL-CI-521]-A UBL invoice should not include the InvoiceLine InvoicePeriod EndTime</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:DurationMeasure)"
                 flag="warning"
                 id="UBL-CI-522">[UBL-CI-522]-A UBL invoice should not include the InvoiceLine InvoicePeriod DurationMeasure</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:DescriptionCode)"
                 flag="warning"
                 id="UBL-CI-523">[UBL-CI-523]-A UBL invoice should not include the InvoiceLine InvoicePeriod DescriptionCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:Description)"
                 flag="warning"
                 id="UBL-CI-524">[UBL-CI-524]-A UBL invoice should not include the InvoiceLine InvoicePeriod Description</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)"
                 flag="warning"
                 id="UBL-CI-525">[UBL-CI-525]-A UBL invoice should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OrderLineReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-526">[UBL-CI-526]-A UBL invoice should not include the InvoiceLine OrderLineReference UUID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OrderLineReference/cbc-pl:LineStatusCode)"
                 flag="warning"
                 id="UBL-CI-527">[UBL-CI-527]-A UBL invoice should not include the InvoiceLine OrderLineReference LineStatusCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OrderLineReference/cbc-pl:OrderReference)"
                 flag="warning"
                 id="UBL-CI-528">[UBL-CI-528]-A UBL invoice should not include the InvoiceLine OrderLineReference OrderReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DespatchLineReference)"
                 flag="warning"
                 id="UBL-CI-529">[UBL-CI-529]-A UBL invoice should not include the InvoiceLine DespatchLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:ReceiptLineReference)"
                 flag="warning"
                 id="UBL-CI-530">[UBL-CI-530]-A UBL invoice should not include the InvoiceLine ReceiptLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:BillingReference)"
                 flag="warning"
                 id="UBL-CI-531">[UBL-CI-531]-A UBL invoice should not include the InvoiceLine BillingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-CI-532">[UBL-CI-532]-A UBL invoice should not include the InvoiceLine DocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-CI-533">[UBL-CI-533]-A UBL invoice should not include the InvoiceLine DocumentReference UUID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-CI-534">[UBL-CI-534]-A UBL invoice should not include the InvoiceLine DocumentReference IssueDate</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-CI-535">[UBL-CI-535]-A UBL invoice should not include the InvoiceLine DocumentReference IssueTime</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-CI-537">[UBL-CI-537]-A UBL invoice should not include the InvoiceLine DocumentReference DocumentType</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-CI-538">[UBL-CI-538]-A UBL invoice should not include the InvoiceLine DocumentReference Xpath</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-CI-539">[UBL-CI-539]-A UBL invoice should not include the InvoiceLine DocumentReference LanguageID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-CI-540">[UBL-CI-540]-A UBL invoice should not include the InvoiceLine DocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-CI-541">[UBL-CI-541]-A UBL invoice should not include the InvoiceLine DocumentReference VersionID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-CI-542">[UBL-CI-542]-A UBL invoice should not include the InvoiceLine DocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-CI-543">[UBL-CI-543]-A UBL invoice should not include the InvoiceLine DocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-CI-544">[UBL-CI-544]-A UBL invoice should not include the InvoiceLine DocumentReference Attachment</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-545">[UBL-CI-545]-A UBL invoice should not include the InvoiceLine DocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-546">[UBL-CI-546]-A UBL invoice should not include the InvoiceLine DocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-CI-547">[UBL-CI-547]-A UBL invoice should not include the InvoiceLine DocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PricingReference)"
                 flag="warning"
                 id="UBL-CI-548">[UBL-CI-548]-A UBL invoice should not include the InvoiceLine PricingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OriginatorParty)"
                 flag="warning"
                 id="UBL-CI-549">[UBL-CI-549]-A UBL invoice should not include the InvoiceLine OriginatorParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Delivery)"
                 flag="warning"
                 id="UBL-CI-550">[UBL-CI-550]-A UBL invoice should not include the InvoiceLine Delivery</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PaymentTerms)"
                 flag="warning"
                 id="UBL-CI-551">[UBL-CI-551]-A UBL invoice should not include the InvoiceLine PaymentTerms</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-552">[UBL-CI-552]-A UBL invoice should not include the InvoiceLine AllowanceCharge ID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-CI-553">[UBL-CI-553]-A UBL invoice should not include the InvoiceLine AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-CI-554">[UBL-CI-554]-A UBL invoice should not include the InvoiceLine AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-CI-555">[UBL-CI-555]-A UBL invoice should not include the InvoiceLine AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-CI-556">[UBL-CI-556]-A UBL invoice should not include the InvoiceLine AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-CI-557">[UBL-CI-557]-A UBL invoice should not include the InvoiceLine AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-CI-558">[UBL-CI-558]-A UBL invoice should not include the InvoiceLine AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-CI-559">[UBL-CI-559]-A UBL invoice should not include the InvoiceLine AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-CI-560">[UBL-CI-560]-A UBL invoice should not include the InvoiceLine AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-CI-561">[UBL-CI-561]-A UBL invoice should not include the InvoiceLine TaxTotal</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:WithholdingTaxTotal)"
                 flag="warning"
                 id="UBL-CI-562">[UBL-CI-562]-A UBL invoice should not include the InvoiceLine WithholdingTaxTotal</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:PackQuantity)"
                 flag="warning"
                 id="UBL-CI-563">[UBL-CI-563]-A UBL invoice should not include the InvoiceLine Item PackQuantity</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:PackSizeNumeric)"
                 flag="warning"
                 id="UBL-CI-564">[UBL-CI-564]-A UBL invoice should not include the InvoiceLine Item PackSizeNumeric</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:CatalogueIndicator)"
                 flag="warning"
                 id="UBL-CI-565">[UBL-CI-565]-A UBL invoice should not include the InvoiceLine Item CatalogueIndicator</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:HazardousRiskIndicator)"
                 flag="warning"
                 id="UBL-CI-566">[UBL-CI-566]-A UBL invoice should not include the InvoiceLine Item HazardousRiskIndicator</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:AdditionalInformation)"
                 flag="warning"
                 id="UBL-CI-567">[UBL-CI-567]-A UBL invoice should not include the InvoiceLine Item AdditionalInformation</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Keyword)"
                 flag="warning"
                 id="UBL-CI-568">[UBL-CI-568]-A UBL invoice should not include the InvoiceLine Item Keyword</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:BrandName)"
                 flag="warning"
                 id="UBL-CI-569">[UBL-CI-569]-A UBL invoice should not include the InvoiceLine Item BrandName</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:ModelName)"
                 flag="warning"
                 id="UBL-CI-570">[UBL-CI-570]-A UBL invoice should not include the InvoiceLine Item ModelName</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-CI-571">[UBL-CI-571]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-CI-572">[UBL-CI-572]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-CI-573">[UBL-CI-573]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-CI-574">[UBL-CI-574]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-575">[UBL-CI-575]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-CI-576">[UBL-CI-576]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-CI-577">[UBL-CI-577]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-CI-578">[UBL-CI-578]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-CI-579">[UBL-CI-579]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-580">[UBL-CI-580]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ManufacturersItemIdentification)"
                 flag="warning"
                 id="UBL-CI-581">[UBL-CI-581]-A UBL invoice should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-CI-582">[UBL-CI-582]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-CI-583">[UBL-CI-583]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-CI-584">[UBL-CI-584]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-CI-585">[UBL-CI-585]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-CI-586">[UBL-CI-586]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:CatalogueItemIdentification)"
                 flag="warning"
                 id="UBL-CI-587">[UBL-CI-587]-A UBL invoice should not include the InvoiceLine Item CatalogueItemIdentification</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemIdentification)"
                 flag="warning"
                 id="UBL-CI-588">[UBL-CI-588]-A UBL invoice should not include the InvoiceLine Item AdditionalItemIdentification</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:CatalogueDocumentReference)"
                 flag="warning"
                 id="UBL-CI-589">[UBL-CI-589]-A UBL invoice should not include the InvoiceLine Item CatalogueDocumentReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)"
                 flag="warning"
                 id="UBL-CI-590">[UBL-CI-590]-A UBL invoice should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:OriginCountry/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-591">[UBL-CI-591]-A UBL invoice should not include the InvoiceLine Item OriginCountry Name</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)"
                 flag="warning"
                 id="UBL-CI-592">[UBL-CI-592]-A UBL invoice should not include the InvoiceLine Item CommodityClassification NatureCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-CI-593">[UBL-CI-593]-A UBL invoice should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)"
                 flag="warning"
                 id="UBL-CI-594">[UBL-CI-594]-A UBL invoice should not include the InvoiceLine Item CommodityClassification CommodityCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:TransactionConditions)"
                 flag="warning"
                 id="UBL-CI-595">[UBL-CI-595]-A UBL invoice should not include the InvoiceLine Item TransactionConditions</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:HazardousItem)"
                 flag="warning"
                 id="UBL-CI-596">[UBL-CI-596]-A UBL invoice should not include the InvoiceLine Item HazardousItem</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-597">[UBL-CI-597]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory Name</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-CI-598">[UBL-CI-598]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-CI-599">[UBL-CI-599]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-CI-600">[UBL-CI-600]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-CI-601">[UBL-CI-601]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-CI-602">[UBL-CI-602]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TierRange</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-CI-603">[UBL-CI-603]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-CI-604">[UBL-CI-604]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-CI-605">[UBL-CI-605]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-CI-606">[UBL-CI-606]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-CI-607">[UBL-CI-607]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-608">[UBL-CI-608]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty ID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:NameCode)"
                 flag="warning"
                 id="UBL-CI-609">[UBL-CI-609]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty NameCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:TestMethod)"
                 flag="warning"
                 id="UBL-CI-610">[UBL-CI-610]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty TestMethod</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQuantity)"
                 flag="warning"
                 id="UBL-CI-611">[UBL-CI-611]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty ValueQuantity</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQualifier)"
                 flag="warning"
                 id="UBL-CI-612">[UBL-CI-612]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty ValueQualifier</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ImportanceCode)"
                 flag="warning"
                 id="UBL-CI-613">[UBL-CI-613]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty ImportanceCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ListValue)"
                 flag="warning"
                 id="UBL-CI-614">[UBL-CI-614]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty ListValue</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:UsabilityPeriod)"
                 flag="warning"
                 id="UBL-CI-615">[UBL-CI-615]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty UsabilityPeriod</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyGroup)"
                 flag="warning"
                 id="UBL-CI-616">[UBL-CI-616]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyGroup</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:RangeDimension)"
                 flag="warning"
                 id="UBL-CI-617">[UBL-CI-617]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty RangeDimension</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyRange)"
                 flag="warning"
                 id="UBL-CI-618">[UBL-CI-618]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyRange</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ManufacturerParty)"
                 flag="warning"
                 id="UBL-CI-619">[UBL-CI-619]-A UBL invoice should not include the InvoiceLine Item ManufacturerParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:InformationContentProviderParty)"
                 flag="warning"
                 id="UBL-CI-620">[UBL-CI-620]-A UBL invoice should not include the InvoiceLine Item InformationContentProviderParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:OriginAddress)"
                 flag="warning"
                 id="UBL-CI-621">[UBL-CI-621]-A UBL invoice should not include the InvoiceLine Item OriginAddress</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:ItemInstance)"
                 flag="warning"
                 id="UBL-CI-622">[UBL-CI-622]-A UBL invoice should not include the InvoiceLine Item ItemInstance</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Certificate)"
                 flag="warning"
                 id="UBL-CI-623">[UBL-CI-623]-A UBL invoice should not include the InvoiceLine Item Certificate</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Dimension)"
                 flag="warning"
                 id="UBL-CI-624">[UBL-CI-624]-A UBL invoice should not include the InvoiceLine Item Dimension</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceChangeReason)"
                 flag="warning"
                 id="UBL-CI-625">[UBL-CI-625]-A UBL invoice should not include the InvoiceLine Item Price PriceChangeReason</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceTypeCode)"
                 flag="warning"
                 id="UBL-CI-626">[UBL-CI-626]-A UBL invoice should not include the InvoiceLine Item Price PriceTypeCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceType)"
                 flag="warning"
                 id="UBL-CI-627">[UBL-CI-627]-A UBL invoice should not include the InvoiceLine Item Price PriceType</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-CI-628">[UBL-CI-628]-A UBL invoice should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-CI-629">[UBL-CI-629]-A UBL invoice should not include the InvoiceLine Item Price ValidityPeriod</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceList)"
                 flag="warning"
                 id="UBL-CI-630">[UBL-CI-630]-A UBL invoice should not include the InvoiceLine Item Price PriceList</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-CI-631">[UBL-CI-631]-A UBL invoice should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-CI-632">[UBL-CI-632]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge ID</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode)"
                 flag="warning"
                 id="UBL-CI-633">[UBL-CI-633]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReasonCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason)"
                 flag="warning"
                 id="UBL-CI-634">[UBL-CI-634]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReason</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:MultiplierFactorNumeric)"
                 flag="warning"
                 id="UBL-CI-635">[UBL-CI-635]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge MultiplierFactorNumeric</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-CI-636">[UBL-CI-636]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-CI-637">[UBL-CI-637]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-CI-638">[UBL-CI-638]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-CI-639">[UBL-CI-639]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-CI-640">[UBL-CI-640]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-CI-641">[UBL-CI-641]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-CI-642">[UBL-CI-642]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-CI-643">[UBL-CI-643]-A UBL invoice should not include the InvoiceLine Item Price AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:PricingExchangeRate)"
                 flag="warning"
                 id="UBL-CI-644">[UBL-CI-644]-A UBL invoice should not include the InvoiceLine Item Price PricingExchangeRate</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-CI-645">[UBL-CI-645]-A UBL invoice should not include the InvoiceLine DeliveryTerms</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:SubInvoiceLine)"
                 flag="warning"
                 id="UBL-CI-646">[UBL-CI-646]-A UBL invoice should not include the InvoiceLine SubInvoiceLine</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:ItemPriceExtension)"
                 flag="warning"
                 id="UBL-CI-647">[UBL-CI-647]-A UBL invoice should not include the InvoiceLine ItemPriceExtension</assert>
         <assert test="not(//@schemeName)" flag="warning" id="UBL-DT-08">[UBL-DT-08]-Scheme name attribute should not be present</assert>
         <assert test="not(//@schemeAgencyName)" flag="warning" id="UBL-DT-09">[UBL-DT-09]-Scheme agency name attribute should not be present</assert>
         <assert test="not(//@schemeDataURI)" flag="warning" id="UBL-DT-10">[UBL-DT-10]-Scheme data uri attribute should not be present</assert>
         <assert test="not(//@schemeURI)" flag="warning" id="UBL-DT-11">[UBL-DT-11]-Scheme uri attribute should not be present</assert>
         <assert test="not(//@format)" flag="warning" id="UBL-DT-12">[UBL-DT-12]-Format attribute should not be present</assert>
         <assert test="not(//@unitCodeListIdentifier)" flag="warning" id="UBL-DT-13">[UBL-DT-13]-Unit code list identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyIdentifier)"
                 flag="warning"
                 id="UBL-DT-14">[UBL-DT-14]-Unit code list agency identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyName)" flag="warning" id="UBL-DT-15">[UBL-DT-15]-Unit code list agency name attribute should not be present</assert>
         <assert test="not(//@listAgencyName)" flag="warning" id="UBL-DT-16">[UBL-DT-16]-List agency name attribute should not be present</assert>
         <assert test="not(//@listName)" flag="warning" id="UBL-DT-17">[UBL-DT-17]-List name attribute should not be present</assert>
         <assert test="(count(cac-pl:InvoicePeriod) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-08">[UBL-SR-08]-Invoice period shall occur maximum once</assert>
      </rule>
      <rule context="cac-pl:InvoiceLine">
         <assert test="(count(cbc-pl:Note) &lt;= 1)" flag="warning" id="UBL-SR-34">[UBL-SR-34]-Invoice line note shall occur maximum once</assert>
         <assert test="(count(cac-pl:OrderLineReference/cbc-pl:LineID) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-35">[UBL-SR-35]-Referenced purchase order line identifier shall occur maximum once</assert>
         <assert test="(count(cac-pl:InvoicePeriod) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-36">[UBL-SR-36]-Invoice line period shall occur maximum once</assert>
         <assert test="(count(cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:Amount) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-37">[UBL-SR-37]-Item price discount shall occur maximum once</assert>
         <assert test="(count(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-38">[UBL-SR-38]-Invoiced item VAT exemption reason text shall occur maximum once</assert>
      </rule>

      <rule context="cac-pl:TaxSubtotal">
         <assert test="(count(cac-pl:TaxCategory/cbc-pl:TaxExemptionReason) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-32">[UBL-SR-32]-VAT exemption reason text shall occur maximum once</assert>
      </rule>
   </pattern>
   
   <pattern>
   
   <!--##CustomizationID zgodne z akceptacja PEPPOL-->
      <rule context="cbc:CustomizationID">
         <assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:corr_inv:ver4.0'"
                 flag="fatal"
                 id="PL-CI-R-000">Element 'cbc:CustomizationID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:corr_inv:ver4.0'.</assert>
      </rule>
 
		<rule context="cn:CreditNote">
			<assert id="PL-CI-R-000-1" test="cbc:ProfileID" flag="fatal">Business process MUST be provided.</assert>
		</rule>
 
	<!--##Dodanie reguły do występowania ProfileID-->	
 
	   <rule context="cbc:ProfileID">
         <assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:corr_inv:ver4.0'"
                 flag="fatal"
                 id="PL-CI-R-000-3">Element 'cbc:ProfileID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:corr_inv:ver4.0'.</assert>
      </rule>
<!-- 
		<rule context="ext:UBLExtensions">
			<assert id="PL-CI-R-001" test="not(($supplierCountry = 'PL') and (not(count(ext:UBLExtension)=5)))" flag="fatal">[PL-CI-R-001] For Polish suppliers the Correcting Invoice must have 5 ext:UBLExtension sections.</assert>
		</rule>
-->
		<rule context="ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cbc:Comment">
			<assert id="PL-CI-R-002"
				test="not(($supplierCountry = 'PL') and not(contains(lower-case(normalize-space(text())), 'faktura korygująca') or contains (lower-case(normalize-space(text())), 'korekta')))"
				flag="fatal">[PL-CI-R-002] For Polish suppliers the text "FAKTURA KORYGUJĄCA" must be provided.</assert>			
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge">
		
			<let name="ChargeIndicator" value="cbc-pl:ChargeIndicator"/>
			<let name="TaxCategoryID" value="cac-pl:TaxCategory/cbc-pl:ID"/>
			<let name="TaxCategoryPercent" value="cac-pl:TaxCategory/cbc-pl:Percent"/>
			<let name="Amount1" value="xs:decimal(if(cac-pl:TaxTotal/cbc-pl:TaxAmount) then cac-pl:TaxTotal/cbc-pl:TaxAmount else 0)"/>  
			<let name="Amount2" value="xs:decimal(if(//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent = $TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxAmount) then (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent = $TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxAmount) else 0)"/>  	
			<let name="Amount3" value="xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/
														cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxAmount) then (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/
														cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxAmount) else 0)"/>  
			<let name="Amount4" value="xs:decimal(if(cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount) then cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount else 0)"/>  
			<let name="Amount5" value="xs:decimal(if(//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent = $TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount) then (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent = $TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount) else 0)"/>  	
			<let name="Amount6" value="xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/
														cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount) then (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/
														cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cac-pl:TaxTotal/cbc-pl:TaxInclusiveAmount) else 0)"/>  
	
			<assert id="PL-CI-AL-001"
				test="not(($supplierCountry = 'PL') and not(round($Amount2 - ($Amount3 + $Amount1))=0))"
				flag="fatal">[PL-CI-AL-001] For Polish suppliers, the difference in tax amount for AllowanceCharge must equal the difference between tax amount for AllowanceCharge after correction and before correction.</assert>

			<assert id="PL-CI-AL-002"
				test="not(($supplierCountry = 'PL') and not(round($Amount5 - ($Amount6 + $Amount4))=0))"
				flag="fatal">[PL-CI-AL-002] For Polish suppliers, the difference in tax inclusive amount for AllowanceCharge must equal the difference between tax inclusive amount for AllowanceCharge after correction and before correction.</assert>
				
<!--
		<assert id="PL-FV-0a-test"
              test="false()" 
              flag="fatal">[PL-FV-0a-test] Wartości sum
					$ChargeIndicator=<value-of  select="$ChargeIndicator"/>  -  
					$TaxCategoryID=<value-of  select="$TaxCategoryID"/>  -  
					$TaxCategoryPercent=<value-of  select="$TaxCategoryPercent"/>  -  
					Amount1=<value-of  select="$Amount1"/>  - 
					Amount2=<value-of  select="$Amount2"/>  -     
					Amount3=<value-of  select="$Amount3"/>  - 
			</assert> 
-->
		</rule>
			
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal">
		
			<let name="TaxCategoryID" value="cac-pl:TaxCategory/cbc-pl:ID"/>
			<let name="TaxCategoryPercent" value="cac-pl:TaxCategory/cbc-pl:Percent"/>
			<let name="Amount1" value="xs:decimal(if(cbc-pl:TaxAmount) then cbc-pl:TaxAmount else 0)"/>  
			<let name="Amount2" value="xs:decimal(if(//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxAmount) then (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxAmount) else 0)"/>  	
			<let name="Amount3" value="xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxAmount) then (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxAmount) else 0)"/>  
			<let name="Amount4" value="xs:decimal(if(cbc-pl:TaxInclusiveAmount) then cbc-pl:TaxInclusiveAmount else 0)"/>  
			<let name="Amount5" value="xs:decimal(if(//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxInclusiveAmount) then (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxInclusiveAmount) else 0)"/>  	
			<let name="Amount6" value="xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxInclusiveAmount) then (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal
													[cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:TaxInclusiveAmount) else 0)"/>  
<!--			
		<assert id="PL-FV-0a-test"
              test="false()" 
              flag="fatal">[PL-FV-0a-test] Wartości sum
					Amount1=<value-of  select="$Amount1"/>  - 
					Amount2=<value-of  select="$Amount2"/>  -     
					Amount3=<value-of  select="$Amount3"/>  - 
					Amount4=<value-of  select="$Amount4"/>  - 
					Amount5=<value-of  select="$Amount5"/>  -     
					Amount6=<value-of  select="$Amount6"/>  - 
			</assert> 
-->			
			
			<assert id="PL-CI-AL-002-1"
				test="not(($supplierCountry = 'PL') and not(round($Amount2 - ($Amount3 + $Amount1))=0))"
				flag="fatal">[PL-CI-AL-002-1] For Polish suppliers the TaxAmount must equal the difference between TaxAmount after correction and TaxAmount before correction in AdditionalInvoiceGrossData/cac-pl:TaxTotal/cac-pl:TaxSubtotal.</assert>
	
			<assert id="PL-CI-AL-003"
				test="not(($supplierCountry = 'PL') and not(round($Amount5 - ($Amount6 + $Amount4))=0))"
				flag="fatal">[PL-CI-AL-003] For Polish suppliers, the difference in tax inclusive amount in VAT breakdown must equal the difference between tax inclusive amount in VAT breakdown after correction and before correction.</assert>
	
		</rule>
		
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine">
		
			<let name="ID" value="cbc-pl:ID"/>
			<let name="Amount1" value="xs:decimal(if(cbc-pl:LineExtensionGrossAmount) then cbc-pl:LineExtensionGrossAmount else 0)"/>  
			<let name="Amount2" value="xs:decimal(if(//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cbc-pl:LineExtensionGrossAmount) then (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cbc-pl:LineExtensionGrossAmount) else 0)"/>   	
			<let name="Amount3" value="xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cbc-pl:LineExtensionGrossAmount) then (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cbc-pl:LineExtensionGrossAmount) else 0)"/>   
			<let name="Amount4" value="xs:decimal(if(cac-pl:TaxTotal/cbc-pl:TaxAmount) then cac-pl:TaxTotal/cbc-pl:TaxAmount else 0)"/>  
			<let name="Amount5" value="xs:decimal(if(//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:TaxTotal/cbc-pl:TaxAmount) then (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:TaxTotal/cbc-pl:TaxAmount) else 0)"/>    	
			<let name="Amount6" value="xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:TaxTotal/cbc-pl:TaxAmount) then (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:TaxTotal/cbc-pl:TaxAmount) else 0)"/>   
			<let name="Amount7" value="xs:decimal(if(cac-pl:Price/cbc-pl:GrossPriceAmount) then cac-pl:Price/cbc-pl:GrossPriceAmount else 0)"/>  
			<let name="Amount8" value="xs:decimal(if(//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:Price/cbc-pl:GrossPriceAmount) then (//cn:CreditNote/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:Price/cbc-pl:GrossPriceAmount) else 0)"/>    	
			<let name="Amount9" value="xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:Price/cbc-pl:GrossPriceAmount) then (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[cbc-pl:ID=$ID]/
													cac-pl:Price/cbc-pl:GrossPriceAmount) else 0)"/>   
		

			
			
			<assert id="PL-CI-AL-004"
				test="not(($supplierCountry = 'PL') and not(round($Amount2 - ($Amount3 + $Amount1))=0))"
				flag="fatal">[PL-CI-AL-004] For Polish suppliers, the difference in line tax inclusive amount must equal the difference between line tax inclusive amount after correction and before correction.</assert>
<!--	
			<assert id="PL-CI-AL-005"
				test="not(($supplierCountry = 'PL') and not(round($Amount5 - ($Amount6 + $Amount4))=0))"
				flag="fatal">[PL-CI-AL-005] For Polish suppliers the TaxTotal/TaxAmount must equals the difference between TaxTotal/TaxAmount after correction and TaxTotal/TaxAmount before correction in AdditionalInvoiceGrossData/cac-pl:InvoiceLine.</assert>
	
			<assert id="PL-CI-AL-006"
				test="not(($supplierCountry = 'PL') and not(round($Amount8 - ($Amount9 + $Amount7))=0))"
				flag="fatal">[PL-CI-AL-006] For Polish suppliers the Price/GrossPriceAmount must equals the difference between Price/GrossPriceAmount after correction and Price/GrossPriceAmount before correction in AdditionalInvoiceGrossData/cac-pl:InvoiceLine.</assert>
-->	
		</rule>
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:AllowanceCharge">

			<let name="ChargeIndicator" value="string(cbc-pl:ChargeIndicator)"/>
			<let name="TaxCategoryID" value="cac-pl:TaxCategory/cbc-pl:ID"/>
			<let name="TaxCategoryPercent" value="cac-pl:TaxCategory/cbc-pl:Percent"/>
			<let name="Amount1" value="xs:decimal(if(cbc-pl:Amount) then cbc-pl:Amount else 0)"/>  
			<let name="Amount2" value="xs:decimal(//cn:CreditNote/cac:AllowanceCharge[cbc:ChargeIndicator=$ChargeIndicator][cac:TaxCategory/cbc:ID=$TaxCategoryID][cac:TaxCategory/cbc:Percent = $TaxCategoryPercent]/cbc:Amount)"/>  	
			<let name="Amount3" value="xs:decimal(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/
														cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator=$ChargeIndicator][cac-pl:TaxCategory/cbc-pl:ID=$TaxCategoryID][cac-pl:TaxCategory/cbc-pl:Percent=$TaxCategoryPercent]/cbc-pl:Amount)"/>  
			
			<assert id="PL-CI-AL-102"
				test="not(($supplierCountry = 'PL') and not(round($Amount2 - ($Amount3 + $Amount1))=0))"
				flag="fatal">[PL-CI-AL-102] For Polish suppliers, the difference in document level AllowanceCharge amount must equal the difference in document level AllowanceCharge amount after correction and before correction.</assert>
<!--
		<assert id="PL-FV-0a-test"
              test="false()" 
              flag="fatal">[PL-FV-0a-test] Wartości sum
					$ChargeIndicator=<value-of  select="$ChargeIndicator"/>  -  
					$TaxCategoryID=<value-of  select="$TaxCategoryID"/>  -  
					$TaxCategoryPercent=<value-of  select="$TaxCategoryPercent"/>  -  
					Amount1=<value-of  select="$Amount1"/>  - 
					Amount2=<value-of  select="$Amount2"/>  -     
					Amount3=<value-of  select="$Amount3"/>  - 
					Wynik=<value-of  select="round($Amount2 - ($Amount3 + $Amount1))"/>  - 
			</assert> 
-->
		</rule>
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:TaxTotal[1]">
			<assert id="PL-CI-R-003"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(cbc-pl:TaxAmount) = xs:decimal(../../../../../cac:TaxTotal[1]/cbc:TaxAmount)  - xs:decimal(//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:TaxTotal[1]/cbc-pl:TaxAmount)))"
				flag="fatal">[PL-CI-R-003] For Polish suppliers the total TaxAmount difference must equals the difference between total TaxAmount after correction and total TaxAmount before correction.</assert>
		</rule>
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:LegalMonetaryTotal">
			<assert id="PL-CI-R-004"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(if(cbc-pl:LineExtensionAmount) then cbc-pl:LineExtensionAmount else 0) = xs:decimal(if(//cac:LegalMonetaryTotal/cbc:LineExtensionAmount) then //cac:LegalMonetaryTotal/cbc:LineExtensionAmount else 0) - xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:LineExtensionAmount) then //ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:LineExtensionAmount else 0)))"
				flag="fatal">[PL-CI-R-004] For Polish suppliers the total LineExtensionAmount difference must equals the difference between total LineExtensionAmount after correction and total LineExtensionAmount before correction.</assert>
			<assert id="PL-CI-R-005"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(if(cbc-pl:TaxExclusiveAmount) then cbc-pl:TaxExclusiveAmount else 0) = xs:decimal(if(//cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount) then //cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount else 0) - xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:TaxExclusiveAmount) then //ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:TaxExclusiveAmount else 0)))"
				flag="fatal">[PL-CI-R-005] For Polish suppliers the TaxExclusiveAmount difference must equals the difference between TaxExclusiveAmount after correction and TaxExclusiveAmount before correction.</assert>
			<assert id="PL-CI-R-006"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(if(cbc-pl:TaxInclusiveAmount) then cbc-pl:TaxInclusiveAmount else 0) = xs:decimal(if(//cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount) then //cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount  else 0) - xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:TaxInclusiveAmount) then //ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:TaxInclusiveAmount else 0)))"
				flag="fatal">[PL-CI-R-006] For Polish suppliers the TaxInclusiveAmount difference must equals the difference between TaxInclusiveAmount after correction and TaxInclusiveAmount before correction.</assert>
			<assert id="PL-CI-R-007"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(if(cbc-pl:AllowanceTotalAmount) then cbc-pl:AllowanceTotalAmount else 0) = xs:decimal(if(//cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount) then //cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount else 0) - xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:AllowanceTotalAmount) then //ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:AllowanceTotalAmount else 0)))"
				flag="fatal">[PL-CI-R-007] For Polish suppliers the AllowanceTotalAmount difference must equals the difference between  AllowanceTotalAmount after correction and AllowanceTotalAmount before correction.</assert>
			<assert id="PL-CI-R-008"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(if(cbc-pl:ChargeTotalAmount) then cbc-pl:ChargeTotalAmount else 0) = xs:decimal(if(//cac:LegalMonetaryTotal/cbc:ChargeTotalAmount) then //cac:LegalMonetaryTotal/cbc:ChargeTotalAmount else 0) - xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:ChargeTotalAmount) then //ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:ChargeTotalAmount else 0)))"
				flag="fatal">[PL-CI-R-008] For Polish suppliers the ChargeTotalAmount difference must equals the difference between ChargeTotalAmount after correction and ChargeTotalAmount before correction.</assert>
			<assert id="PL-CI-R-009"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(if(cbc-pl:PrepaidAmount) then cbc-pl:PrepaidAmount else 0) = xs:decimal(if(//cac:LegalMonetaryTotal/cbc:PrepaidAmount) then //cac:LegalMonetaryTotal/cbc:PrepaidAmount else 0) - xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:PrepaidAmount) then //ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:PrepaidAmount else 0)))"
				flag="fatal">[PL-CI-R-009] For Polish suppliers the PrepaidAmount difference must equals the difference between PrepaidAmount after correction and PrepaidAmount before correction.</assert>
			<assert id="PL-CI-R-010"
				test="not(($supplierCountry = 'PL') and not(xs:decimal(if(cbc-pl:PayableAmount) then cbc-pl:PayableAmount else 0) = xs:decimal(if(//cac:LegalMonetaryTotal/cbc:PayableAmount) then //cac:LegalMonetaryTotal/cbc:PayableAmount else 0) - xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount) then //ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount else 0)))"
				flag="fatal">[PL-CI-R-010] For Polish suppliers PayableAmount difference must equals the difference between PayableAmount after correction and PayableAmount before correction.</assert>
		</rule>
		
		<rule context="//cn:CreditNote[cbc:CreditNoteTypeCode='396']">
			 <assert id="PL-FA-01" flag="fatal" 
			 test="if(exists(//cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:ID) and exists(cbc:Note) and exists(//cac:PayeeParty)) then true() else false()">[PL-FA-01] - In case of factoring, information about Payee Party, Payee financial acccount and Note should be provided</assert>
		</rule>
		
	</pattern>
  
  <pattern id="Codesmodel">
  
      <rule context="cbc-pl:Amount | cbc-pl:BaseAmount | cbc-pl:PriceAmount | cbc-pl:TaxAmount | cbc-pl:TaxableAmount | cbc-pl:LineExtensionAmount | cbc-pl:TaxExclusiveAmount | cbc-pl:TaxInclusiveAmount | cbc-pl:AllowanceTotalAmount | cbc-pl:ChargeTotalAmount | cbc-pl:PrepaidAmount | cbc-pl:PayableRoundingAmount | cbc-pl:PayableAmount"
            flag="fatal">
         <assert test="((not(contains(normalize-space(@currencyID), ' ')) and contains(' AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRO MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STD SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UZS VEF VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL ', concat(' ', normalize-space(@currencyID), ' '))))"
                 id="BR-CL-03"
                 flag="fatal">[BR-CL-03]-currencyID MUST be coded using ISO code list 4217 alpha-3</assert>
      </rule>
  
      <rule flag="fatal" context="cbc:DocumentCurrencyCode">
      <assert id="BR-CL-04" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRO MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STD SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UZS VEF VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL ', concat(' ', normalize-space(.), ' '))))">[BR-CL-04]-Document currency code MUST be coded using ISO code list 4217 alpha-3</assert>
      </rule>
  
      <rule flag="fatal" context="cbc:TaxCurrencyCode">
      <assert id="BR-CL-05" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRO MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STD SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UZS VEF VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL ', concat(' ', normalize-space(.), ' '))))">[BR-CL-05]-Tax currency code MUST be coded using ISO code list 4217 alpha-3</assert>
    </rule>
   
      <rule context="cac-pl:CommodityClassification/cbc-pl:ItemClassificationCode[@listID]"
            flag="fatal">
		  <assert id="BR-CL-13" flag="fatal" test="((not(contains(normalize-space(@listID), ' ')) and contains(' AA AB AC AD AE AF AG AH AI AJ AK AL AM AN AO AP AQ AR AS AT AU AV AW AX AY AZ BA BB BC BD BE BF BG BH BI BJ BK BL BM BN BO BP BQ BR BS BT BU BV BW BX BY BZ CC CG CL CR CV DR DW EC EF EN FS GB GN GS HS IB IN IS IT IZ MA MF MN MP NB ON PD PL PO PV QS RC RN RU RY SA SG SK SN SRS SRT SRU SRV SRW SRX SRY SRZ SS SSA SSB SSC SSD SSE SSF SSG SSH SSI SSJ SSK SSL SSM SSN SSO SSP SSQ SSR SSS SST SSU SSV SSW SSX SSY SSZ ST STA STB STC STD STE STF STG STH STI STJ STK STL STM STN STO STP STQ STR STS STT STU STV STW STX STY STZ SUA SUB SUC SUD SUE SUF SUG SUH SUI SUJ SUK SUL SUM TG TSN TSO TSP TSQ TSR TSS TST TSU UA UP VN VP VS VX ZZZ ', concat(' ', normalize-space(@listID), ' '))))">[BR-CL-13]-Item classification identifier identification scheme identifier MUST be
		  coded using one of the UNTDID 7143 list.</assert>
      </rule>
	  
	  <rule flag="fatal" context="cac:Country/cbc:IdentificationCode">
			<assert id="BR-CL-14" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains('1A AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS XI YE YT ZA ZM ZW', concat(' ', normalize-space(.), ' '))))">[BR-CL-14]-Country codes in an invoice MUST be coded using ISO code list 3166-1</assert>
    </rule>

      <rule context="cac-pl:OriginCountry/cbc-pl:IdentificationCode" flag="fatal">
         <assert id="BR-CL-15" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains('1A AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS XI YE YT ZA ZM ZW', concat(' ', normalize-space(.), ' '))))">[BR-CL-15]-Country codes in an invoice MUST be coded using ISO code list 3166-1</assert>
      </rule>
	  
	  <rule flag="fatal" context="cac:PaymentMeans/cbc:PaymentMeansCode">
			<assert id="BR-CL-16" flag="fatal" test="( ( not(contains(normalize-space(.),' ')) and contains( ' 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 74 75 76 77 78 91 92 93 94 95 96 97 ZZZ ',concat(' ',normalize-space(.),' ') ) ) )">[BR-CL-16]-Payment means in an invoice MUST be coded using UNCL4461 code list</assert>
	  </rule>
    
      <rule context="cac-pl:TaxCategory/cbc-pl:ID" flag="fatal">
         <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' AE L M E S Z G O K B ',concat(' ',normalize-space(.),' ') ) ) )"
                 id="BR-CL-17"
                 flag="fatal">[BR-CL-17]-Invoice tax categories MUST be coded using UNCL5305 code list</assert>
      </rule>
      
      <rule context="//cac:TaxTotal" flag="fatal">
         <assert test="if(../cbc:CreditNoteTypeCode='381') then not(cbc:TaxInclusiveAmount) else true()"
                 flag="fatal" 
                 id="BR-CL-17a">[BR-CL-17a]-A PEF invoice should not include the TaxTotal/TaxInclusiveAmount in Core section</assert>
	  </rule> 
  
      <rule context="cac-pl:ClassifiedTaxCategory/cbc-pl:ID" flag="fatal">
         <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' AE L M E S Z G O K B ',concat(' ',normalize-space(.),' ') ) ) )"
                 id="BR-CL-18"
                 flag="fatal">[BR-CL-18]-Invoice tax categories MUST be coded using UNCL5305 code list</assert>
      </rule>
  
      <rule context="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'false']/cbc-pl:AllowanceChargeReasonCode"
            flag="fatal">
         <assert test="((not(contains(normalize-space(.), ' ')) and contains(' 41 42 60 62 63 64 65 66 67 68 70 71 88 95 100 102 103 104 ', concat(' ', normalize-space(.), ' '))))"
                 id="BR-CL-19"
                 flag="fatal">[BR-CL-19]-Coded allowance reasons MUST belong to the UNCL 5189 code list</assert>
      </rule>
  
      <rule context="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'true']/cbc-pl:AllowanceChargeReasonCode"
            flag="fatal">
         <assert test="((not(contains(normalize-space(.), ' ')) and contains(' AA AAA AAC AAD AAE AAF AAH AAI AAS AAT AAV AAY AAZ ABA ABB ABC ABD ABF ABK ABL ABN ABR ABS ABT ABU ACF ACG ACH ACI ACJ ACK ACL ACM ACS ADC ADE ADJ ADK ADL ADM ADN ADO ADP ADQ ADR ADT ADW ADY ADZ AEA AEB AEC AED AEF AEH AEI AEJ AEK AEL AEM AEN AEO AEP AES AET AEU AEV AEW AEX AEY AEZ AJ AU CA CAB CAD CAE CAF CAI CAJ CAK CAL CAM CAN CAO CAP CAQ CAR CAS CAT CAU CAV CAW CAX CAY CAZ CD CG CS CT DAB DAD DAC DAF DAG DAH DAI DAJ DAK DAL DAM DAN DAO DAP DAQ DL EG EP ER FAA FAB FAC FC FH FI GAA HAA HD HH IAA IAB ID IF IR IS KO L1 LA LAA LAB LF MAE MI ML NAA OA PA PAA PC PL RAB RAC RAD RAF RE RF RH RV SA SAA SAD SAE SAI SG SH SM SU TAB TAC TT TV V1 V2 WH XAA YY ZZZ ', concat(' ', normalize-space(.), ' '))))"
                 id="BR-CL-20"
                 flag="fatal">[BR-CL-20]-Coded charge reasons MUST belong to the UNCL 7161 code list</assert>
      </rule>
          <!-- 2018-11-13 - Added newest ICD values manually -->
      <rule context="cac-pl:StandardItemIdentification/cbc-pl:ID[@schemeID]" flag="fatal">
		  <assert id="BR-CL-21" flag="fatal" test="((not(contains(normalize-space(@schemeID), ' ')) and contains(' 0002 0003 0004 0005 0006 0007 0008 0009 0010 0011 0012 0013 0014 0015 0016 0017 0018 0019 0020 0021 0022 0023 0024 0025 0026 0027 0028 0029 0030 0031 0032 0033 0034 0035 0036 0037 0038 0039 0040 0041 0042 0043 0044 0045 0046 0047 0048 0049 0050 0051 0052 0053 0054 0055 0056 0057 0058 0059 0060 0061 0062 0063 0064 0065 0066 0067 0068 0069 0070 0071 0072 0073 0074 0075 0076 0077 0078 0079 0080 0081 0082 0083 0084 0085 0086 0087 0088 0089 0090 0091 0093 0094 0095 0096 0097 0098 0099 0100 0101 0102 0104 0105 0106 0107 0108 0109 0110 0111 0112 0113 0114 0115 0116 0117 0118 0119 0120 0121 0122 0123 0124 0125 0126 0127 0128 0129 0130 0131 0132 0133 0134 0135 0136 0137 0138 0139 0140 0141 0142 0143 0144 0145 0146 0147 0148 0149 0150 0151 0152 0153 0154 0155 0156 0157 0158 0159 0160 0161 0162 0163 0164 0165 0166 0167 0168 0169 0170 0171 0172 0173 0174 0175 0176 0177 0178 0179 0180 0183 0184 0185 0186 0187 0188 0189 0190 0191 0192 0193 0194 0195 0196 0197 0198 0199 0200 0201 0202 0203 0204 0205 0206 0207 0208 0209 0210 0211 0212 0213 ', concat(' ', normalize-space(@schemeID), ' '))))">[BR-CL-21]-Item standard identifier scheme identifier MUST belong to the ISO 6523 ICD code list</assert>
      </rule>
  
		<rule flag="fatal" context="cbc:TaxExemptionReasonCode">
      <assert id="BR-CL-22" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' VATEX-EU-79-C VATEX-EU-132 VATEX-EU-132-1A VATEX-EU-132-1B VATEX-EU-132-1C VATEX-EU-132-1D VATEX-EU-132-1E VATEX-EU-132-1F VATEX-EU-132-1G VATEX-EU-132-1H VATEX-EU-132-1I VATEX-EU-132-1J VATEX-EU-132-1K VATEX-EU-132-1L VATEX-EU-132-1M VATEX-EU-132-1N VATEX-EU-132-1O VATEX-EU-132-1P VATEX-EU-132-1Q VATEX-EU-143 VATEX-EU-143-1A VATEX-EU-143-1B VATEX-EU-143-1C VATEX-EU-143-1D VATEX-EU-143-1E VATEX-EU-143-1F VATEX-EU-143-1FA VATEX-EU-143-1G VATEX-EU-143-1H VATEX-EU-143-1I VATEX-EU-143-1J VATEX-EU-143-1K VATEX-EU-143-1L VATEX-EU-309 VATEX-EU-148 VATEX-EU-148-A VATEX-EU-148-B VATEX-EU-148-C VATEX-EU-148-D VATEX-EU-148-E VATEX-EU-148-F VATEX-EU-148-G VATEX-EU-151 VATEX-EU-151-1A VATEX-EU-151-1AA VATEX-EU-151-1B VATEX-EU-151-1C VATEX-EU-151-1D VATEX-EU-151-1E VATEX-EU-G VATEX-EU-O VATEX-EU-IC VATEX-EU-AE VATEX-EU-D VATEX-EU-F VATEX-EU-I VATEX-EU-J ', concat(' ', normalize-space(.), ' '))))">[BR-CL-22]-Tax exemption reason code identifier scheme identifier MUST belong to the CEF VATEX code list</assert>
		</rule>
	  
		    <rule flag="fatal" context="cbc:InvoicedQuantity[@unitCode] | cbc:BaseQuantity[@unitCode] | cbc:CreditedQuantity[@unitCode]">
    <assert id="BR-CL-23" flag="fatal" test="((not(contains(normalize-space(@unitCode), ' ')) and contains(' 10 11 13 14 15 20 21 22 23 24 25 27 28 33 34 35 37 38 40 41 56 57 58 59 60 61 74 77 80 81 85 87 89 91 1I 2A 2B 2C 2G 2H 2I 2J 2K 2L 2M 2N 2P 2Q 2R 2U 2X 2Y 2Z 3B 3C 4C 4G 4H 4K 4L 4M 4N 4O 4P 4Q 4R 4T 4U 4W 4X 5A 5B 5E 5J A10 A11 A12 A13 A14 A15 A16 A17 A18 A19 A2 A20 A21 A22 A23 A24 A26 A27 A28 A29 A3 A30 A31 A32 A33 A34 A35 A36 A37 A38 A39 A4 A40 A41 A42 A43 A44 A45 A47 A48 A49 A5 A53 A54 A55 A56 A59 A6 A68 A69 A7 A70 A71 A73 A74 A75 A76 A8 A84 A85 A86 A87 A88 A89 A9 A90 A91 A93 A94 A95 A96 A97 A98 A99 AA AB ACR ACT AD AE AH AI AK AL AMH AMP ANN APZ AQ AS ASM ASU ATM AWG AY AZ B1 B10 B11 B12 B13 B14 B15 B16 B17 B18 B19 B20 B21 B22 B23 B24 B25 B26 B27 B28 B29 B3 B30 B31 B32 B33 B34 B35 B4 B41 B42 B43 B44 B45 B46 B47 B48 B49 B50 B52 B53 B54 B55 B56 B57 B58 B59 B60 B61 B62 B63 B64 B66 B67 B68 B69 B7 B70 B71 B72 B73 B74 B75 B76 B77 B78 B79 B8 B80 B81 B82 B83 B84 B85 B86 B87 B88 B89 B90 B91 B92 B93 B94 B95 B96 B97 B98 B99 BAR BB BFT BHP BIL BLD BLL BP BPM BQL BTU BUA BUI C0 C10 C11 C12 C13 C14 C15 C16 C17 C18 C19 C20 C21 C22 C23 C24 C25 C26 C27 C28 C29 C3 C30 C31 C32 C33 C34 C35 C36 C37 C38 C39 C40 C41 C42 C43 C44 C45 C46 C47 C48 C49 C50 C51 C52 C53 C54 C55 C56 C57 C58 C59 C60 C61 C62 C63 C64 C65 C66 C67 C68 C69 C7 C70 C71 C72 C73 C74 C75 C76 C78 C79 C8 C80 C81 C82 C83 C84 C85 C86 C87 C88 C89 C9 C90 C91 C92 C93 C94 C95 C96 C97 C99 CCT CDL CEL CEN CG CGM CKG CLF CLT CMK CMQ CMT CNP CNT COU CTG CTM CTN CUR CWA CWI D03 D04 D1 D10 D11 D12 D13 D15 D16 D17 D18 D19 D2 D20 D21 D22 D23 D24 D25 D26 D27 D29 D30 D31 D32 D33 D34 D36 D41 D42 D43 D44 D45 D46 D47 D48 D49 D5 D50 D51 D52 D53 D54 D55 D56 D57 D58 D59 D6 D60 D61 D62 D63 D65 D68 D69 D73 D74 D77 D78 D80 D81 D82 D83 D85 D86 D87 D88 D89 D91 D93 D94 D95 DAA DAD DAY DB DBM DBW DD DEC DG DJ DLT DMA DMK DMO DMQ DMT DN DPC DPR DPT DRA DRI DRL DT DTN DWT DZN DZP E01 E07 E08 E09 E10 E12 E14 E15 E16 E17 E18 E19 E20 E21 E22 E23 E25 E27 E28 E30 E31 E32 E33 E34 E35 E36 E37 E38 E39 E4 E40 E41 E42 E43 E44 E45 E46 E47 E48 E49 E50 E51 E52 E53 E54 E55 E56 E57 E58 E59 E60 E61 E62 E63 E64 E65 E66 E67 E68 E69 E70 E71 E72 E73 E74 E75 E76 E77 E78 E79 E80 E81 E82 E83 E84 E85 E86 E87 E88 E89 E90 E91 E92 E93 E94 E95 E96 E97 E98 E99 EA EB EQ F01 F02 F03 F04 F05 F06 F07 F08 F10 F11 F12 F13 F14 F15 F16 F17 F18 F19 F20 F21 F22 F23 F24 F25 F26 F27 F28 F29 F30 F31 F32 F33 F34 F35 F36 F37 F38 F39 F40 F41 F42 F43 F44 F45 F46 F47 F48 F49 F50 F51 F52 F53 F54 F55 F56 F57 F58 F59 F60 F61 F62 F63 F64 F65 F66 F67 F68 F69 F70 F71 F72 F73 F74 F75 F76 F77 F78 F79 F80 F81 F82 F83 F84 F85 F86 F87 F88 F89 F90 F91 F92 F93 F94 F95 F96 F97 F98 F99 FAH FAR FBM FC FF FH FIT FL FNU FOT FP FR FS FTK FTQ G01 G04 G05 G06 G08 G09 G10 G11 G12 G13 G14 G15 G16 G17 G18 G19 G2 G20 G21 G23 G24 G25 G26 G27 G28 G29 G3 G30 G31 G32 G33 G34 G35 G36 G37 G38 G39 G40 G41 G42 G43 G44 G45 G46 G47 G48 G49 G50 G51 G52 G53 G54 G55 G56 G57 G58 G59 G60 G61 G62 G63 G64 G65 G66 G67 G68 G69 G70 G71 G72 G73 G74 G75 G76 G77 G78 G79 G80 G81 G82 G83 G84 G85 G86 G87 G88 G89 G90 G91 G92 G93 G94 G95 G96 G97 G98 G99 GB GBQ GDW GE GF GFI GGR GIA GIC GII GIP GJ GL GLD GLI GLL GM GO GP GQ GRM GRN GRO GV GWH H03 H04 H05 H06 H07 H08 H09 H10 H11 H12 H13 H14 H15 H16 H18 H19 H20 H21 H22 H23 H24 H25 H26 H27 H28 H29 H30 H31 H32 H33 H34 H35 H36 H37 H38 H39 H40 H41 H42 H43 H44 H45 H46 H47 H48 H49 H50 H51 H52 H53 H54 H55 H56 H57 H58 H59 H60 H61 H62 H63 H64 H65 H66 H67 H68 H69 H70 H71 H72 H73 H74 H75 H76 H77 H79 H80 H81 H82 H83 H84 H85 H87 H88 H89 H90 H91 H92 H93 H94 H95 H96 H98 H99 HA HAD HBA HBX HC HDW HEA HGM HH HIU HKM HLT HM HMO HMQ HMT HPA HTZ HUR HWE IA IE INH INK INQ ISD IU IUG IV J10 J12 J13 J14 J15 J16 J17 J18 J19 J2 J20 J21 J22 J23 J24 J25 J26 J27 J28 J29 J30 J31 J32 J33 J34 J35 J36 J38 J39 J40 J41 J42 J43 J44 J45 J46 J47 J48 J49 J50 J51 J52 J53 J54 J55 J56 J57 J58 J59 J60 J61 J62 J63 J64 J65 J66 J67 J68 J69 J70 J71 J72 J73 J74 J75 J76 J78 J79 J81 J82 J83 J84 J85 J87 J90 J91 J92 J93 J95 J96 J97 J98 J99 JE JK JM JNT JOU JPS JWL K1 K10 K11 K12 K13 K14 K15 K16 K17 K18 K19 K2 K20 K21 K22 K23 K26 K27 K28 K3 K30 K31 K32 K33 K34 K35 K36 K37 K38 K39 K40 K41 K42 K43 K45 K46 K47 K48 K49 K50 K51 K52 K53 K54 K55 K58 K59 K6 K60 K61 K62 K63 K64 K65 K66 K67 K68 K69 K70 K71 K73 K74 K75 K76 K77 K78 K79 K80 K81 K82 K83 K84 K85 K86 K87 K88 K89 K90 K91 K92 K93 K94 K95 K96 K97 K98 K99 KA KAT KB KBA KCC KDW KEL KGM KGS KHY KHZ KI KIC KIP KJ KJO KL KLK KLX KMA KMH KMK KMQ KMT KNI KNM KNS KNT KO KPA KPH KPO KPP KR KSD KSH KT KTN KUR KVA KVR KVT KW KWH KWN KWO KWS KWT KWY KX L10 L11 L12 L13 L14 L15 L16 L17 L18 L19 L2 L20 L21 L23 L24 L25 L26 L27 L28 L29 L30 L31 L32 L33 L34 L35 L36 L37 L38 L39 L40 L41 L42 L43 L44 L45 L46 L47 L48 L49 L50 L51 L52 L53 L54 L55 L56 L57 L58 L59 L60 L63 L64 L65 L66 L67 L68 L69 L70 L71 L72 L73 L74 L75 L76 L77 L78 L79 L80 L81 L82 L83 L84 L85 L86 L87 L88 L89 L90 L91 L92 L93 L94 L95 L96 L98 L99 LA LAC LBR LBT LD LEF LF LH LK LM LN LO LP LPA LR LS LTN LTR LUB LUM LUX LY M1 M10 M11 M12 M13 M14 M15 M16 M17 M18 M19 M20 M21 M22 M23 M24 M25 M26 M27 M29 M30 M31 M32 M33 M34 M35 M36 M37 M38 M39 M4 M40 M41 M42 M43 M44 M45 M46 M47 M48 M49 M5 M50 M51 M52 M53 M55 M56 M57 M58 M59 M60 M61 M62 M63 M64 M65 M66 M67 M68 M69 M7 M70 M71 M72 M73 M74 M75 M76 M77 M78 M79 M80 M81 M82 M83 M84 M85 M86 M87 M88 M89 M9 M90 M91 M92 M93 M94 M95 M96 M97 M98 M99 MAH MAL MAM MAR MAW MBE MBF MBR MC MCU MD MGM MHZ MIK MIL MIN MIO MIU MKD MKM MKW MLD MLT MMK MMQ MMT MND MNJ MON MPA MQD MQH MQM MQS MQW MRD MRM MRW MSK MTK MTQ MTR MTS MTZ MVA MWH N1 N10 N11 N12 N13 N14 N15 N16 N17 N18 N19 N20 N21 N22 N23 N24 N25 N26 N27 N28 N29 N3 N30 N31 N32 N33 N34 N35 N36 N37 N38 N39 N40 N41 N42 N43 N44 N45 N46 N47 N48 N49 N50 N51 N52 N53 N54 N55 N56 N57 N58 N59 N60 N61 N62 N63 N64 N65 N66 N67 N68 N69 N70 N71 N72 N73 N74 N75 N76 N77 N78 N79 N80 N81 N82 N83 N84 N85 N86 N87 N88 N89 N90 N91 N92 N93 N94 N95 N96 N97 N98 N99 NA NAR NCL NEW NF NIL NIU NL NM3 NMI NMP NPT NT NTU NU NX OA ODE ODG ODK ODM OHM ON ONZ OPM OT OZA OZI P1 P10 P11 P12 P13 P14 P15 P16 P17 P18 P19 P2 P20 P21 P22 P23 P24 P25 P26 P27 P28 P29 P30 P31 P32 P33 P34 P35 P36 P37 P38 P39 P40 P41 P42 P43 P44 P45 P46 P47 P48 P49 P5 P50 P51 P52 P53 P54 P55 P56 P57 P58 P59 P60 P61 P62 P63 P64 P65 P66 P67 P68 P69 P70 P71 P72 P73 P74 P75 P76 P77 P78 P79 P80 P81 P82 P83 P84 P85 P86 P87 P88 P89 P90 P91 P92 P93 P94 P95 P96 P97 P98 P99 PAL PD PFL PGL PI PLA PO PQ PR PS PTD PTI PTL PTN Q10 Q11 Q12 Q13 Q14 Q15 Q16 Q17 Q18 Q19 Q20 Q21 Q22 Q23 Q24 Q25 Q26 Q27 Q28 Q29 Q3 Q30 Q31 Q32 Q33 Q34 Q35 Q36 Q37 Q38 Q39 Q40 Q41 Q42 QA QAN QB QR QTD QTI QTL QTR R1 R9 RH RM ROM RP RPM RPS RT S3 S4 SAN SCO SCR SEC SET SG SIE SM3 SMI SQ SQR SR STC STI STK STL STN STW SW SX SYR T0 T3 TAH TAN TI TIC TIP TKM TMS TNE TP TPI TPR TQD TRL TST TTS U1 U2 UB UC VA VLT VP W2 WA WB WCD WE WEB WEE WG WHR WM WSD WTT X1 YDK YDQ YRD Z11 Z9 ZP ZZ X1A X1B X1D X1F X1G X1W X2C X3A X3H X43 X44 X4A X4B X4C X4D X4F X4G X4H X5H X5L X5M X6H X6P X7A X7B X8A X8B X8C XAA XAB XAC XAD XAE XAF XAG XAH XAI XAJ XAL XAM XAP XAT XAV XB4 XBA XBB XBC XBD XBE XBF XBG XBH XBI XBJ XBK XBL XBM XBN XBO XBP XBQ XBR XBS XBT XBU XBV XBW XBX XBY XBZ XCA XCB XCC XCD XCE XCF XCG XCH XCI XCJ XCK XCL XCM XCN XCO XCP XCQ XCR XCS XCT XCU XCV XCW XCX XCY XCZ XDA XDB XDC XDG XDH XDI XDJ XDK XDL XDM XDN XDP XDR XDS XDT XDU XDV XDW XDX XDY XEC XED XEE XEF XEG XEH XEI XEN XFB XFC XFD XFE XFI XFL XFO XFP XFR XFT XFW XFX XGB XGI XGL XGR XGU XGY XGZ XHA XHB XHC XHG XHN XHR XIA XIB XIC XID XIE XIF XIG XIH XIK XIL XIN XIZ XJB XJC XJG XJR XJT XJY XKG XKI XLE XLG XLT XLU XLV XLZ XMA XMB XMC XME XMR XMS XMT XMW XMX XNA XNE XNF XNG XNS XNT XNU XNV XO1 XO2 XO3 XO4 XO5 XO6 XO7 XO8 XO9 XOA XOB XOC XOD XOE XOF XOG XOH XOI XOJ XOK XOL XOM XON XOP XOQ XOR XOS XOT XOU XOV XOW XOX XOY XOZ XP1 XP2 XP3 XP4 XPA XPB XPC XPD XPE XPF XPG XPH XPI XPJ XPK XPL XPN XPO XPP XPR XPT XPU XPV XPX XPY XPZ XQA XQB XQC XQD XQF XQG XQH XQJ XQK XQL XQM XQN XQP XQQ XQR XQS XRD XRG XRJ XRK XRL XRO XRT XRZ XSA XSB XSC XSD XSE XSH XSI XSK XSL XSM XSO XSP XSS XST XSU XSV XSW XSX XSY XSZ XT1 XTB XTC XTD XTE XTG XTI XTK XTL XTN XTO XTR XTS XTT XTU XTV XTW XTY XTZ XUC XUN XVA XVG XVI XVK XVL XVN XVO XVP XVQ XVR XVS XVY XWA XWB XWC XWD XWF XWG XWH XWJ XWK XWL XWM XWN XWP XWQ XWR XWS XWT XWU XWV XWW XWX XWY XWZ XXA XXB XXC XXD XXF XXG XXH XXJ XXK XYA XYB XYC XYD XYF XYG XYH XYJ XYK XYL XYM XYN XYP XYQ XYR XYS XYT XYV XYW XYX XYY XYZ XZA XZB XZC XZD XZF XZG XZH XZJ XZK XZL XZM XZN XZP XZQ XZR XZS XZT XZU XZV XZW XZX XZY XZZ ', concat(' ', normalize-space(@unitCode), ' '))))">[BR-CL-23]-Unit code MUST be coded according to the UN/ECE Recommendation 20 with
      Rec 21 extension</assert>
		</rule>
	  
		<rule flag="fatal" context="cbc:EmbeddedDocumentBinaryObject[@mimeCode]">
			<assert id="BR-CL-24" flag="fatal" test="((@mimeCode = 'application/pdf' or @mimeCode = 'image/png' or @mimeCode = 'image/jpeg' or @mimeCode = 'text/csv' or @mimeCode = 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' or @mimeCode = 'application/vnd.oasis.opendocument.spreadsheet'))">[BR-CL-24]-For Mime code in attribute use MIMEMediaType.</assert>
		</rule>
		
		<rule flag="fatal" context="cbc:EndpointID[@schemeID]">
      <assert id="BR-CL-25" flag="fatal" test="((not(contains(normalize-space(@schemeID), ' ')) and contains(' 0002 0007 0009 0037 0060 0088 0096 0097 0106 0130 0135 0142 0151 0183 0184 0190 0191 0192 0193 0194 0195 0196 0198 0199 0200 0201 0202 0203 0204 0208 0209 0210 0211 0212 0213 9901 9902 9904 9905 9906 9907 9910 9913 9914 9915 9918 9919 9920 9922 9923 9924 9925 9926 9927 9928 9929 9930 9931 9932 9933 9934 9935 9936 9937 9938 9939 9940 9941 9942 9943 9944 9945 9946 9947 9948 9949 9950 9951 9952 9953 9955 9957 AN AQ AS AU EM ', concat(' ', normalize-space(@schemeID), ' '))))">[BR-CL-25]-Endpoint identifier scheme identifier MUST belong to the CEF EAS code list</assert>
		</rule>
	  	  
		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-G']">
			<assert id="PEPPOL-EN16931-P0104" test="normalize-space(cbc-pl:ID)='G'" flag="fatal">Tax Category G MUST be used when exemption reason code is VATEX-EU-G</assert>
		</rule>		

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-O']">
			<assert id="PEPPOL-EN16931-P0105" test="normalize-space(cbc-pl:ID)='O'" flag="fatal">Tax Category O MUST be used when exemption reason code is VATEX-EU-O</assert>
		</rule>	

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-IC']">
			<assert id="PEPPOL-EN16931-P0106" test="normalize-space(cbc-pl:ID)='K'" flag="fatal">Tax Category K MUST be used when exemption reason code is VATEX-EU-IC</assert>
		</rule>			

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-AE']">
			<assert id="PEPPOL-EN16931-P0107" test="normalize-space(cbc-pl:ID)='AE'" flag="fatal">Tax Category AE MUST be used when exemption reason code is VATEX-EU-AE</assert>
		</rule>			

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-D']">
			<assert id="PEPPOL-EN16931-P0108" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-D</assert>
		</rule>	

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-F']">
			<assert id="PEPPOL-EN16931-P0109" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-F</assert>
		</rule>	

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-I']">
			<assert id="PEPPOL-EN16931-P0110" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-I</assert>
		</rule>			
		
		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-J']">
			<assert id="PEPPOL-EN16931-P0111" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-J</assert>
		</rule>	
	  	  
	</pattern>
</schema>
